<!-- markdownlint-disable -->
<h1 align="center">
    Best-of Web Development with Python
    <br>
</h1>

<p align="center">
    <strong>🏆&nbsp; A ranked list of awesome python libraries for web development. Updated weekly.</strong>
</p>

<p align="center">
    <a href="https://best-of.org" title="Best-of Badge"><img src="http://bit.ly/3o3EHNN"></a>
    <a href="#Contents" title="Project Count"><img src="https://img.shields.io/badge/projects-580-blue.svg?color=5ac4bf"></a>
    <a href="#Contribution" title="Contributions are welcome"><img src="https://img.shields.io/badge/contributions-welcome-green.svg"></a>
    <a href="https://github.com/ml-tooling/best-of-web-python/releases" title="Best-of Updates"><img src="https://img.shields.io/github/release-date/ml-tooling/best-of-web-python?color=green&label=updated"></a>
    <a href="https://mltooling.substack.com/subscribe" title="Subscribe for updates"><img src="http://bit.ly/2Md9rxM"></a>
    <a href="https://twitter.com/mltooling" title="ML Tooling on Twitter"><img src="https://img.shields.io/twitter/follow/mltooling.svg?style=social&label=Follow"></a>
</p>

This curated list contains 580 awesome open-source projects with a total of 2.5M stars grouped into 26 categories. All projects are ranked by a project-quality score, which is calculated based on various metrics automatically collected from Github and different package managers. If you like to add or update projects, feel free to open an [issue](https://github.com/ml-tooling/best-of-web-python/issues/new/choose), submit a [pull request](https://github.com/ml-tooling/best-of-web-python/pulls), or directly edit the [projects.yaml](https://github.com/ml-tooling/best-of-web-python/edit/main/projects.yaml). Contributions are very welcome!

---

<p align="center">
     🧙‍♂️&nbsp; Discover other <a href="https://best-of.org">best-of lists</a> or create <a href="https://github.com/best-of-lists/best-of/blob/main/create-best-of-list.md">your own</a>.<br>
    📫&nbsp; Subscribe to our <a href="https://mltooling.substack.com/subscribe">newsletter</a> for updates and trending projects.
</p>

---


## Contents

- [Web Frameworks](#web-frameworks) _32 projects_
- [HTTP Clients](#http-clients) _19 projects_
- [Servers](#servers) _12 projects_
- [Authorization & Authentication](#authorization--authentication) _39 projects_
- [HTML Processing](#html-processing) _10 projects_
- [URL Utilities](#url-utilities) _6 projects_
- [OpenAPI Utilities](#openapi-utilities) _23 projects_
- [GraphQL Utilities](#graphql-utilities) _16 projects_
- [Websocket Utilities](#websocket-utilities) _11 projects_
- [RPC Utilities](#rpc-utilities) _4 projects_
- [Serverless](#serverless) _4 projects_
- [Content Management Systems](#content-management-systems) _6 projects_
- [Web Testing](#web-testing) _50 projects_
- [Web Forms](#web-forms) _5 projects_
- [Markdown](#markdown) _12 projects_
- [Third-party Web APIs](#third-party-web-apis) _56 projects_
- [Email](#email) _11 projects_
- [Web Scraping & Crawling](#web-scraping--crawling) _33 projects_
- [Monitoring](#monitoring) _12 projects_
- [Web UI](#web-ui) _10 projects_
- [Admin UI](#admin-ui) _12 projects_
- [API Proxies & Gateways](#api-proxies--gateways) _2 projects_
- [Flask Utilities](#flask-utilities) _36 projects_
- [FastAPI Utilities](#fastapi-utilities) _17 projects_
- [Pyramid Utilities](#pyramid-utilities) _3 projects_
- [Django Utilities](#django-utilities) _76 projects_
- [Others](#others) _58 projects_

## Explanation
- 🥇🥈🥉&nbsp; Combined project-quality score
- ⭐️&nbsp; Star count from GitHub
- 🐣&nbsp; New project _(less than 6 months old)_
- 💤&nbsp; Inactive project _(6 months no activity)_
- 💀&nbsp; Dead project _(12 months no activity)_
- 📈📉&nbsp; Project is trending up or down
- ➕&nbsp; Project was recently added
- ❗️&nbsp; Warning _(e.g. missing/risky license)_
- 👨‍💻&nbsp; Contributors count from GitHub
- 🔀&nbsp; Fork count from GitHub
- 📋&nbsp; Issue count from GitHub
- ⏱️&nbsp; Last update timestamp on package manager
- 📥&nbsp; Download count from package manager
- 📦&nbsp; Number of dependent projects
- <img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13">&nbsp; Flask related project
- <img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13">&nbsp; Django related project
- <img src="https://fastapi.tiangolo.com/img/favicon.png" style="display:inline;" width="13" height="13">&nbsp; FastAPI related project
- <img src="https://trypyramid.com/img/pyramid-16x16.png" style="display:inline;" width="13" height="13">&nbsp; Pyramid related project
- <img src="https://www.openapis.org/wp-content/uploads/sites/3/2016/11/favicon.png" style="display:inline;" width="13" height="13">&nbsp; OpenAPI related project
- <img src="https://graphql.org/img/logo.svg" style="display:inline;" width="13" height="13">&nbsp; GraphQL related project

<br>

## Web Frameworks

<a href="#contents"><img align="right" width="15" height="15" src="https://git.io/JtehR" alt="Back to top"></a>

_General purpose web frameworks to build web applications and REST APIs._

<details><summary><b><a href="https://github.com/django/django">django</a></b> (🥇48 ·  ⭐ 67K) - The Web framework for perfectionists with deadlines. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/django/django) (👨‍💻 2.8K · 🔀 28K · 📦 1.1M · ⏱️ 03.11.2022):

	```
	git clone https://github.com/django/django
	```
- [PyPi](https://pypi.org/project/django) (📥 8.9M / month · 📦 120K · ⏱️ 04.10.2022):
	```
	pip install django
	```
- [Conda](https://anaconda.org/conda-forge/django) (📥 1.3M · ⏱️ 01.11.2022):
	```
	conda install -c conda-forge django
	```
</details>
<details><summary><b><a href="https://github.com/pallets/flask">flask</a></b> (🥇48 ·  ⭐ 61K · 📉) - The Python micro framework for building web applications. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/pallets/flask) (👨‍💻 800 · 🔀 15K · 📥 5.2K · 📦 1.2M · 📋 2.4K - 0% open · ⏱️ 30.10.2022):

	```
	git clone https://github.com/pallets/flask
	```
- [PyPi](https://pypi.org/project/flask) (📥 110M / month · 📦 120K · ⏱️ 08.08.2022):
	```
	pip install flask
	```
- [Conda](https://anaconda.org/conda-forge/flask) (📥 4.2M · ⏱️ 09.08.2022):
	```
	conda install -c conda-forge flask
	```
</details>
<details><summary><b><a href="https://github.com/encode/django-rest-framework">django-rest-framework</a></b> (🥇44 ·  ⭐ 24K) - Web APIs for Django. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/encode/django-rest-framework) (👨‍💻 1.3K · 🔀 6.4K · 📦 380K · 📋 3.9K - 4% open · ⏱️ 02.11.2022):

	```
	git clone https://github.com/encode/django-rest-framework
	```
- [PyPi](https://pypi.org/project/django-rest-framework) (📥 74K / month · 📦 400 · ⏱️ 20.07.2017):
	```
	pip install django-rest-framework
	```
- [Conda](https://anaconda.org/conda-forge/djangorestframework) (📥 450K · ⏱️ 22.09.2022):
	```
	conda install -c conda-forge djangorestframework
	```
</details>
<details><summary><b><a href="https://github.com/pallets/werkzeug">werkzeug</a></b> (🥇43 ·  ⭐ 6.2K) - The comprehensive WSGI web application library. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/pallets/werkzeug) (👨‍💻 460 · 🔀 1.6K · 📥 250 · 📦 840K · 📋 1K - 1% open · ⏱️ 01.11.2022):

	```
	git clone https://github.com/pallets/werkzeug
	```
- [PyPi](https://pypi.org/project/werkzeug) (📥 120M / month · 📦 69K · ⏱️ 08.08.2022):
	```
	pip install werkzeug
	```
- [Conda](https://anaconda.org/conda-forge/werkzeug) (📥 6.1M · ⏱️ 09.08.2022):
	```
	conda install -c conda-forge werkzeug
	```
</details>
<details><summary><b><a href="https://github.com/tiangolo/fastapi">fastapi</a></b> (🥈42 ·  ⭐ 51K) - FastAPI framework, high performance, easy to learn, fast to.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://fastapi.tiangolo.com/img/favicon.png" style="display:inline;" width="13" height="13"></code> <code><img src="https://www.openapis.org/wp-content/uploads/sites/3/2016/11/favicon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/tiangolo/fastapi) (👨‍💻 390 · 🔀 4.1K · 📋 3.6K - 42% open · ⏱️ 03.11.2022):

	```
	git clone https://github.com/tiangolo/fastapi
	```
- [PyPi](https://pypi.org/project/fastapi) (📥 11M / month · 📦 1.3K · ⏱️ 14.05.2022):
	```
	pip install fastapi
	```
- [Conda](https://anaconda.org/conda-forge/fastapi) (📥 1M · ⏱️ 01.11.2022):
	```
	conda install -c conda-forge fastapi
	```
</details>
<details><summary><b><a href="https://github.com/tornadoweb/tornado">tornado</a></b> (🥈42 ·  ⭐ 21K) - Tornado is a Python web framework and asynchronous networking.. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code></summary>

- [GitHub](https://github.com/tornadoweb/tornado) (👨‍💻 430 · 🔀 5.5K · 📦 270K · 📋 1.8K - 12% open · ⏱️ 15.10.2022):

	```
	git clone https://github.com/tornadoweb/tornado
	```
- [PyPi](https://pypi.org/project/tornado) (📥 20M / month · 📦 26K · ⏱️ 03.07.2022):
	```
	pip install tornado
	```
- [Conda](https://anaconda.org/conda-forge/tornado) (📥 24M · ⏱️ 26.10.2022):
	```
	conda install -c conda-forge tornado
	```
</details>
<details><summary><b><a href="https://github.com/sanic-org/sanic">sanic</a></b> (🥈40 ·  ⭐ 17K) - Next generation Python web server/framework | Build fast. Run fast. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/sanic-org/sanic) (👨‍💻 320 · 🔀 1.5K · 📦 7.9K · 📋 1.2K - 4% open · ⏱️ 31.10.2022):

	```
	git clone https://github.com/sanic-org/sanic
	```
- [PyPi](https://pypi.org/project/sanic) (📥 1M / month · 📦 630 · ⏱️ 11.08.2022):
	```
	pip install sanic
	```
- [Conda](https://anaconda.org/conda-forge/sanic) (📥 230K · ⏱️ 02.11.2022):
	```
	conda install -c conda-forge sanic
	```
</details>
<details><summary><b><a href="https://github.com/dpgaspar/Flask-AppBuilder">Flask-AppBuilder</a></b> (🥈39 ·  ⭐ 3.9K) - Simple and rapid application development framework,.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/dpgaspar/Flask-AppBuilder) (👨‍💻 180 · 🔀 1.2K · 📦 3.6K · 📋 1.2K - 9% open · ⏱️ 31.10.2022):

	```
	git clone https://github.com/dpgaspar/Flask-AppBuilder
	```
- [PyPi](https://pypi.org/project/flask-appbuilder) (📥 5.3M / month · 📦 320 · ⏱️ 06.07.2022):
	```
	pip install flask-appbuilder
	```
- [Conda](https://anaconda.org/conda-forge/flask-appbuilder) (📥 220K · ⏱️ 01.11.2022):
	```
	conda install -c conda-forge flask-appbuilder
	```
</details>
<details><summary><b><a href="https://github.com/bottlepy/bottle">bottle</a></b> (🥈38 ·  ⭐ 7.8K) - bottle.py is a fast and simple micro-framework for python web-applications. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/bottlepy/bottle) (👨‍💻 220 · 🔀 1.4K · 📦 22K · 📋 880 - 35% open · ⏱️ 05.09.2022):

	```
	git clone https://github.com/bottlepy/bottle
	```
- [PyPi](https://pypi.org/project/bottle) (📥 1.9M / month · 📦 5.2K · ⏱️ 26.05.2022):
	```
	pip install bottle
	```
- [Conda](https://anaconda.org/conda-forge/bottle) (📥 350K · ⏱️ 10.06.2020):
	```
	conda install -c conda-forge bottle
	```
</details>
<details><summary><b><a href="https://github.com/encode/starlette">starlette</a></b> (🥈38 ·  ⭐ 7.5K) - The little ASGI framework that shines. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/encode/starlette) (👨‍💻 210 · 🔀 670 · 📦 65K · 📋 660 - 7% open · ⏱️ 02.11.2022):

	```
	git clone https://github.com/encode/starlette
	```
- [PyPi](https://pypi.org/project/starlette) (📥 12M / month · 📦 700 · ⏱️ 28.06.2022):
	```
	pip install starlette
	```
- [Conda](https://anaconda.org/conda-forge/starlette) (📥 1M · ⏱️ 21.10.2022):
	```
	conda install -c conda-forge starlette
	```
</details>
<details><summary><b><a href="https://github.com/falconry/falcon">falcon</a></b> (🥈37 ·  ⭐ 8.9K) - The no-magic web data plane API and microservices framework for.. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code></summary>

- [GitHub](https://github.com/falconry/falcon) (👨‍💻 190 · 🔀 890 · 📥 4K · 📦 7.1K · 📋 980 - 18% open · ⏱️ 30.10.2022):

	```
	git clone https://github.com/falconry/falcon
	```
- [PyPi](https://pypi.org/project/falcon) (📥 620K / month · 📦 1.7K · ⏱️ 25.03.2022):
	```
	pip install falcon
	```
- [Conda](https://anaconda.org/conda-forge/falcon) (📥 280K · ⏱️ 09.04.2022):
	```
	conda install -c conda-forge falcon
	```
</details>
<details><summary><b><a href="https://github.com/flask-restful/flask-restful">flask-restful</a></b> (🥈36 ·  ⭐ 6.5K · 💤) - Simple framework for creating REST APIs. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/flask-restful/flask-restful) (👨‍💻 160 · 🔀 1K · 📦 83K · 📋 580 - 22% open · ⏱️ 04.03.2022):

	```
	git clone https://github.com/flask-restful/flask-restful
	```
- [PyPi](https://pypi.org/project/flask-restful) (📥 1.4M / month · 📦 7.2K · ⏱️ 17.05.2021):
	```
	pip install flask-restful
	```
- [Conda](https://anaconda.org/conda-forge/flask-restful) (📥 140K · ⏱️ 30.05.2021):
	```
	conda install -c conda-forge flask-restful
	```
</details>
<details><summary><b><a href="https://github.com/cherrypy/cherrypy">CherryPy</a></b> (🥈36 ·  ⭐ 1.6K) - CherryPy is a pythonic, object-oriented HTTP framework... <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/cherrypy/cherrypy) (👨‍💻 140 · 🔀 350 · 📦 9.7K · 📋 1.7K - 13% open · ⏱️ 17.07.2022):

	```
	git clone https://github.com/cherrypy/cherrypy
	```
- [PyPi](https://pypi.org/project/cherrypy) (📥 2.5M / month · 📦 10K · ⏱️ 03.07.2021):
	```
	pip install cherrypy
	```
- [Conda](https://anaconda.org/anaconda/cherrypy) (📥 16K · ⏱️ 02.05.2022):
	```
	conda install -c anaconda cherrypy
	```
</details>
<details><summary><b><a href="https://github.com/pyeve/eve">eve</a></b> (🥉34 ·  ⭐ 6.6K) - REST API framework designed for human beings. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/pyeve/eve) (👨‍💻 210 · 🔀 740 · 📦 1K · 📋 980 - 3% open · ⏱️ 02.11.2022):

	```
	git clone https://github.com/pyeve/eve
	```
- [PyPi](https://pypi.org/project/eve) (📥 21K / month · 📦 380 · ⏱️ 08.06.2022):
	```
	pip install eve
	```
</details>
<details><summary><b><a href="https://github.com/django-tastypie/django-tastypie">django-tastypie</a></b> (🥉33 ·  ⭐ 3.8K) - Creating delicious APIs for Django apps since 2010. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/django-tastypie/django-tastypie) (👨‍💻 200 · 🔀 1.2K · 📦 5K · 📋 930 - 44% open · ⏱️ 05.10.2022):

	```
	git clone https://github.com/django-tastypie/django-tastypie
	```
- [PyPi](https://pypi.org/project/django-tastypie) (📥 62K / month · 📦 2.5K · ⏱️ 04.01.2022):
	```
	pip install django-tastypie
	```
</details>
<details><summary><b><a href="https://github.com/webpy/webpy">webpy</a></b> (🥉31 ·  ⭐ 5.7K) - web.py is a web framework for python that is as simple as it is.. <code><a href="http://bit.ly/3rvuUlR">Unlicense</a></code></summary>

- [GitHub](https://github.com/webpy/webpy) (👨‍💻 89 · 🔀 1.3K · 📋 430 - 8% open · ⏱️ 13.10.2022):

	```
	git clone https://github.com/webpy/webpy
	```
- [PyPi](https://pypi.org/project/web.py) (📥 210K / month · 📦 1.1K · ⏱️ 15.12.2021):
	```
	pip install web.py
	```
- [Conda](https://anaconda.org/conda-forge/web.py) (📥 46K · ⏱️ 12.11.2020):
	```
	conda install -c conda-forge web.py
	```
</details>
<details><summary><b><a href="https://github.com/MasoniteFramework/masonite">masonite</a></b> (🥉30 ·  ⭐ 1.9K) - The Modern And Developer Centric Python Web Framework. Be sure to read.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/MasoniteFramework/masonite) (👨‍💻 83 · 🔀 120 · 📦 440 · 📋 370 - 4% open · ⏱️ 25.10.2022):

	```
	git clone https://github.com/MasoniteFramework/masonite
	```
- [PyPi](https://pypi.org/project/masonite) (📥 9.9K / month · 📦 66 · ⏱️ 26.06.2022):
	```
	pip install masonite
	```
</details>
<details><summary><b><a href="https://github.com/Cornices/cornice">cornice</a></b> (🥉28 ·  ⭐ 380) - Build Web Services with Pyramid. <code><a href="http://bit.ly/3postzC">MPL-2.0</a></code> <code><img src="https://trypyramid.com/img/pyramid-16x16.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/Cornices/cornice) (👨‍💻 120 · 🔀 160 · 📦 760 · 📋 240 - 19% open · ⏱️ 18.07.2022):

	```
	git clone https://github.com/Cornices/cornice
	```
- [PyPi](https://pypi.org/project/cornice) (📥 31K / month · 📦 360 · ⏱️ 07.01.2022):
	```
	pip install cornice
	```
- [Conda](https://anaconda.org/anaconda/cornice) (📥 6.5K · ⏱️ 05.10.2021):
	```
	conda install -c anaconda cornice
	```
</details>
<details><summary><b><a href="https://github.com/plone/guillotina">guillotina</a></b> (🥉27 ·  ⭐ 180) - Python AsyncIO data API to manage billions of resources. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/plone/guillotina) (👨‍💻 54 · 🔀 50 · 📦 120 · 📋 230 - 26% open · ⏱️ 26.10.2022):

	```
	git clone https://github.com/plone/guillotina
	```
- [PyPi](https://pypi.org/project/guillotina) (📥 2.4K / month · 📦 50 · ⏱️ 12.04.2022):
	```
	pip install guillotina
	```
</details>
<details><summary><b><a href="https://github.com/web2py/web2py">web2py</a></b> (🥉25 ·  ⭐ 2K) - Free and open source full-stack enterprise framework for agile.. <code><a href="http://bit.ly/37RvQcA">❗️LGPL-3.0</a></code></summary>

- [GitHub](https://github.com/web2py/web2py) (👨‍💻 260 · 🔀 860 · 📦 40 · 📋 1K - 33% open · ⏱️ 04.06.2022):

	```
	git clone https://github.com/web2py/web2py
	```
</details>
<details><summary><b><a href="https://github.com/justpy-org/justpy">justpy</a></b> (🥉25 ·  ⭐ 900) - An object oriented high-level Python Web Framework that requires no.. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code></summary>

- [GitHub](https://github.com/justpy-org/justpy) (👨‍💻 18 · 🔀 77 · 📋 380 - 13% open · ⏱️ 01.11.2022):

	```
	git clone https://github.com/elimintz/justpy
	```
- [PyPi](https://pypi.org/project/justpy) (📥 4.5K / month · 📦 4 · ⏱️ 12.01.2022):
	```
	pip install justpy
	```
</details>
<details><summary><b><a href="https://github.com/emmett-framework/emmett">emmett</a></b> (🥉25 ·  ⭐ 780) - The web framework for inventors. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/emmett-framework/emmett) (👨‍💻 21 · 🔀 63 · 📦 26 · 📋 300 - 8% open · ⏱️ 02.11.2022):

	```
	git clone https://github.com/emmett-framework/emmett
	```
- [PyPi](https://pypi.org/project/emmett) (📥 310 / month · 📦 3 · ⏱️ 23.05.2022):
	```
	pip install emmett
	```
</details>
<details><summary><b><a href="https://github.com/pgjones/quart">quart</a></b> (🥉24 ·  ⭐ 1.4K) - Quart is a Python ASGI web microframework with the same API as Flask. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/pgjones/quart) (👨‍💻 68 · 🔀 83 · ⏱️ 06.07.2022):

	```
	git clone https://github.com/pgjones/quart
	```
- [PyPi](https://pypi.org/project/quart) (📥 370K / month · 📦 38 · ⏱️ 26.03.2022):
	```
	pip install quart
	```
- [Conda](https://anaconda.org/conda-forge/quart) (📥 54K · ⏱️ 17.10.2022):
	```
	conda install -c conda-forge quart
	```
</details>
<details><summary><b><a href="https://github.com/closeio/flask-mongorest">flask-mongorest</a></b> (🥉19 ·  ⭐ 520) - Restful API framework wrapped around MongoEngine. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/closeio/flask-mongorest) (👨‍💻 18 · 🔀 89 · 📦 48 · 📋 65 - 41% open · ⏱️ 12.09.2022):

	```
	git clone https://github.com/closeio/flask-mongorest
	```
- [PyPi](https://pypi.org/project/Flask-MongoRest) (📥 84 / month · 📦 27 · ⏱️ 26.08.2019):
	```
	pip install Flask-MongoRest
	```
</details>
<details><summary>Show 8 hidden projects...</summary>

- <b><a href="https://github.com/Pylons/pyramid">pyramid</a></b> (🥉34 ·  ⭐ 3.7K) - Pyramid - A Python web framework. <code>❗Unlicensed</code>
- <b><a href="https://github.com/hugapi/hug">hug</a></b> (🥉30 ·  ⭐ 6.7K · 💀) - Embrace the APIs of the future. Hug aims to make developing APIs as simple.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code>
- <b><a href="https://github.com/noirbizarre/flask-restplus">flask-restplus</a></b> (🥉30 ·  ⭐ 2.7K · 💀) - Fully featured framework for fast, easy and.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code>
- <b><a href="https://github.com/taoufik07/responder">responder</a></b> (🥉27 ·  ⭐ 3.6K · 💀) - A familiar HTTP Service Framework for Python. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code>
- <b><a href="https://github.com/squeaky-pl/japronto">japronto</a></b> (🥉24 ·  ⭐ 8.6K · 💀) - Screaming-fast Python 3.5+ HTTP toolkit integrated with pipelining.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code>
- <b><a href="https://github.com/vibora-io/vibora">vibora</a></b> (🥉22 ·  ⭐ 5.7K · 💀) - Fast, asynchronous and elegant Python web framework. <code><a href="http://bit.ly/34MBwT8">MIT</a></code>
- <b><a href="https://github.com/pyGrowler/Growler">Growler</a></b> (🥉14 ·  ⭐ 690 · 💀) - A micro web-framework using asyncio coroutines and chained.. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code>
- <b><a href="https://github.com/perdy/flama">flama</a></b> (🥉14 ·  ⭐ 210 · 💀) - Fire up your API. <code><a href="http://bit.ly/2M0xdwT">❗️GPL-3.0</a></code>
</details>
<br>

## HTTP Clients

<a href="#contents"><img align="right" width="15" height="15" src="https://git.io/JtehR" alt="Back to top"></a>

<details><summary><b><a href="https://github.com/psf/requests">requests</a></b> (🥇48 ·  ⭐ 48K) - A simple, yet elegant, HTTP library. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code></summary>

- [GitHub](https://github.com/psf/requests) (👨‍💻 720 · 🔀 8.9K · 📥 3.7K · 📦 1.7M · 📋 3.7K - 6% open · ⏱️ 21.10.2022):

	```
	git clone https://github.com/psf/requests
	```
- [PyPi](https://pypi.org/project/requests) (📥 230M / month · 📦 190K · ⏱️ 29.06.2022):
	```
	pip install requests
	```
- [Conda](https://anaconda.org/conda-forge/requests) (📥 25M · ⏱️ 30.08.2022):
	```
	conda install -c conda-forge requests
	```
</details>
<details><summary><b><a href="https://github.com/aio-libs/aiohttp">aiohttp</a></b> (🥇47 ·  ⭐ 13K) - Asynchronous HTTP client/server framework for asyncio and Python. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code></summary>

- [GitHub](https://github.com/aio-libs/aiohttp) (👨‍💻 650 · 🔀 1.8K · 📥 7.3K · 📦 230K · 📋 2.7K - 17% open · ⏱️ 31.10.2022):

	```
	git clone https://github.com/aio-libs/aiohttp
	```
- [PyPi](https://pypi.org/project/aiohttp) (📥 74M / month · 📦 12K · ⏱️ 14.11.2021):
	```
	pip install aiohttp
	```
- [Conda](https://anaconda.org/conda-forge/aiohttp) (📥 7.2M · ⏱️ 27.10.2022):
	```
	conda install -c conda-forge aiohttp
	```
</details>
<details><summary><b><a href="https://github.com/urllib3/urllib3">urllib3</a></b> (🥈42 ·  ⭐ 3.2K) - Python HTTP library with thread-safe connection pooling, file post.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/urllib3/urllib3) (👨‍💻 310 · 🔀 1K · 📥 3.6K · 📦 1M · 📋 1.1K - 10% open · ⏱️ 01.11.2022):

	```
	git clone https://github.com/urllib3/urllib3
	```
- [PyPi](https://pypi.org/project/urllib3) (📥 260M / month · 📦 43K · ⏱️ 16.03.2022):
	```
	pip install urllib3
	```
- [Conda](https://anaconda.org/conda-forge/urllib3) (📥 25M · ⏱️ 25.07.2022):
	```
	conda install -c conda-forge urllib3
	```
</details>
<details><summary><b><a href="https://github.com/encode/httpx">httpx</a></b> (🥈38 ·  ⭐ 9.6K) - A next generation HTTP client for Python. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/encode/httpx) (👨‍💻 180 · 🔀 630 · 📦 37K · 📋 730 - 5% open · ⏱️ 03.11.2022):

	```
	git clone https://github.com/encode/httpx
	```
- [PyPi](https://pypi.org/project/httpx) (📥 14M / month · 📦 1.5K · ⏱️ 23.05.2022):
	```
	pip install httpx
	```
- [Conda](https://anaconda.org/conda-forge/httpx) (📥 350K · ⏱️ 26.10.2022):
	```
	conda install -c conda-forge httpx
	```
</details>
<details><summary><b><a href="https://github.com/httpie/httpie">httpie</a></b> (🥈36 ·  ⭐ 25K) - HTTPie for Terminal modern, user-friendly command-line HTTP client for.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/httpie/httpie) (👨‍💻 150 · 🔀 3.7K · 📥 1.6K · 📦 11K · 📋 790 - 15% open · ⏱️ 01.10.2022):

	```
	git clone https://github.com/httpie/httpie
	```
- [PyPi](https://pypi.org/project/httpie) (📥 170K / month · 📦 1.7K · ⏱️ 06.05.2022):
	```
	pip install httpie
	```
- [Conda](https://anaconda.org/conda-forge/httpie) (📥 87K · ⏱️ 01.11.2022):
	```
	conda install -c conda-forge httpie
	```
</details>
<details><summary><b><a href="https://github.com/mvantellingen/python-zeep">python-zeep</a></b> (🥈36 ·  ⭐ 1.7K · 📈) - A modern/fast python SOAP client based on lxml / requests. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/mvantellingen/python-zeep) (👨‍💻 140 · 🔀 550 · 📦 5.2K · 📋 1.1K - 39% open · ⏱️ 03.11.2022):

	```
	git clone https://github.com/mvantellingen/python-zeep
	```
- [PyPi](https://pypi.org/project/zeep) (📥 6M / month · 📦 590 · ⏱️ 15.08.2021):
	```
	pip install zeep
	```
- [Conda](https://anaconda.org/conda-forge/zeep) (📥 170K · ⏱️ 03.11.2022):
	```
	conda install -c conda-forge zeep
	```
</details>
<details><summary><b><a href="https://github.com/httplib2/httplib2">httplib2</a></b> (🥈35 ·  ⭐ 450 · 📈) - Small, fast HTTP client library for Python. Features persistent.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/httplib2/httplib2) (👨‍💻 75 · 🔀 180 · 📦 120K · 📋 120 - 44% open · ⏱️ 29.10.2022):

	```
	git clone https://github.com/httplib2/httplib2
	```
- [PyPi](https://pypi.org/project/httplib2) (📥 32M / month · 📦 16K · ⏱️ 03.02.2022):
	```
	pip install httplib2
	```
- [Conda](https://anaconda.org/conda-forge/httplib2) (📥 1.9M · ⏱️ 01.11.2022):
	```
	conda install -c conda-forge httplib2
	```
</details>
<details><summary><b><a href="https://github.com/requests/toolbelt">requests-toolbelt</a></b> (🥈34 ·  ⭐ 880) - A toolbelt of useful classes and functions to be used.. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code></summary>

- [GitHub](https://github.com/requests/toolbelt) (👨‍💻 63 · 🔀 170 · 📋 190 - 44% open · ⏱️ 31.10.2022):

	```
	git clone https://github.com/requests/toolbelt
	```
- [PyPi](https://pypi.org/project/requests-toolbelt) (📥 36M / month · 📦 5.2K · ⏱️ 30.01.2019):
	```
	pip install requests-toolbelt
	```
- [Conda](https://anaconda.org/conda-forge/requests-toolbelt) (📥 1.3M · ⏱️ 29.10.2022):
	```
	conda install -c conda-forge requests-toolbelt
	```
</details>
<details><summary><b><a href="https://github.com/encode/httpcore">httpcore</a></b> (🥉32 ·  ⭐ 290) - A minimal HTTP client. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/encode/httpcore) (👨‍💻 30 · 🔀 54 · 📦 23K · 📋 110 - 6% open · ⏱️ 01.11.2022):

	```
	git clone https://github.com/encode/httpcore
	```
- [PyPi](https://pypi.org/project/httpcore) (📥 13M / month · 📦 87 · ⏱️ 17.05.2022):
	```
	pip install httpcore
	```
- [Conda](https://anaconda.org/conda-forge/httpcore) (📥 290K · ⏱️ 17.05.2022):
	```
	conda install -c conda-forge httpcore
	```
</details>
<details><summary><b><a href="https://github.com/ross/requests-futures">requests-futures</a></b> (🥉30 ·  ⭐ 2K) - Asynchronous Python HTTP Requests for Humans using Futures. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code></summary>

- [GitHub](https://github.com/ross/requests-futures) (👨‍💻 26 · 🔀 140 · 📦 4.5K · 📋 99 - 18% open · ⏱️ 25.10.2022):

	```
	git clone https://github.com/ross/requests-futures
	```
- [PyPi](https://pypi.org/project/requests-futures) (📥 1.3M / month · 📦 950 · ⏱️ 11.06.2019):
	```
	pip install requests-futures
	```
- [Conda](https://anaconda.org/conda-forge/requests-futures) (📥 160K · ⏱️ 14.10.2020):
	```
	conda install -c conda-forge requests-futures
	```
</details>
<details><summary><b><a href="https://github.com/MagicStack/httptools">httptools</a></b> (🥉30 ·  ⭐ 1.1K) - Fast HTTP parser. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/MagicStack/httptools) (👨‍💻 14 · 🔀 69 · 📦 28K · 📋 49 - 20% open · ⏱️ 13.09.2022):

	```
	git clone https://github.com/MagicStack/httptools
	```
- [PyPi](https://pypi.org/project/httptools) (📥 5.9M / month · 📦 550 · ⏱️ 22.02.2022):
	```
	pip install httptools
	```
- [Conda](https://anaconda.org/conda-forge/httptools) (📥 430K · ⏱️ 26.10.2022):
	```
	conda install -c conda-forge httptools
	```
</details>
<details><summary><b><a href="https://github.com/spyoungtech/grequests">grequests</a></b> (🥉28 ·  ⭐ 4.1K · 💤) - Requests + Gevent = 3. <code><a href="http://bit.ly/3rqEWVr">BSD-2</a></code></summary>

- [GitHub](https://github.com/spyoungtech/grequests) (👨‍💻 28 · 🔀 340 · 📦 3.3K · 📋 110 - 8% open · ⏱️ 26.01.2022):

	```
	git clone https://github.com/spyoungtech/grequests
	```
- [PyPi](https://pypi.org/project/grequests) (📥 340K / month · 📦 660 · ⏱️ 05.04.2020):
	```
	pip install grequests
	```
- [Conda](https://anaconda.org/conda-forge/grequests) (📥 64K · ⏱️ 22.04.2020):
	```
	conda install -c conda-forge grequests
	```
</details>
<details><summary><b><a href="https://github.com/twisted/treq">treq</a></b> (🥉27 ·  ⭐ 550) - Python requests like API built on top of Twisteds HTTP client. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/twisted/treq) (👨‍💻 50 · 🔀 140 · 📥 120 · 📦 1K · 📋 160 - 37% open · ⏱️ 10.09.2022):

	```
	git clone https://github.com/twisted/treq
	```
- [PyPi](https://pypi.org/project/treq) (📥 86K / month · 📦 410 · ⏱️ 09.02.2022):
	```
	pip install treq
	```
- [Conda](https://anaconda.org/conda-forge/treq) (📥 66K · ⏱️ 30.01.2022):
	```
	conda install -c conda-forge treq
	```
</details>
<details><summary><b><a href="https://github.com/httpie/http-prompt">http-prompt</a></b> (🥉25 ·  ⭐ 8.6K · 💤) - An interactive command-line HTTP and API testing client built on.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/httpie/http-prompt) (👨‍💻 29 · 🔀 320 · 📦 42 · 📋 100 - 46% open · ⏱️ 21.01.2022):

	```
	git clone https://github.com/httpie/http-prompt
	```
- [PyPi](https://pypi.org/project/http-prompt) (📥 510 / month · 📦 8 · ⏱️ 05.03.2021):
	```
	pip install http-prompt
	```
</details>
<details><summary><b><a href="https://github.com/reorx/httpstat">httpstat</a></b> (🥉22 ·  ⭐ 5.3K) - curl statistics made simple. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/reorx/httpstat) (👨‍💻 4 · 🔀 350 · 📥 160 · 📦 13 · 📋 28 - 21% open · ⏱️ 11.10.2022):

	```
	git clone https://github.com/reorx/httpstat
	```
- [PyPi](https://pypi.org/project/httpstat) (📥 4.3K / month · ⏱️ 24.12.2020):
	```
	pip install httpstat
	```
</details>
<details><summary>Show 4 hidden projects...</summary>

- <b><a href="https://github.com/pycurl/pycurl">pycurl</a></b> (🥉31 ·  ⭐ 900) - PycURL - Python interface to libcurl. <code><a href="https://tldrlegal.com/search?q=LGPL-2.1">❗️LGPL-2.1</a></code>
- <b><a href="https://github.com/python-hyper/hyper">hyper</a></b> (🥉29 ·  ⭐ 1.1K · 💀) - HTTP/2 for Python. <code><a href="http://bit.ly/34MBwT8">MIT</a></code>
- <b><a href="https://github.com/pysimplesoap/pysimplesoap">pysimplesoap</a></b> (🥉26 ·  ⭐ 370 · 💀) - Python Simple SOAP Library. <code><a href="http://bit.ly/37RvQcA">❗️LGPL-3.0</a></code>
- <b><a href="https://github.com/benoitc/http-parser">http-parser</a></b> (🥉24 ·  ⭐ 330 · 💀) - HTTP request/response parser for python in C. <code><a href="http://bit.ly/34MBwT8">MIT</a></code>
</details>
<br>

## Servers

<a href="#contents"><img align="right" width="15" height="15" src="https://git.io/JtehR" alt="Back to top"></a>

<details><summary><b><a href="https://github.com/benoitc/gunicorn">gunicorn</a></b> (🥇44 ·  ⭐ 8.6K) - gunicorn Green Unicorn is a WSGI HTTP Server for UNIX, fast clients and.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/benoitc/gunicorn) (👨‍💻 380 · 🔀 1.6K · 📥 100 · 📦 780K · 📋 2K - 21% open · ⏱️ 15.10.2022):

	```
	git clone https://github.com/benoitc/gunicorn
	```
- [PyPi](https://pypi.org/project/gunicorn) (📥 27M / month · 📦 62K · ⏱️ 27.03.2021):
	```
	pip install gunicorn
	```
- [Conda](https://anaconda.org/conda-forge/gunicorn) (📥 1.6M · ⏱️ 26.10.2022):
	```
	conda install -c conda-forge gunicorn
	```
</details>
<details><summary><b><a href="https://github.com/gevent/gevent">gevent</a></b> (🥇41 ·  ⭐ 5.8K) - Coroutine-based concurrency library for Python. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/gevent/gevent) (👨‍💻 110 · 🔀 930 · 📥 59K · 📦 88K · 📋 1.3K - 6% open · ⏱️ 31.10.2022):

	```
	git clone https://github.com/gevent/gevent
	```
- [PyPi](https://pypi.org/project/gevent) (📥 7.2M / month · 📦 15K · ⏱️ 11.12.2021):
	```
	pip install gevent
	```
- [Conda](https://anaconda.org/conda-forge/gevent) (📥 950K · ⏱️ 27.10.2022):
	```
	conda install -c conda-forge gevent
	```
</details>
<details><summary><b><a href="https://github.com/encode/uvicorn">uvicorn</a></b> (🥈38 ·  ⭐ 5.8K) - An ASGI web server, for Python. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/encode/uvicorn) (👨‍💻 150 · 🔀 510 · 📦 100K · 📋 650 - 11% open · ⏱️ 02.11.2022):

	```
	git clone https://github.com/encode/uvicorn
	```
- [PyPi](https://pypi.org/project/uvicorn) (📥 11M / month · 📦 1.2K · ⏱️ 27.06.2022):
	```
	pip install uvicorn
	```
- [Conda](https://anaconda.org/conda-forge/uvicorn) (📥 1.3M · ⏱️ 19.10.2022):
	```
	conda install -c conda-forge uvicorn
	```
</details>
<details><summary><b><a href="https://github.com/evansd/whitenoise">whitenoise</a></b> (🥈33 ·  ⭐ 2.1K) - Radically simplified static file serving for Python web apps. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/evansd/whitenoise) (👨‍💻 63 · 🔀 120 · 📋 230 - 11% open · ⏱️ 03.11.2022):

	```
	git clone https://github.com/evansd/whitenoise
	```
- [PyPi](https://pypi.org/project/whitenoise) (📥 1.4M / month · 📦 13K · ⏱️ 05.06.2022):
	```
	pip install whitenoise
	```
- [Conda](https://anaconda.org/conda-forge/whitenoise) (📥 65K · ⏱️ 05.06.2022):
	```
	conda install -c conda-forge whitenoise
	```
</details>
<details><summary><b><a href="https://github.com/django/asgiref">asgiref</a></b> (🥉31 ·  ⭐ 1.1K) - ASGI specification and utilities. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/django/asgiref) (👨‍💻 74 · 🔀 160 · 📋 170 - 24% open · ⏱️ 25.09.2022):

	```
	git clone https://github.com/django/asgiref
	```
- [PyPi](https://pypi.org/project/asgiref) (📥 10M / month · 📦 1.1K · ⏱️ 16.05.2022):
	```
	pip install asgiref
	```
- [Conda](https://anaconda.org/conda-forge/asgiref) (📥 770K · ⏱️ 17.05.2022):
	```
	conda install -c conda-forge asgiref
	```
</details>
<details><summary><b><a href="https://github.com/pgjones/hypercorn">Hypercorn</a></b> (🥉30 ·  ⭐ 370) - Hypercorn is an ASGI Server based on Hyper libraries and inspired by.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/pgjones/hypercorn) (👨‍💻 43 · 🔀 36 · 📦 3K · 📋 77 - 25% open · ⏱️ 14.09.2022):

	```
	git clone https://github.com/pgjones/hypercorn
	```
- [PyPi](https://pypi.org/project/hypercorn) (📥 630K / month · 📦 23 · ⏱️ 29.08.2022):
	```
	pip install hypercorn
	```
</details>
<details><summary><b><a href="https://github.com/jonashaag/bjoern">bjoern</a></b> (🥉27 ·  ⭐ 2.9K) - A screamingly fast Python 2/3 WSGI server written in C. <code><a href="http://bit.ly/3rqEWVr">BSD-2</a></code></summary>

- [GitHub](https://github.com/jonashaag/bjoern) (👨‍💻 44 · 🔀 190 · 📦 510 · 📋 160 - 17% open · ⏱️ 11.09.2022):

	```
	git clone https://github.com/jonashaag/bjoern
	```
- [PyPi](https://pypi.org/project/bjoern) (📥 21K / month · 📦 140 · ⏱️ 14.02.2022):
	```
	pip install bjoern
	```
- [Conda](https://anaconda.org/conda-forge/bjoern) (📥 86K · ⏱️ 02.11.2022):
	```
	conda install -c conda-forge bjoern
	```
</details>
<details><summary><b><a href="https://github.com/jordaneremieff/mangum">mangum</a></b> (🥉27 ·  ⭐ 1.1K) - AWS Lambda support for ASGI applications. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://fastapi.tiangolo.com/img/favicon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/jordaneremieff/mangum) (👨‍💻 29 · 🔀 78 · 📦 1.3K · 📋 150 - 6% open · ⏱️ 03.11.2022):

	```
	git clone https://github.com/jordaneremieff/mangum
	```
- [PyPi](https://pypi.org/project/mangum) (📥 410K / month · 📦 8 · ⏱️ 24.04.2022):
	```
	pip install mangum
	```
</details>
<details><summary><b><a href="https://github.com/lepture/python-livereload">livereload</a></b> (🥉27 ·  ⭐ 970) - livereload server in python (MAINTAINERS NEEDED). <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/lepture/python-livereload) (👨‍💻 58 · 🔀 140 · 📋 140 - 29% open · ⏱️ 16.09.2022):

	```
	git clone https://github.com/lepture/python-livereload
	```
- [PyPi](https://pypi.org/project/livereload) (📥 520K / month · 📦 1.6K · ⏱️ 22.08.2020):
	```
	pip install livereload
	```
- [Conda](https://anaconda.org/conda-forge/livereload) (📥 280K · ⏱️ 22.08.2020):
	```
	conda install -c conda-forge livereload
	```
</details>
<details><summary>Show 3 hidden projects...</summary>

- <b><a href="https://github.com/Pylons/waitress">waitress</a></b> (🥈32 ·  ⭐ 1.1K) - Waitress - A WSGI server for Python 2 and 3. <code><a href="https://tldrlegal.com/search?q=ZPL-2.1">❗️ZPL-2.1</a></code>
- <b><a href="https://github.com/mopemope/meinheld">Meinheld</a></b> (🥉25 ·  ⭐ 1.4K · 💀) - Meinheld is a high performance asynchronous WSGI Web Server (based.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code>
- <b><a href="https://github.com/dcramer/django-devserver">django-devserver</a></b> (🥉25 ·  ⭐ 1.3K · 💀) - A drop-in replacement for Djangos runserver. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code>
</details>
<br>

## Authorization & Authentication

<a href="#contents"><img align="right" width="15" height="15" src="https://git.io/JtehR" alt="Back to top"></a>

<details><summary><b><a href="https://github.com/pennersr/django-allauth">django-allauth</a></b> (🥇41 ·  ⭐ 7.5K) - Integrated set of Django applications addressing.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/pennersr/django-allauth) (👨‍💻 600 · 🔀 2.7K · 📦 110K · 📋 1.9K - 19% open · ⏱️ 03.11.2022):

	```
	git clone https://github.com/pennersr/django-allauth
	```
- [PyPi](https://pypi.org/project/django-allauth) (📥 590K / month · 📦 5.3K · ⏱️ 07.06.2022):
	```
	pip install django-allauth
	```
- [Conda](https://anaconda.org/conda-forge/django-allauth) (📥 81K · ⏱️ 07.06.2022):
	```
	conda install -c conda-forge django-allauth
	```
</details>
<details><summary><b><a href="https://github.com/oauthlib/oauthlib">oauthlib</a></b> (🥇40 ·  ⭐ 2.5K) - A generic, spec-compliant, thorough implementation of the OAuth.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/oauthlib/oauthlib) (👨‍💻 190 · 🔀 470 · 📦 280K · 📋 370 - 22% open · ⏱️ 18.10.2022):

	```
	git clone https://github.com/oauthlib/oauthlib
	```
- [PyPi](https://pypi.org/project/oauthlib) (📥 90M / month · 📦 12K · ⏱️ 09.09.2022):
	```
	pip install oauthlib
	```
- [Conda](https://anaconda.org/conda-forge/oauthlib) (📥 6.8M · ⏱️ 18.10.2022):
	```
	conda install -c conda-forge oauthlib
	```
</details>
<details><summary><b><a href="https://github.com/jpadilla/pyjwt">pyjwt</a></b> (🥇38 ·  ⭐ 4.4K) - JSON Web Token implementation in Python. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/jpadilla/pyjwt) (👨‍💻 130 · 🔀 600 · 📦 270K · 📋 370 - 3% open · ⏱️ 02.11.2022):

	```
	git clone https://github.com/jpadilla/pyjwt
	```
- [PyPi](https://pypi.org/project/pyjwt) (📥 110M / month · 📦 11K · ⏱️ 12.05.2022):
	```
	pip install pyjwt
	```
- [Conda](https://anaconda.org/conda-forge/pyjwt) (📥 8.5M · ⏱️ 20.10.2022):
	```
	conda install -c conda-forge pyjwt
	```
</details>
<details><summary><b><a href="https://github.com/lepture/authlib">authlib</a></b> (🥇37 ·  ⭐ 3.3K) - The ultimate Python library in building OAuth, OpenID Connect clients.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/lepture/authlib) (👨‍💻 89 · 🔀 350 · 📦 23K · 📋 360 - 14% open · ⏱️ 31.10.2022):

	```
	git clone https://github.com/lepture/authlib
	```
- [PyPi](https://pypi.org/project/authlib) (📥 5.9M / month · 📦 310 · ⏱️ 06.04.2022):
	```
	pip install authlib
	```
- [Conda](https://anaconda.org/conda-forge/authlib) (📥 87K · ⏱️ 13.09.2022):
	```
	conda install -c conda-forge authlib
	```
</details>
<details><summary><b><a href="https://github.com/googleapis/google-auth-library-python">google-auth</a></b> (🥇37 ·  ⭐ 580) - Google Auth Python Library. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code></summary>

- [GitHub](https://github.com/googleapis/google-auth-library-python) (👨‍💻 100 · 🔀 250 · 📦 160K · 📋 390 - 19% open · ⏱️ 31.10.2022):

	```
	git clone https://github.com/googleapis/google-auth-library-python
	```
- [PyPi](https://pypi.org/project/google-auth) (📥 72M / month · 📦 2.5K · ⏱️ 29.06.2022):
	```
	pip install google-auth
	```
- [Conda](https://anaconda.org/conda-forge/google-auth) (📥 5.8M · ⏱️ 01.11.2022):
	```
	conda install -c conda-forge google-auth
	```
</details>
<details><summary><b><a href="https://github.com/requests/requests-oauthlib">requests-oauthlib</a></b> (🥈36 ·  ⭐ 1.6K) - OAuthlib support for Python-Requests!. <code><a href="http://bit.ly/3hkKRql">ISC</a></code></summary>

- [GitHub](https://github.com/requests/requests-oauthlib) (👨‍💻 120 · 🔀 400 · 📦 260K · 📋 250 - 38% open · ⏱️ 03.09.2022):

	```
	git clone https://github.com/requests/requests-oauthlib
	```
- [PyPi](https://pypi.org/project/requests-oauthlib) (📥 78M / month · 📦 12K · ⏱️ 29.01.2022):
	```
	pip install requests-oauthlib
	```
- [Conda](https://anaconda.org/conda-forge/requests-oauthlib) (📥 6.3M · ⏱️ 30.01.2022):
	```
	conda install -c conda-forge requests-oauthlib
	```
</details>
<details><summary><b><a href="https://github.com/maxcountryman/flask-login">flask-login</a></b> (🥈35 ·  ⭐ 3.2K) - Flask user session management. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/maxcountryman/flask-login) (👨‍💻 110 · 🔀 720 · 📦 120K · 📋 360 - 2% open · ⏱️ 06.09.2022):

	```
	git clone https://github.com/maxcountryman/flask-login
	```
- [PyPi](https://pypi.org/project/flask-login) (📥 4.4M / month · 📦 13K · ⏱️ 02.05.2022):
	```
	pip install flask-login
	```
- [Conda](https://anaconda.org/conda-forge/flask-login) (📥 140K · ⏱️ 25.07.2022):
	```
	conda install -c conda-forge flask-login
	```
</details>
<details><summary><b><a href="https://github.com/jazzband/django-oauth-toolkit">django-oauth-toolkit</a></b> (🥈34 ·  ⭐ 2.7K) - OAuth2 goodies for the Djangonauts!. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/jazzband/django-oauth-toolkit) (👨‍💻 220 · 🔀 710 · 📋 740 - 21% open · ⏱️ 31.10.2022):

	```
	git clone https://github.com/jazzband/django-oauth-toolkit
	```
- [PyPi](https://pypi.org/project/django-oauth-toolkit) (📥 350K / month · 📦 1K · ⏱️ 23.06.2022):
	```
	pip install django-oauth-toolkit
	```
</details>
<details><summary><b><a href="https://github.com/vimalloc/flask-jwt-extended">flask-jwt-extended</a></b> (🥈34 ·  ⭐ 1.4K) - An open source Flask extension that provides JWT.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/vimalloc/flask-jwt-extended) (👨‍💻 87 · 🔀 220 · 📦 22K · 📋 350 - 2% open · ⏱️ 15.08.2022):

	```
	git clone https://github.com/vimalloc/flask-jwt-extended
	```
- [PyPi](https://pypi.org/project/flask-jwt-extended) (📥 3.7M / month · 📦 650 · ⏱️ 27.06.2022):
	```
	pip install flask-jwt-extended
	```
- [Conda](https://anaconda.org/conda-forge/flask-jwt-extended) (📥 120K · ⏱️ 15.08.2022):
	```
	conda install -c conda-forge flask-jwt-extended
	```
</details>
<details><summary><b><a href="https://github.com/django-guardian/django-guardian">django-guardian</a></b> (🥈32 ·  ⭐ 3.3K · 💤) - Per object permissions for Django. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/django-guardian/django-guardian) (👨‍💻 160 · 🔀 540 · 📦 5K · 📋 460 - 29% open · ⏱️ 25.03.2022):

	```
	git clone https://github.com/django-guardian/django-guardian
	```
- [PyPi](https://pypi.org/project/django-guardian) (📥 280K / month · 📦 1.9K · ⏱️ 23.05.2021):
	```
	pip install django-guardian
	```
- [Conda](https://anaconda.org/conda-forge/django-guardian) (📥 41K · ⏱️ 26.05.2021):
	```
	conda install -c conda-forge django-guardian
	```
</details>
<details><summary><b><a href="https://github.com/jazzband/djangorestframework-simplejwt">django-rest-framework-simplejwt</a></b> (🥈32 ·  ⭐ 3.2K) - A JSON Web Token authentication plugin for the Django.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/jazzband/djangorestframework-simplejwt) (👨‍💻 91 · 🔀 530 · 📋 400 - 27% open · ⏱️ 20.10.2022):

	```
	git clone https://github.com/jazzband/djangorestframework-simplejwt
	```
- [PyPi](https://pypi.org/project/djangorestframework-simplejwt) (📥 950K / month · 📦 310 · ⏱️ 24.05.2022):
	```
	pip install djangorestframework-simplejwt
	```
</details>
<details><summary><b><a href="https://github.com/pyauth/pyotp">pyotp</a></b> (🥈32 ·  ⭐ 2.2K) - Python One-Time Password Library. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/pyauth/pyotp) (👨‍💻 37 · 🔀 280 · 📥 210 · 📦 5.9K · 📋 82 - 7% open · ⏱️ 11.09.2022):

	```
	git clone https://github.com/pyauth/pyotp
	```
- [PyPi](https://pypi.org/project/pyotp) (📥 2.6M / month · 📦 550 · ⏱️ 04.02.2021):
	```
	pip install pyotp
	```
- [Conda](https://anaconda.org/conda-forge/pyotp) (📥 28K · ⏱️ 04.02.2021):
	```
	conda install -c conda-forge pyotp
	```
</details>
<details><summary><b><a href="https://github.com/iMerica/dj-rest-auth">dj-rest-auth</a></b> (🥈30 ·  ⭐ 1.1K) - Authentication for Django Rest Framework. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/iMerica/dj-rest-auth) (👨‍💻 160 · 🔀 200 · 📥 240 · 📦 4.5K · 📋 300 - 40% open · ⏱️ 22.10.2022):

	```
	git clone https://github.com/iMerica/dj-rest-auth
	```
- [PyPi](https://pypi.org/project/dj-rest-auth) (📥 150K / month · 📦 8 · ⏱️ 30.03.2022):
	```
	pip install dj-rest-auth
	```
- [Conda](https://anaconda.org/conda-forge/dj-rest-auth) (📥 8.7K · ⏱️ 18.07.2022):
	```
	conda install -c conda-forge dj-rest-auth
	```
</details>
<details><summary><b><a href="https://github.com/mpdavis/python-jose">python-jose</a></b> (🥉29 ·  ⭐ 1.2K · 💤) - A JOSE implementation in Python. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/mpdavis/python-jose) (👨‍💻 49 · 🔀 210 · 📋 150 - 48% open · ⏱️ 09.02.2022):

	```
	git clone https://github.com/mpdavis/python-jose
	```
- [PyPi](https://pypi.org/project/python-jose) (📥 6.5M / month · 📦 710 · ⏱️ 05.06.2021):
	```
	pip install python-jose
	```
- [Conda](https://anaconda.org/conda-forge/python-jose) (📥 1.2M · ⏱️ 26.06.2021):
	```
	conda install -c conda-forge python-jose
	```
</details>
<details><summary><b><a href="https://github.com/sunscrapers/djoser">djoser</a></b> (🥉28 ·  ⭐ 2.2K) - REST implementation of Django authentication system. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/sunscrapers/djoser) (👨‍💻 100 · 🔀 420 · 📋 450 - 36% open · ⏱️ 29.08.2022):

	```
	git clone https://github.com/sunscrapers/djoser
	```
- [PyPi](https://pypi.org/project/djoser) (📥 130K / month · 📦 220 · ⏱️ 30.10.2020):
	```
	pip install djoser
	```
</details>
<details><summary><b><a href="https://github.com/miguelgrinberg/Flask-HTTPAuth">Flask-HTTPAuth</a></b> (🥉28 ·  ⭐ 1.1K) - Simple extension that provides Basic, Digest and Token HTTP.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/miguelgrinberg/Flask-HTTPAuth) (👨‍💻 33 · 🔀 200 · 📋 100 - 8% open · ⏱️ 26.06.2022):

	```
	git clone https://github.com/miguelgrinberg/Flask-HTTPAuth
	```
- [PyPi](https://pypi.org/project/flask-httpauth) (📥 610K / month · 📦 2.2K · ⏱️ 29.05.2022):
	```
	pip install flask-httpauth
	```
- [Conda](https://anaconda.org/conda-forge/flask-httpauth) (📥 110K · ⏱️ 29.05.2022):
	```
	conda install -c conda-forge flask-httpauth
	```
</details>
<details><summary><b><a href="https://github.com/James1345/django-rest-knox">django-rest-knox</a></b> (🥉28 ·  ⭐ 840) - Authentication Module for django rest auth. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/James1345/django-rest-knox) (👨‍💻 44 · 🔀 150 · 📦 8K · 📋 150 - 43% open · ⏱️ 24.08.2022):

	```
	git clone https://github.com/James1345/django-rest-knox
	```
- [PyPi](https://pypi.org/project/django-rest-knox) (📥 87K / month · 📦 180 · ⏱️ 31.01.2022):
	```
	pip install django-rest-knox
	```
</details>
<details><summary><b><a href="https://github.com/fastapi-users/fastapi-users">fastapi-users</a></b> (🥉27 ·  ⭐ 2.2K) - Ready-to-use and customizable users management for FastAPI. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://fastapi.tiangolo.com/img/favicon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/fastapi-users/fastapi-users) (👨‍💻 52 · 🔀 220 · 📥 2 · 📋 220 - 2% open · ⏱️ 25.10.2022):

	```
	git clone https://github.com/fastapi-users/fastapi-users
	```
- [PyPi](https://pypi.org/project/fastapi-users) (📥 31K / month · 📦 9 · ⏱️ 21.06.2022):
	```
	pip install fastapi-users
	```
- [Conda](https://anaconda.org/conda-forge/fastapi-users) (📥 20K · ⏱️ 11.08.2022):
	```
	conda install -c conda-forge fastapi-users
	```
</details>
<details><summary><b><a href="https://github.com/dfunckt/django-rules">django-rules</a></b> (🥉27 ·  ⭐ 1.5K · 💤) - Awesome Django authorization, without the database. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/dfunckt/django-rules) (👨‍💻 25 · 🔀 120 · 📦 970 · 📋 110 - 27% open · ⏱️ 23.03.2022):

	```
	git clone https://github.com/dfunckt/django-rules
	```
- [PyPi](https://pypi.org/project/rules) (📥 94K / month · 📦 130 · ⏱️ 23.03.2022):
	```
	pip install rules
	```
</details>
<details><summary><b><a href="https://github.com/singingwolfboy/flask-dance">flask-dance</a></b> (🥉27 ·  ⭐ 910) - Doing the OAuth dance with style using Flask, requests, and.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/singingwolfboy/flask-dance) (👨‍💻 56 · 🔀 140 · 📋 200 - 18% open · ⏱️ 24.10.2022):

	```
	git clone https://github.com/singingwolfboy/flask-dance
	```
- [PyPi](https://pypi.org/project/flask-dance) (📥 64K / month · 📦 160 · ⏱️ 05.04.2022):
	```
	pip install flask-dance
	```
- [Conda](https://anaconda.org/conda-forge/flask-dance) (📥 8.4K · ⏱️ 07.06.2019):
	```
	conda install -c conda-forge flask-dance
	```
</details>
<details><summary><b><a href="https://github.com/django-cas-ng/django-cas-ng">django-cas-ng</a></b> (🥉26 ·  ⭐ 350) - Django CAS 1.0/2.0/3.0 client authentication library, support.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/django-cas-ng/django-cas-ng) (👨‍💻 82 · 🔀 160 · 📥 440 · 📦 370 · 📋 150 - 2% open · ⏱️ 21.10.2022):

	```
	git clone https://github.com/django-cas-ng/django-cas-ng
	```
- [PyPi](https://pypi.org/project/django-cas-ng) (📥 13K / month · 📦 74 · ⏱️ 09.01.2022):
	```
	pip install django-cas-ng
	```
</details>
<details><summary><b><a href="https://github.com/authomatic/authomatic">authomatic</a></b> (🥉25 ·  ⭐ 990) - Simple yet powerful authorization / authentication client library for.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/authomatic/authomatic) (👨‍💻 44 · 🔀 390 · 📋 130 - 30% open · ⏱️ 06.09.2022):

	```
	git clone https://github.com/authomatic/authomatic
	```
- [PyPi](https://pypi.org/project/authomatic) (📥 1.6K / month · 📦 260 · ⏱️ 27.11.2019):
	```
	pip install authomatic
	```
</details>
<details><summary><b><a href="https://github.com/MushroomMaula/fastapi_login">fastapi_login</a></b> (🥉25 ·  ⭐ 390) - FastAPI-Login tries to provide similar functionality as.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://fastapi.tiangolo.com/img/favicon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/MushroomMaula/fastapi_login) (👨‍💻 10 · 🔀 44 · 📥 3 · 📦 300 · 📋 50 - 12% open · ⏱️ 18.10.2022):

	```
	git clone https://github.com/MushroomMaula/fastapi_login
	```
- [PyPi](https://pypi.org/project/fastapi_login) (📥 11K / month · 📦 2 · ⏱️ 27.05.2022):
	```
	pip install fastapi_login
	```
</details>
<details><summary><b><a href="https://github.com/pallets-eco/flask-openid">Flask-OpenID</a></b> (🥉25 ·  ⭐ 220 · 💤) - Flask-OpenID adds openid support to flask applications. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/pallets-eco/flask-openid) (👨‍💻 15 · 🔀 73 · 📥 12 · 📦 6K · 📋 43 - 6% open · ⏱️ 23.11.2021):

	```
	git clone https://github.com/pallets-eco/flask-openid
	```
- [PyPi](https://pypi.org/project/flask-openid) (📥 1.6M / month · 📦 1.3K · ⏱️ 08.09.2021):
	```
	pip install flask-openid
	```
- [Conda](https://anaconda.org/conda-forge/flask-openid) (📥 100K · ⏱️ 04.11.2021):
	```
	conda install -c conda-forge flask-openid
	```
</details>
<details><summary><b><a href="https://github.com/davedoesdev/python-jwt">python-jwt</a></b> (🥉23 ·  ⭐ 210) - Python module for generating and verifying JSON Web Tokens. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/davedoesdev/python-jwt) (👨‍💻 5 · 🔀 26 · ⏱️ 27.09.2022):

	```
	git clone https://github.com/davedoesdev/python-jwt
	```
- [PyPi](https://pypi.org/project/python-jwt) (📥 210K / month · 📦 56 · ⏱️ 21.09.2022):
	```
	pip install python-jwt
	```
</details>
<details><summary><b><a href="https://github.com/dusktreader/flask-praetorian">flask-praetorian</a></b> (🥉21 ·  ⭐ 320) - Strong, Simple, and Precise security for Flask APIs.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/dusktreader/flask-praetorian) (👨‍💻 27 · 🔀 43 · 📋 140 - 2% open · ⏱️ 20.09.2022):

	```
	git clone https://github.com/dusktreader/flask-praetorian
	```
- [PyPi](https://pypi.org/project/flask-praetorian) (📥 2.3K / month · 📦 8 · ⏱️ 02.12.2021):
	```
	pip install flask-praetorian
	```
</details>
<details><summary>Show 13 hidden projects...</summary>

- <b><a href="https://github.com/googleapis/oauth2client">oauth2client</a></b> (🥈34 ·  ⭐ 780 · 💀) - This is a Python library for accessing resources protected.. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code>
- <b><a href="https://github.com/omab/python-social-auth">python-social-auth</a></b> (🥈32 ·  ⭐ 2.8K · 💀) - Social auth made simple. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code>
- <b><a href="https://github.com/jpadilla/django-rest-framework-jwt">django-rest-framework-jwt</a></b> (🥈31 ·  ⭐ 3.2K · 💀) - JSON Web Token Authentication support for Django REST.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code>
- <b><a href="https://github.com/joestump/python-oauth2">python-oauth2</a></b> (🥉29 ·  ⭐ 3K · 💀) - A fully tested, abstract interface to creating OAuth clients.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code>
- <b><a href="https://github.com/litl/rauth">rauth</a></b> (🥉28 ·  ⭐ 1.6K · 💀) - A Python library for OAuth 1.0/a, 2.0, and Ofly. <code><a href="http://bit.ly/34MBwT8">MIT</a></code>
- <b><a href="https://github.com/lingthio/Flask-User">Flask-User</a></b> (🥉26 ·  ⭐ 990 · 💀) - Customizable User Authorization & User Management: Register,.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code>
- <b><a href="https://github.com/mgrouchy/django-stronghold">django-stronghold</a></b> (🥉24 ·  ⭐ 380 · 💀) - Get inside your stronghold and make all your Django.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code>
- <b><a href="https://github.com/bbangert/velruse">velruse</a></b> (🥉22 ·  ⭐ 250 · 💀) - Simplifying third-party authentication for web applications. <code><a href="http://bit.ly/34MBwT8">MIT</a></code>
- <b><a href="https://github.com/IndominusByte/fastapi-jwt-auth">fastapi-jwt-auth</a></b> (🥉19 ·  ⭐ 440 · 💀) - FastAPI extension that provides JWT Auth support.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://fastapi.tiangolo.com/img/favicon.png" style="display:inline;" width="13" height="13"></code>
- <b><a href="https://github.com/cd34/apex">apex</a></b> (🥉17 ·  ⭐ 96 · 💀) - Toolkit for Pyramid, a Pylons Project, to add Authentication and.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://trypyramid.com/img/pyramid-16x16.png" style="display:inline;" width="13" height="13"></code>
- <b><a href="https://github.com/flask-extensions/Flask-SimpleLogin">flask_simplelogin</a></b> (🥉16 ·  ⭐ 180 · 💀) - Simple Login - Login Extension for Flask - maintainer.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code>
- <b><a href="https://github.com/wichert/pyramid_jwt">pyramid_jwt</a></b> (🥉16 ·  ⭐ 73 · 💀) - JWT authentication for Pyramid. <code><a href="http://bit.ly/3rqEWVr">BSD-2</a></code> <code><img src="https://trypyramid.com/img/pyramid-16x16.png" style="display:inline;" width="13" height="13"></code>
- <b><a href="https://github.com/holgi/fastapi-permissions">fastapi-permissions</a></b> (🥉13 ·  ⭐ 300 · 💀) - row level security for FastAPI framework. <code><a href="https://tldrlegal.com/search?q=THE%20BEER-WARE%20LICENSE">❗️THE BEER-WARE LICENSE</a></code> <code><img src="https://fastapi.tiangolo.com/img/favicon.png" style="display:inline;" width="13" height="13"></code>
</details>
<br>

## HTML Processing

<a href="#contents"><img align="right" width="15" height="15" src="https://git.io/JtehR" alt="Back to top"></a>

<details><summary><b><a href="https://github.com/mozilla/bleach">bleach</a></b> (🥇36 ·  ⭐ 2.4K) - Bleach is an allowed-list-based HTML sanitizing library that escapes.. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code></summary>

- [GitHub](https://github.com/mozilla/bleach) (👨‍💻 78 · 🔀 240 · 📦 200K · 📋 360 - 8% open · ⏱️ 27.06.2022):

	```
	git clone https://github.com/mozilla/bleach
	```
- [PyPi](https://pypi.org/project/bleach) (📥 14M / month · 📦 12K · ⏱️ 27.06.2022):
	```
	pip install bleach
	```
- [Conda](https://anaconda.org/conda-forge/bleach) (📥 9.3M · ⏱️ 27.06.2022):
	```
	conda install -c conda-forge bleach
	```
</details>
<details><summary><b><a href="https://github.com/lxml/lxml">lxml</a></b> (🥇36 ·  ⭐ 2.2K) - The lxml XML toolkit for Python. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/lxml/lxml) (👨‍💻 140 · 🔀 520 · 📥 5.9K · 📦 290K · ⏱️ 24.10.2022):

	```
	git clone https://github.com/lxml/lxml
	```
- [PyPi](https://pypi.org/project/lxml) (📥 56M / month · 📦 39K · ⏱️ 01.07.2022):
	```
	pip install lxml
	```
- [Conda](https://anaconda.org/conda-forge/lxml) (📥 8.3M · ⏱️ 27.10.2022):
	```
	conda install -c conda-forge lxml
	```
</details>
<details><summary><b><a href="https://github.com/pallets/markupsafe">markupsafe</a></b> (🥈34 ·  ⭐ 500) - Safely add untrusted strings to HTML/XML markup. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/pallets/markupsafe) (👨‍💻 39 · 🔀 130 · 📦 1M · 📋 100 - 1% open · ⏱️ 01.11.2022):

	```
	git clone https://github.com/pallets/markupsafe
	```
- [PyPi](https://pypi.org/project/markupsafe) (📥 130M / month · 📦 74K · ⏱️ 15.03.2022):
	```
	pip install markupsafe
	```
- [Conda](https://anaconda.org/conda-forge/markupsafe) (📥 24M · ⏱️ 26.10.2022):
	```
	conda install -c conda-forge markupsafe
	```
</details>
<details><summary><b><a href="https://github.com/Kozea/WeasyPrint">WeasyPrint</a></b> (🥉32 ·  ⭐ 5.3K) - The awesome document factory. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/Kozea/WeasyPrint) (👨‍💻 120 · 🔀 580 · 📋 1.5K - 10% open · ⏱️ 27.10.2022):

	```
	git clone https://github.com/Kozea/WeasyPrint
	```
- [PyPi](https://pypi.org/project/weasyprint) (📥 830K / month · 📦 42 · ⏱️ 17.06.2022):
	```
	pip install weasyprint
	```
- [Conda](https://anaconda.org/conda-forge/weasyprint) (📥 75K · ⏱️ 23.10.2022):
	```
	conda install -c conda-forge weasyprint
	```
</details>
<details><summary><b><a href="https://github.com/xhtml2pdf/xhtml2pdf">xhtml2pdf</a></b> (🥉32 ·  ⭐ 1.9K) - A library for converting HTML into PDFs using ReportLab. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code></summary>

- [GitHub](https://github.com/xhtml2pdf/xhtml2pdf) (👨‍💻 150 · 🔀 590 · 📥 6 · 📦 8.8K · 📋 350 - 40% open · ⏱️ 02.11.2022):

	```
	git clone https://github.com/xhtml2pdf/xhtml2pdf
	```
- [PyPi](https://pypi.org/project/xhtml2pdf) (📥 420K / month · 📦 830 · ⏱️ 16.06.2022):
	```
	pip install xhtml2pdf
	```
- [Conda](https://anaconda.org/conda-forge/xhtml2pdf) (📥 59K · ⏱️ 16.06.2022):
	```
	conda install -c conda-forge xhtml2pdf
	```
</details>
<details><summary><b><a href="https://github.com/gawel/pyquery">pyquery</a></b> (🥉31 ·  ⭐ 2.1K) - A jquery-like library for python. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/gawel/pyquery) (👨‍💻 50 · 🔀 170 · 📦 16K · 📋 170 - 26% open · ⏱️ 17.07.2022):

	```
	git clone https://github.com/gawel/pyquery
	```
- [PyPi](https://pypi.org/project/pyquery) (📥 1M / month · 📦 3.3K · ⏱️ 21.11.2020):
	```
	pip install pyquery
	```
- [Conda](https://anaconda.org/conda-forge/pyquery) (📥 31K · ⏱️ 27.11.2020):
	```
	conda install -c conda-forge pyquery
	```
</details>
<details><summary><b><a href="https://github.com/rushter/selectolax">selectolax</a></b> (🥉25 ·  ⭐ 620) - Python binding to Modest and Lexbor engines (fast HTML5 parser with.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/rushter/selectolax) (👨‍💻 9 · 🔀 50 · 📦 350 · 📋 58 - 12% open · ⏱️ 28.09.2022):

	```
	git clone https://github.com/rushter/selectolax
	```
- [PyPi](https://pypi.org/project/selectolax) (📥 27K / month · 📦 26 · ⏱️ 21.03.2022):
	```
	pip install selectolax
	```
</details>
<details><summary><b><a href="https://github.com/kovidgoyal/html5-parser">html5-parser</a></b> (🥉20 ·  ⭐ 640 · 💤) - Fast C based HTML 5 parsing for python. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code></summary>

- [GitHub](https://github.com/kovidgoyal/html5-parser) (👨‍💻 6 · 🔀 28 · 📋 21 - 4% open · ⏱️ 17.03.2022):

	```
	git clone https://github.com/kovidgoyal/html5-parser
	```
- [PyPi](https://pypi.org/project/html5-parser) (📥 300K / month · 📦 15 · ⏱️ 22.09.2021):
	```
	pip install html5-parser
	```
</details>
<details><summary>Show 2 hidden projects...</summary>

- <b><a href="https://github.com/psf/requests-html">Requests-HTML</a></b> (🥈34 ·  ⭐ 13K · 💀) - Pythonic HTML Parsing for Humans. <code><a href="http://bit.ly/34MBwT8">MIT</a></code>
- <b><a href="https://github.com/html5lib/html5lib-python">html5lib-python</a></b> (🥉33 ·  ⭐ 990 · 💀) - Standards-compliant library for parsing and serializing HTML.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code>
</details>
<br>

## URL Utilities

<a href="#contents"><img align="right" width="15" height="15" src="https://git.io/JtehR" alt="Back to top"></a>

<details><summary><b><a href="https://github.com/john-kurkowski/tldextract">tldextract</a></b> (🥇34 ·  ⭐ 1.6K) - Accurately separates a URLs subdomain, domain, and public suffix,.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/john-kurkowski/tldextract) (👨‍💻 43 · 🔀 190 · 📦 13K · 📋 180 - 10% open · ⏱️ 04.10.2022):

	```
	git clone https://github.com/john-kurkowski/tldextract
	```
- [PyPi](https://pypi.org/project/tldextract) (📥 6.2M / month · 📦 1.1K · ⏱️ 04.05.2022):
	```
	pip install tldextract
	```
- [Conda](https://anaconda.org/conda-forge/tldextract) (📥 300K · ⏱️ 05.10.2022):
	```
	conda install -c conda-forge tldextract
	```
</details>
<details><summary><b><a href="https://github.com/aio-libs/yarl">Yarl</a></b> (🥈32 ·  ⭐ 860) - Yet another URL library. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code></summary>

- [GitHub](https://github.com/aio-libs/yarl) (👨‍💻 72 · 🔀 120 · 📥 6.1K · 📋 210 - 20% open · ⏱️ 01.08.2022):

	```
	git clone https://github.com/aio-libs/yarl
	```
- [PyPi](https://pypi.org/project/yarl) (📥 100M / month · 📦 2.8K · ⏱️ 01.11.2021):
	```
	pip install yarl
	```
- [Conda](https://anaconda.org/conda-forge/yarl) (📥 6.7M · ⏱️ 27.10.2022):
	```
	conda install -c conda-forge yarl
	```
</details>
<details><summary><b><a href="https://github.com/skorokithakis/shortuuid">shortuuid</a></b> (🥈30 ·  ⭐ 1.8K) - A generator library for concise, unambiguous and URL-safe UUIDs. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/skorokithakis/shortuuid) (👨‍💻 28 · 🔀 100 · 📋 53 - 3% open · ⏱️ 23.10.2022):

	```
	git clone https://github.com/skorokithakis/shortuuid
	```
- [PyPi](https://pypi.org/project/shortuuid) (📥 4.7M / month · 📦 1K · ⏱️ 08.05.2022):
	```
	pip install shortuuid
	```
- [Conda](https://anaconda.org/conda-forge/shortuuid) (📥 250K · ⏱️ 29.06.2022):
	```
	conda install -c conda-forge shortuuid
	```
</details>
<details><summary><b><a href="https://github.com/gruns/furl">furl</a></b> (🥉27 ·  ⭐ 2.4K) - URL parsing and manipulation made easy. <code><a href="http://bit.ly/3rvuUlR">Unlicense</a></code></summary>

- [GitHub](https://github.com/gruns/furl) (👨‍💻 15 · 🔀 140 · 📋 110 - 25% open · ⏱️ 01.08.2022):

	```
	git clone https://github.com/gruns/furl
	```
- [PyPi](https://pypi.org/project/furl) (📥 1.3M / month · 📦 590 · ⏱️ 27.09.2021):
	```
	pip install furl
	```
- [Conda](https://anaconda.org/conda-forge/furl) (📥 210K · ⏱️ 28.09.2021):
	```
	conda install -c conda-forge furl
	```
</details>
<details><summary>Show 2 hidden projects...</summary>

- <b><a href="https://github.com/python-hyper/uritemplate">uritemplate</a></b> (🥉28 ·  ⭐ 210) - URI template parsing per RFC6570. <code><a href="https://tldrlegal.com/search?q=BSD-1-Clause">❗️BSD-1-Clause</a></code>
- <b><a href="https://github.com/codeinthehole/purl">purl</a></b> (🥉22 ·  ⭐ 280 · 💀) - A simple, immutable URL class with a clean API for interrogation and.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code>
</details>
<br>

## OpenAPI Utilities

<a href="#contents"><img align="right" width="15" height="15" src="https://git.io/JtehR" alt="Back to top"></a>

🔗&nbsp;<b><a href="https://github.com/OAI/OpenAPI-Specification">OpenAPI-Specification</a></b> ( ⭐ 25K)  - The OpenAPI Specification Repository. <code><img src="https://www.openapis.org/wp-content/uploads/sites/3/2016/11/favicon.png" style="display:inline;" width="13" height="13"></code>

<details><summary><b><a href="https://github.com/OpenAPITools/openapi-generator">OpenAPI Generator</a></b> (🥇42 ·  ⭐ 14K) - OpenAPI Generator allows generation of API client.. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code> <code><img src="https://www.openapis.org/wp-content/uploads/sites/3/2016/11/favicon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/OpenAPITools/openapi-generator) (👨‍💻 2.6K · 🔀 4.7K · 📦 4 · 📋 6.3K - 56% open · ⏱️ 03.11.2022):

	```
	git clone https://github.com/OpenAPITools/openapi-generator
	```
- [PyPi](https://pypi.org/project/openapi-generator-cli) (📥 4.1K / month · ⏱️ 15.05.2020):
	```
	pip install openapi-generator-cli
	```
- [npm](https://www.npmjs.com/package/@openapitools/openapi-generator-cli) (📥 1.5M / month · 📦 430 · ⏱️ 05.09.2022):
	```
	npm install @openapitools/openapi-generator-cli
	```
</details>
<details><summary><b><a href="https://github.com/spec-first/connexion">connexion</a></b> (🥇37 ·  ⭐ 4.1K) - Swagger/OpenAPI First framework for Python on top of Flask.. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code> <code><img src="https://www.openapis.org/wp-content/uploads/sites/3/2016/11/favicon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/spec-first/connexion) (👨‍💻 210 · 🔀 720 · 📦 7.4K · 📋 890 - 16% open · ⏱️ 07.10.2022):

	```
	git clone https://github.com/zalando/connexion
	```
- [PyPi](https://pypi.org/project/connexion) (📥 4.7M / month · 📦 710 · ⏱️ 22.06.2022):
	```
	pip install connexion
	```
- [Conda](https://anaconda.org/conda-forge/connexion) (📥 190K · ⏱️ 23.08.2022):
	```
	conda install -c conda-forge connexion
	```
</details>
<details><summary><b><a href="https://github.com/swagger-api/swagger-ui">swagger-ui</a></b> (🥇36 ·  ⭐ 23K) - Swagger UI is a collection of HTML, JavaScript, and CSS.. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code> <code><img src="https://www.openapis.org/wp-content/uploads/sites/3/2016/11/favicon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/swagger-api/swagger-ui) (👨‍💻 540 · 🔀 8.5K · 📦 34K · 📋 5K - 17% open · ⏱️ 27.10.2022):

	```
	git clone https://github.com/swagger-api/swagger-ui
	```
</details>
<details><summary><b><a href="https://github.com/marshmallow-code/apispec">apispec</a></b> (🥈35 ·  ⭐ 990) - A pluggable API specification generator. Currently supports the.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://www.openapis.org/wp-content/uploads/sites/3/2016/11/favicon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/marshmallow-code/apispec) (👨‍💻 78 · 🔀 160 · 📦 6.4K · 📋 250 - 8% open · ⏱️ 14.10.2022):

	```
	git clone https://github.com/marshmallow-code/apispec
	```
- [PyPi](https://pypi.org/project/apispec) (📥 4.2M / month · 📦 7.1K · ⏱️ 12.05.2022):
	```
	pip install apispec
	```
- [Conda](https://anaconda.org/conda-forge/apispec) (📥 420K · ⏱️ 13.05.2022):
	```
	conda install -c conda-forge apispec
	```
</details>
<details><summary><b><a href="https://github.com/axnsan12/drf-yasg">drf-yasg</a></b> (🥈34 ·  ⭐ 2.9K) - Automated generation of real Swagger/OpenAPI 2.0 schemas.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://www.openapis.org/wp-content/uploads/sites/3/2016/11/favicon.png" style="display:inline;" width="13" height="13"></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/axnsan12/drf-yasg) (👨‍💻 66 · 🔀 380 · 📦 75K · 📋 610 - 34% open · ⏱️ 15.07.2022):

	```
	git clone https://github.com/axnsan12/drf-yasg
	```
- [PyPi](https://pypi.org/project/drf-yasg) (📥 1.2M / month · 📦 370 · ⏱️ 25.10.2020):
	```
	pip install drf-yasg
	```
- [Conda](https://anaconda.org/conda-forge/drf-yasg) (📥 4.8K · ⏱️ 26.10.2020):
	```
	conda install -c conda-forge drf-yasg
	```
</details>
<details><summary><b><a href="https://github.com/tfranzel/drf-spectacular">drf-spectacular</a></b> (🥈33 ·  ⭐ 1.3K) - Sane and flexible OpenAPI 3 schema generation for Django.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://www.openapis.org/wp-content/uploads/sites/3/2016/11/favicon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/tfranzel/drf-spectacular) (👨‍💻 82 · 🔀 160 · 📦 4K · 📋 620 - 7% open · ⏱️ 02.11.2022):

	```
	git clone https://github.com/tfranzel/drf-spectacular
	```
- [PyPi](https://pypi.org/project/drf-spectacular) (📥 670K / month · 📦 25 · ⏱️ 26.07.2022):
	```
	pip install drf-spectacular
	```
- [Conda](https://anaconda.org/conda-forge/drf-spectacular) (📥 9.4K · ⏱️ 26.09.2022):
	```
	conda install -c conda-forge drf-spectacular
	```
</details>
<details><summary><b><a href="https://github.com/Redocly/redoc">redoc</a></b> (🥈32 ·  ⭐ 19K) - OpenAPI/Swagger-generated API Reference Documentation. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://www.openapis.org/wp-content/uploads/sites/3/2016/11/favicon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/Redocly/redoc) (👨‍💻 200 · 🔀 2K · 📥 66 · 📦 3.2K · 📋 1.6K - 24% open · ⏱️ 31.10.2022):

	```
	git clone https://github.com/Redocly/redoc
	```
</details>
<details><summary><b><a href="https://github.com/Azure/autorest">AutoRest</a></b> (🥈30 ·  ⭐ 4K) - OpenAPI (f.k.a Swagger) Specification code generator. Supports C#,.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://www.openapis.org/wp-content/uploads/sites/3/2016/11/favicon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/Azure/autorest) (👨‍💻 170 · 🔀 720 · 📥 85K · 📦 420 · 📋 2K - 3% open · ⏱️ 19.10.2022):

	```
	git clone https://github.com/Azure/autorest
	```
</details>
<details><summary><b><a href="https://github.com/flasgger/flasgger">flasgger</a></b> (🥈30 ·  ⭐ 3.1K · 💤) - Easy OpenAPI specs and Swagger UI for your Flask API. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/flasgger/flasgger) (👨‍💻 110 · 🔀 440 · 📥 480 · 📦 8.6K · 📋 360 - 56% open · ⏱️ 21.01.2022):

	```
	git clone https://github.com/flasgger/flasgger
	```
- [PyPi](https://pypi.org/project/flasgger) (📥 420K / month · 📦 360 · ⏱️ 31.07.2020):
	```
	pip install flasgger
	```
- [Conda](https://anaconda.org/conda-forge/flasgger) (📥 110K · ⏱️ 16.04.2021):
	```
	conda install -c conda-forge flasgger
	```
</details>
<details><summary><b><a href="https://github.com/swagger-api/swagger-codegen">swagger-codegen</a></b> (🥉29 ·  ⭐ 15K) - swagger-codegen contains a template-driven engine to.. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code> <code><img src="https://www.openapis.org/wp-content/uploads/sites/3/2016/11/favicon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/swagger-api/swagger-codegen) (👨‍💻 1.2K · 🔀 5.9K · 📋 6.6K - 48% open · ⏱️ 13.10.2022):

	```
	git clone https://github.com/swagger-api/swagger-codegen
	```
</details>
<details><summary><b><a href="https://github.com/koxudaxi/datamodel-code-generator">datamodel-code-generator</a></b> (🥉27 ·  ⭐ 1.2K) - Pydantic model generator for easy conversion of JSON,.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://www.openapis.org/wp-content/uploads/sites/3/2016/11/favicon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/koxudaxi/datamodel-code-generator) (👨‍💻 45 · 🔀 130 · 📋 240 - 36% open · ⏱️ 03.11.2022):

	```
	git clone https://github.com/koxudaxi/datamodel-code-generator
	```
- [PyPi](https://pypi.org/project/datamodel-code-generator) (📥 170K / month · 📦 26 · ⏱️ 27.05.2022):
	```
	pip install datamodel-code-generator
	```
</details>
<details><summary><b><a href="https://github.com/p1c2u/openapi-spec-validator">OpenAPI Spec validator</a></b> (🥉27 ·  ⭐ 230) - OpenAPI Spec validator. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code></summary>

- [GitHub](https://github.com/p1c2u/openapi-spec-validator) (👨‍💻 35 · 🔀 54 · 📋 93 - 47% open · ⏱️ 07.10.2022):

	```
	git clone https://github.com/p1c2u/openapi-spec-validator
	```
- [PyPi](https://pypi.org/project/openapi-spec-validator) (📥 2.3M / month · 📦 170 · ⏱️ 21.06.2022):
	```
	pip install openapi-spec-validator
	```
- [Conda](https://anaconda.org/conda-forge/openapi-spec-validator) (📥 120K · ⏱️ 05.09.2022):
	```
	conda install -c conda-forge openapi-spec-validator
	```
</details>
<details><summary><b><a href="https://github.com/IBM/openapi-to-graphql">OpenAPI-to-GraphQL</a></b> (🥉26 ·  ⭐ 1.4K) - Translate APIs described by OpenAPI Specifications.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://www.openapis.org/wp-content/uploads/sites/3/2016/11/favicon.png" style="display:inline;" width="13" height="13"></code> <code><img src="https://graphql.org/img/logo.svg" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/IBM/openapi-to-graphql) (👨‍💻 40 · 🔀 180 · 📦 560 · 📋 280 - 48% open · ⏱️ 03.05.2022):

	```
	git clone https://github.com/IBM/openapi-to-graphql
	```
- [npm](https://www.npmjs.com/package/openapi-to-graphql-cli) (📥 5.9K / month · 📦 1 · ⏱️ 04.02.2022):
	```
	npm install openapi-to-graphql-cli
	```
</details>
<details><summary><b><a href="https://github.com/p1c2u/openapi-core">openapi-core</a></b> (🥉26 ·  ⭐ 180) - OpenAPI core. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/p1c2u/openapi-core) (👨‍💻 51 · 🔀 110 · 📋 170 - 35% open · ⏱️ 11.10.2022):

	```
	git clone https://github.com/p1c2u/openapi-core
	```
- [PyPi](https://pypi.org/project/openapi-core) (📥 150K / month · 📦 25 · ⏱️ 03.06.2022):
	```
	pip install openapi-core
	```
- [Conda](https://anaconda.org/conda-forge/openapi-core) (📥 5.2K · ⏱️ 10.10.2022):
	```
	conda install -c conda-forge openapi-core
	```
</details>
<details><summary><b><a href="https://github.com/0b01001001/spectree">Spectree</a></b> (🥉24 ·  ⭐ 240) - API spec validator and OpenAPI document generator for Python.. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code> <code><img src="https://www.openapis.org/wp-content/uploads/sites/3/2016/11/favicon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/0b01001001/spectree) (👨‍💻 30 · 🔀 53 · 📦 39 · 📋 90 - 13% open · ⏱️ 23.10.2022):

	```
	git clone https://github.com/0b01001001/spectree
	```
- [PyPi](https://pypi.org/project/spectree) (📥 22K / month · 📦 2 · ⏱️ 07.07.2022):
	```
	pip install spectree
	```
</details>
<details><summary><b><a href="https://github.com/openapi-generators/openapi-python-client">openapi-python-client</a></b> (🥉23 ·  ⭐ 500) - Generate modern Python clients from OpenAPI. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://www.openapis.org/wp-content/uploads/sites/3/2016/11/favicon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/openapi-generators/openapi-python-client) (👨‍💻 43 · 🔀 99 · 📋 260 - 32% open · ⏱️ 26.09.2022):

	```
	git clone https://github.com/openapi-generators/openapi-python-client
	```
- [PyPi](https://pypi.org/project/openapi-python-client) (📥 39K / month · 📦 1 · ⏱️ 03.07.2022):
	```
	pip install openapi-python-client
	```
- [Conda](https://anaconda.org/conda-forge/openapi-python-client) (📥 9.4K · ⏱️ 03.07.2022):
	```
	conda install -c conda-forge openapi-python-client
	```
</details>
<details><summary><b><a href="https://github.com/Pylons/pyramid_openapi3">pyramid_openapi3</a></b> (🥉19 ·  ⭐ 78) - Pyramid addon for OpenAPI3 validation of requests and.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://trypyramid.com/img/pyramid-16x16.png" style="display:inline;" width="13" height="13"></code> <code><img src="https://www.openapis.org/wp-content/uploads/sites/3/2016/11/favicon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/Pylons/pyramid_openapi3) (👨‍💻 22 · 🔀 35 · 📋 65 - 36% open · ⏱️ 26.05.2022):

	```
	git clone https://github.com/Pylons/pyramid_openapi3
	```
- [PyPi](https://pypi.org/project/pyramid_openapi3) (📥 14K / month · 📦 2 · ⏱️ 05.05.2022):
	```
	pip install pyramid_openapi3
	```
</details>
<details><summary><b><a href="https://github.com/striglia/pyramid_swagger">pyramid_swagger</a></b> (🥉18 ·  ⭐ 64 · 📈) - Convenient tools for using Swagger to define and.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://trypyramid.com/img/pyramid-16x16.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/striglia/pyramid_swagger) (👨‍💻 39 · 🔀 48 · 📋 110 - 21% open · ⏱️ 18.09.2022):

	```
	git clone https://github.com/striglia/pyramid_swagger
	```
- [PyPi](https://pypi.org/project/pyramid_swagger) (📥 16K / month · 📦 2 · ⏱️ 07.05.2019):
	```
	pip install pyramid_swagger
	```
</details>
<details><summary>Show 4 hidden projects...</summary>

- <b><a href="https://github.com/marcgibbons/django-rest-swagger">django-rest-swagger</a></b> (🥈30 ·  ⭐ 2.6K · 💀) - Swagger Documentation Generator for Django REST.. <code><a href="http://bit.ly/3rqEWVr">BSD-2</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code>
- <b><a href="https://github.com/encode/apistar">apistar</a></b> (🥉29 ·  ⭐ 5.6K · 💀) - The Web API toolkit. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://www.openapis.org/wp-content/uploads/sites/3/2016/11/favicon.png" style="display:inline;" width="13" height="13"></code>
- <b><a href="https://github.com/getsling/flask-swagger">flask-swagger</a></b> (🥉26 ·  ⭐ 460 · 💀) - A swagger 2.0 spec extractor for flask. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code>
- <b><a href="https://github.com/sourcey/spectacle">Spectacle</a></b> (🥉23 ·  ⭐ 1.3K · 💀) - Beautiful static documentation generator for OpenAPI/Swagger.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://www.openapis.org/wp-content/uploads/sites/3/2016/11/favicon.png" style="display:inline;" width="13" height="13"></code>
</details>
<br>

## GraphQL Utilities

<a href="#contents"><img align="right" width="15" height="15" src="https://git.io/JtehR" alt="Back to top"></a>

🔗&nbsp;<b><a href="https://github.com/graphql/graphql-spec">GraphQL Specification</a></b> ( ⭐ 14K)  - GraphQL is a query language and execution engine tied to any..

<details><summary><b><a href="https://github.com/graphql-python/graphene">graphene</a></b> (🥇36 ·  ⭐ 7.4K) - GraphQL framework for Python. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://graphql.org/img/logo.svg" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/graphql-python/graphene) (👨‍💻 190 · 🔀 790 · 📦 14K · 📋 980 - 12% open · ⏱️ 27.10.2022):

	```
	git clone https://github.com/graphql-python/graphene
	```
- [PyPi](https://pypi.org/project/graphene) (📥 1.6M / month · 📦 840 · ⏱️ 30.05.2022):
	```
	pip install graphene
	```
- [Conda](https://anaconda.org/conda-forge/graphene) (📥 190K · ⏱️ 08.09.2022):
	```
	conda install -c conda-forge graphene
	```
</details>
<details><summary><b><a href="https://github.com/graphql-python/graphene-django">graphene-django</a></b> (🥇34 ·  ⭐ 3.9K) - Integrate GraphQL into your Django project. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code> <code><img src="https://graphql.org/img/logo.svg" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/graphql-python/graphene-django) (👨‍💻 200 · 🔀 710 · 📦 8.7K · 📋 760 - 18% open · ⏱️ 19.10.2022):

	```
	git clone https://github.com/graphql-python/graphene-django
	```
- [PyPi](https://pypi.org/project/graphene-django) (📥 340K / month · 📦 490 · ⏱️ 31.12.2020):
	```
	pip install graphene-django
	```
- [Conda](https://anaconda.org/conda-forge/graphene-django) (📥 21K · ⏱️ 09.01.2021):
	```
	conda install -c conda-forge graphene-django
	```
</details>
<details><summary><b><a href="https://github.com/strawberry-graphql/strawberry">Strawberry GraphQL</a></b> (🥇34 ·  ⭐ 2.7K) - A GraphQL library for Python that leverages type.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://graphql.org/img/logo.svg" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/strawberry-graphql/strawberry) (👨‍💻 160 · 🔀 330 · 📥 400 · 📦 740 · 📋 650 - 44% open · ⏱️ 31.10.2022):

	```
	git clone https://github.com/strawberry-graphql/strawberry
	```
- [PyPi](https://pypi.org/project/strawberry-graphql) (📥 290K / month · ⏱️ 02.11.2022):
	```
	pip install strawberry-graphql
	```
</details>
<details><summary><b><a href="https://github.com/mirumee/ariadne">ariadne</a></b> (🥈33 ·  ⭐ 1.9K) - Python library for implementing GraphQL servers using schema-first.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://graphql.org/img/logo.svg" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/mirumee/ariadne) (👨‍💻 60 · 🔀 150 · 📦 910 · 📋 250 - 17% open · ⏱️ 03.11.2022):

	```
	git clone https://github.com/mirumee/ariadne
	```
- [PyPi](https://pypi.org/project/ariadne) (📥 240K / month · 📦 39 · ⏱️ 22.04.2022):
	```
	pip install ariadne
	```
</details>
<details><summary><b><a href="https://github.com/graphql-python/graphql-core">graphql-core</a></b> (🥈31 ·  ⭐ 450) - A Python 3.6+ port of the GraphQL.js reference implementation of.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/graphql-python/graphql-core) (👨‍💻 28 · 🔀 110 · 📋 130 - 12% open · ⏱️ 02.11.2022):

	```
	git clone https://github.com/graphql-python/graphql-core
	```
- [PyPi](https://pypi.org/project/graphql-core) (📥 4M / month · 📦 720 · ⏱️ 10.04.2022):
	```
	pip install graphql-core
	```
- [Conda](https://anaconda.org/conda-forge/graphql-core) (📥 430K · ⏱️ 23.09.2022):
	```
	conda install -c conda-forge graphql-core
	```
</details>
<details><summary><b><a href="https://github.com/graphql-python/graphql-relay-py">graphql-relay-py</a></b> (🥈26 ·  ⭐ 140) - A library to help construct a graphql-py server supporting.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/graphql-python/graphql-relay-py) (👨‍💻 10 · 🔀 33 · 📦 12K · 📋 32 - 28% open · ⏱️ 23.07.2022):

	```
	git clone https://github.com/graphql-python/graphql-relay-py
	```
- [PyPi](https://pypi.org/project/graphql-relay) (📥 1.6M / month · 📦 480 · ⏱️ 16.04.2022):
	```
	pip install graphql-relay
	```
- [Conda](https://anaconda.org/conda-forge/graphql-relay) (📥 190K · ⏱️ 16.04.2022):
	```
	conda install -c conda-forge graphql-relay
	```
</details>
<details><summary><b><a href="https://github.com/graphql-python/graphene-mongo">graphene-mongo</a></b> (🥉25 ·  ⭐ 260) - Graphene MongoEngine integration. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://graphql.org/img/logo.svg" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/graphql-python/graphene-mongo) (👨‍💻 32 · 🔀 110 · 📦 280 · 📋 90 - 30% open · ⏱️ 06.10.2022):

	```
	git clone https://github.com/graphql-python/graphene-mongo
	```
- [PyPi](https://pypi.org/project/graphene-mongo) (📥 16K / month · 📦 13 · ⏱️ 14.01.2022):
	```
	pip install graphene-mongo
	```
- [Conda](https://anaconda.org/conda-forge/graphene-mongo) (📥 5.1K · ⏱️ 30.06.2020):
	```
	conda install -c conda-forge graphene-mongo
	```
</details>
<details><summary><b><a href="https://github.com/tartiflette/tartiflette">tartiflette</a></b> (🥉23 ·  ⭐ 830 · 💤) - GraphQL Engine built with Python 3.6+ / asyncio. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/tartiflette/tartiflette) (👨‍💻 27 · 🔀 40 · 📋 140 - 6% open · ⏱️ 20.01.2022):

	```
	git clone https://github.com/tartiflette/tartiflette
	```
- [PyPi](https://pypi.org/project/tartiflette) (📥 3.3K / month · 📦 18 · ⏱️ 15.11.2021):
	```
	pip install tartiflette
	```
</details>
<details><summary><b><a href="https://github.com/PedroBern/django-graphql-auth">django-graphql-auth</a></b> (🥉22 ·  ⭐ 300) - Django registration and authentication with GraphQL. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/PedroBern/django-graphql-auth) (👨‍💻 16 · 🔀 76 · 📦 490 · 📋 100 - 56% open · ⏱️ 17.06.2022):

	```
	git clone https://github.com/PedroBern/django-graphql-auth
	```
- [PyPi](https://pypi.org/project/django-graphql-auth) (📥 12K / month · ⏱️ 16.11.2020):
	```
	pip install django-graphql-auth
	```
</details>
<details><summary><b><a href="https://github.com/graphql-python/graphene-pydantic">graphene-pydantic</a></b> (🥉18 ·  ⭐ 180 · 💤) - Integrate GraphQL with your Pydantic models. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code> <code><img src="https://graphql.org/img/logo.svg" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/graphql-python/graphene-pydantic) (👨‍💻 15 · 🔀 35 · 📋 36 - 27% open · ⏱️ 23.04.2022):

	```
	git clone https://github.com/graphql-python/graphene-pydantic
	```
- [PyPi](https://pypi.org/project/graphene-pydantic) (📥 7.8K / month · 📦 2 · ⏱️ 25.01.2022):
	```
	pip install graphene-pydantic
	```
</details>
<details><summary><b><a href="https://github.com/tartiflette/tartiflette-asgi">tartiflette-asgi</a></b> (🥉17 ·  ⭐ 100) - ASGI support for the Tartiflette GraphQL engine. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://graphql.org/img/logo.svg" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/tartiflette/tartiflette-asgi) (👨‍💻 14 · 🔀 15 · 📦 11 · 📋 55 - 21% open · ⏱️ 20.05.2022):

	```
	git clone https://github.com/tartiflette/tartiflette-asgi
	```
- [PyPi](https://pypi.org/project/tartiflette-asgi) (📥 310 / month · 📦 1 · ⏱️ 20.05.2022):
	```
	pip install tartiflette-asgi
	```
</details>
<details><summary><b><a href="https://github.com/tartiflette/tartiflette-aiohttp">tartiflette-aiohttp</a></b> (🥉17 ·  ⭐ 59) - tartiflette-aiohttp is a wrapper of aiohttp which includes.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/tartiflette/tartiflette-aiohttp) (👨‍💻 11 · 🔀 9 · 📦 44 · 📋 19 - 21% open · ⏱️ 07.09.2022):

	```
	git clone https://github.com/tartiflette/tartiflette-aiohttp
	```
- [PyPi](https://pypi.org/project/tartiflette-aiohttp) (📥 1.9K / month · 📦 4 · ⏱️ 15.11.2021):
	```
	pip install tartiflette-aiohttp
	```
</details>
<details><summary>Show 3 hidden projects...</summary>

- <b><a href="https://github.com/graphql-python/flask-graphql">flask-graphql</a></b> (🥉25 ·  ⭐ 1.3K · 💀) - Adds GraphQL support to your Flask application. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code> <code><img src="https://graphql.org/img/logo.svg" style="display:inline;" width="13" height="13"></code>
- <b><a href="https://github.com/prisma-labs/python-graphql-client">python-graphql-client</a></b> (🥉20 ·  ⭐ 150 · 💀) - Simple GraphQL client for Python 2.7+. <code><a href="http://bit.ly/34MBwT8">MIT</a></code>
- <b><a href="https://github.com/NovemberOscar/Flask-GraphQL-Auth">Flask-GraphQL-Auth</a></b> (🥉16 ·  ⭐ 64 · 💀) - (UNMAINTAINED. FEEL FREE TO FORK) A Pythonic way to.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code>
</details>
<br>

## Websocket Utilities

<a href="#contents"><img align="right" width="15" height="15" src="https://git.io/JtehR" alt="Back to top"></a>

<details><summary><b><a href="https://github.com/websocket-client/websocket-client">websocket-client</a></b> (🥇40 ·  ⭐ 3.1K) - WebSocket client for Python. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code></summary>

- [GitHub](https://github.com/websocket-client/websocket-client) (👨‍💻 200 · 🔀 710 · 📦 77K · 📋 570 - 1% open · ⏱️ 26.10.2022):

	```
	git clone https://github.com/websocket-client/websocket-client
	```
- [PyPi](https://pypi.org/project/websocket-client) (📥 47M / month · 📦 6.7K · ⏱️ 20.06.2022):
	```
	pip install websocket-client
	```
- [Conda](https://anaconda.org/conda-forge/websocket-client) (📥 4.6M · ⏱️ 04.09.2022):
	```
	conda install -c conda-forge websocket-client
	```
</details>
<details><summary><b><a href="https://github.com/aaugustin/websockets">websockets</a></b> (🥇37 ·  ⭐ 4.2K) - Library for building WebSocket servers and clients in Python. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/aaugustin/websockets) (👨‍💻 62 · 🔀 450 · 📦 72K · 📋 940 - 2% open · ⏱️ 02.11.2022):

	```
	git clone https://github.com/aaugustin/websockets
	```
- [PyPi](https://pypi.org/project/websockets) (📥 16M / month · 📦 3.6K · ⏱️ 17.04.2022):
	```
	pip install websockets
	```
- [Conda](https://anaconda.org/conda-forge/websockets) (📥 1.6M · ⏱️ 26.10.2022):
	```
	conda install -c conda-forge websockets
	```
</details>
<details><summary><b><a href="https://github.com/crossbario/autobahn-python">autobahn-python</a></b> (🥈35 ·  ⭐ 2.4K) - WebSocket and WAMP in Python for Twisted and asyncio. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/crossbario/autobahn-python) (👨‍💻 130 · 🔀 760 · 📦 21K · 📋 870 - 20% open · ⏱️ 28.10.2022):

	```
	git clone https://github.com/crossbario/autobahn-python
	```
- [PyPi](https://pypi.org/project/autobahn) (📥 990K / month · 📦 2K · ⏱️ 05.07.2022):
	```
	pip install autobahn
	```
- [Conda](https://anaconda.org/conda-forge/autobahn) (📥 350K · ⏱️ 03.08.2022):
	```
	conda install -c conda-forge autobahn
	```
</details>
<details><summary><b><a href="https://github.com/django/daphne">daphne</a></b> (🥈35 ·  ⭐ 1.9K) - Django Channels HTTP/WebSocket server. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/django/daphne) (👨‍💻 63 · 🔀 220 · 📦 16K · 📋 300 - 12% open · ⏱️ 01.11.2022):

	```
	git clone https://github.com/django/daphne
	```
- [PyPi](https://pypi.org/project/daphne) (📥 530K / month · 📦 770 · ⏱️ 07.04.2021):
	```
	pip install daphne
	```
- [Conda](https://anaconda.org/conda-forge/daphne) (📥 110K · ⏱️ 07.10.2022):
	```
	conda install -c conda-forge daphne
	```
</details>
<details><summary><b><a href="https://github.com/miguelgrinberg/Flask-SocketIO">Flask-SocketIO</a></b> (🥈33 ·  ⭐ 4.8K) - Socket.IO integration for Flask applications. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/miguelgrinberg/Flask-SocketIO) (👨‍💻 67 · 🔀 880 · 📋 1.5K - 0% open · ⏱️ 15.09.2022):

	```
	git clone https://github.com/miguelgrinberg/Flask-SocketIO
	```
- [PyPi](https://pypi.org/project/flask-socketio) (📥 1.3M / month · 📦 2.3K · ⏱️ 22.05.2022):
	```
	pip install flask-socketio
	```
- [Conda](https://anaconda.org/conda-forge/flask-socketio) (📥 170K · ⏱️ 11.09.2022):
	```
	conda install -c conda-forge flask-socketio
	```
</details>
<details><summary><b><a href="https://github.com/miguelgrinberg/python-socketio">python-socketio</a></b> (🥈33 ·  ⭐ 3.1K) - Python Socket.IO server and client. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/miguelgrinberg/python-socketio) (👨‍💻 62 · 🔀 510 · 📋 740 - 3% open · ⏱️ 27.10.2022):

	```
	git clone https://github.com/miguelgrinberg/python-socketio
	```
- [PyPi](https://pypi.org/project/python-socketio) (📥 1.4M / month · 📦 1.9K · ⏱️ 15.07.2022):
	```
	pip install python-socketio
	```
- [Conda](https://anaconda.org/conda-forge/python-socketio) (📥 270K · ⏱️ 17.10.2022):
	```
	conda install -c conda-forge python-socketio
	```
</details>
<details><summary><b><a href="https://github.com/novnc/websockify">websockify</a></b> (🥉28 ·  ⭐ 3.2K) - Websockify is a WebSocket to TCP proxy/bridge. This allows a.. <code><a href="http://bit.ly/37RvQcA">❗️LGPL-3.0</a></code></summary>

- [GitHub](https://github.com/novnc/websockify) (👨‍💻 92 · 🔀 670 · 📦 640 · 📋 320 - 7% open · ⏱️ 20.10.2022):

	```
	git clone https://github.com/novnc/websockify
	```
- [PyPi](https://pypi.org/project/websockify) (📥 46K / month · 📦 300 · ⏱️ 22.07.2021):
	```
	pip install websockify
	```
- [Conda](https://anaconda.org/conda-forge/websockify) (📥 54K · ⏱️ 30.10.2022):
	```
	conda install -c conda-forge websockify
	```
</details>
<details><summary>Show 4 hidden projects...</summary>

- <b><a href="https://github.com/abourget/gevent-socketio">gevent-socketio</a></b> (🥉27 ·  ⭐ 1.2K · 💀) - Official repository for gevent-socketio. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code>
- <b><a href="https://github.com/heroku-python/flask-sockets">flask-sockets</a></b> (🥉26 ·  ⭐ 1.7K · 💀) - [DEPRECATED] Alternative:.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code>
- <b><a href="https://github.com/mrjoes/sockjs-tornado">sockjs-tornado</a></b> (🥉26 ·  ⭐ 860 · 💀) - WebSocket emulation - Python server. <code><a href="http://bit.ly/34MBwT8">MIT</a></code>
- <b><a href="https://github.com/mrjoes/tornadio2">tornadio2</a></b> (🥉20 ·  ⭐ 530 · 💀) - Python socket.io server implementation on top of Tornado.. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code>
</details>
<br>

## RPC Utilities

<a href="#contents"><img align="right" width="15" height="15" src="https://git.io/JtehR" alt="Back to top"></a>

<details><summary><b><a href="https://github.com/grpc/grpc">grpc</a></b> (🥇48 ·  ⭐ 36K) - The C based gRPC (C++, Python, Ruby, Objective-C, PHP, C#). <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code></summary>

- [GitHub](https://github.com/grpc/grpc) (👨‍💻 880 · 🔀 9.5K · 📥 62K · 📦 3.8K · 📋 11K - 7% open · ⏱️ 03.11.2022):

	```
	git clone https://github.com/grpc/grpc
	```
- [PyPi](https://pypi.org/project/grpcio) (📥 59M / month · 📦 4.7K · ⏱️ 06.07.2022):
	```
	pip install grpcio
	```
- [Conda](https://anaconda.org/conda-forge/grpcio) (📥 6.7M · ⏱️ 31.10.2022):
	```
	conda install -c conda-forge grpcio
	```
</details>
<details><summary><b><a href="https://github.com/tomerfiliba-org/rpyc">rpyc</a></b> (🥈31 ·  ⭐ 1.3K) - RPyC (Remote Python Call) - A transparent and symmetric RPC library for python. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/tomerfiliba-org/rpyc) (👨‍💻 81 · 🔀 230 · 📥 160 · 📋 380 - 16% open · ⏱️ 31.10.2022):

	```
	git clone https://github.com/tomerfiliba-org/rpyc
	```
- [PyPi](https://pypi.org/project/rpyc) (📥 270K / month · 📦 330 · ⏱️ 26.02.2022):
	```
	pip install rpyc
	```
- [Conda](https://anaconda.org/conda-forge/rpyc) (📥 670K · ⏱️ 12.01.2021):
	```
	conda install -c conda-forge rpyc
	```
</details>
<details><summary><b><a href="https://github.com/smagafurov/fastapi-jsonrpc">fastapi-jsonrpc</a></b> (🥉18 ·  ⭐ 190) - JSON-RPC server based on fastapi. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://fastapi.tiangolo.com/img/favicon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/smagafurov/fastapi-jsonrpc) (👨‍💻 10 · 🔀 21 · 📋 24 - 41% open · ⏱️ 08.09.2022):

	```
	git clone https://github.com/smagafurov/fastapi-jsonrpc
	```
- [PyPi](https://pypi.org/project/fastapi-jsonrpc) (📥 4.1K / month · 📦 1 · ⏱️ 13.05.2022):
	```
	pip install fastapi-jsonrpc
	```
</details>
<details><summary>Show 1 hidden projects...</summary>

- <b><a href="https://github.com/arskom/spyne">spyne</a></b> (🥉26 ·  ⭐ 1.1K) - A transport agnostic sync/async RPC library that focuses on exposing.. <code><a href="https://tldrlegal.com/search?q=LGPL-2.1">❗️LGPL-2.1</a></code>
</details>
<br>

## Serverless

<a href="#contents"><img align="right" width="15" height="15" src="https://git.io/JtehR" alt="Back to top"></a>

<details><summary><b><a href="https://github.com/aws/chalice">chalice</a></b> (🥇36 ·  ⭐ 9.3K) - Python Serverless Microframework for AWS. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code></summary>

- [GitHub](https://github.com/aws/chalice) (👨‍💻 190 · 🔀 970 · 📦 1.6K · 📋 1.2K - 34% open · ⏱️ 01.09.2022):

	```
	git clone https://github.com/aws/chalice
	```
- [PyPi](https://pypi.org/project/chalice) (📥 180K / month · 📦 160 · ⏱️ 01.06.2022):
	```
	pip install chalice
	```
- [Conda](https://anaconda.org/conda-forge/chalice) (📥 140K · ⏱️ 02.11.2022):
	```
	conda install -c conda-forge chalice
	```
</details>
<details><summary><b><a href="https://github.com/nficano/python-lambda">python-lambda</a></b> (🥉25 ·  ⭐ 1.4K) - A toolkit for developing and deploying serverless Python code in.. <code><a href="http://bit.ly/3hkKRql">ISC</a></code></summary>

- [GitHub](https://github.com/nficano/python-lambda) (👨‍💻 48 · 🔀 220 · 📦 170 · 📋 97 - 45% open · ⏱️ 03.06.2022):

	```
	git clone https://github.com/nficano/python-lambda
	```
- [PyPi](https://pypi.org/project/python-lambda) (📥 3.4K / month · 📦 33 · ⏱️ 05.01.2021):
	```
	pip install python-lambda
	```
</details>
<details><summary><b><a href="https://github.com/sloev/python-lambdarest">lambdarest</a></b> (🥉20 ·  ⭐ 91) - Flask like web framework for AWS Lambda. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/sloev/python-lambdarest) (👨‍💻 22 · 🔀 23 · 📋 32 - 9% open · ⏱️ 12.09.2022):

	```
	git clone https://github.com/sloev/python-lambdarest
	```
- [PyPi](https://pypi.org/project/lambdarest) (📥 4.4K / month · ⏱️ 22.09.2021):
	```
	pip install lambdarest
	```
</details>
<details><summary>Show 1 hidden projects...</summary>

- <b><a href="https://github.com/Miserlou/Zappa">Zappa</a></b> (🥈35 ·  ⭐ 12K · 💀) - Serverless Python. <code><a href="http://bit.ly/34MBwT8">MIT</a></code>
</details>
<br>

## Content Management Systems

<a href="#contents"><img align="right" width="15" height="15" src="https://git.io/JtehR" alt="Back to top"></a>

<details><summary><b><a href="https://github.com/wagtail/wagtail">wagtail</a></b> (🥇41 ·  ⭐ 13K) - A Django content management system focused on flexibility and user.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/wagtail/wagtail) (👨‍💻 740 · 🔀 2.9K · 📦 7.3K · 📋 4.3K - 23% open · ⏱️ 02.11.2022):

	```
	git clone https://github.com/wagtail/wagtail
	```
- [PyPi](https://pypi.org/project/wagtail) (📥 120K / month · 📦 1.4K · ⏱️ 16.06.2022):
	```
	pip install wagtail
	```
- [Conda](https://anaconda.org/conda-forge/wagtail) (📥 49K · ⏱️ 02.11.2022):
	```
	conda install -c conda-forge wagtail
	```
</details>
<details><summary><b><a href="https://github.com/django-cms/django-cms">django-cms</a></b> (🥈40 ·  ⭐ 8.9K) - The easy-to-use and developer-friendly enterprise CMS powered.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/django-cms/django-cms) (👨‍💻 610 · 🔀 2.8K · 📦 4.6K · 📋 3.4K - 4% open · ⏱️ 03.11.2022):

	```
	git clone https://github.com/django-cms/django-cms
	```
- [PyPi](https://pypi.org/project/django-cms) (📥 63K / month · 📦 1.7K · ⏱️ 27.06.2022):
	```
	pip install django-cms
	```
</details>
<details><summary><b><a href="https://github.com/stephenmcd/mezzanine">mezzanine</a></b> (🥈31 ·  ⭐ 4.5K) - CMS framework for Django. <code><a href="http://bit.ly/3rqEWVr">BSD-2</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/stephenmcd/mezzanine) (👨‍💻 330 · 🔀 1.6K · 📋 1.1K - 4% open · ⏱️ 02.11.2022):

	```
	git clone https://github.com/stephenmcd/mezzanine
	```
- [PyPi](https://pypi.org/project/mezzanine) (📥 3.6K / month · 📦 1.2K · ⏱️ 12.05.2022):
	```
	pip install mezzanine
	```
</details>
<details><summary><b><a href="https://github.com/lektor/lektor">lektor</a></b> (🥉29 ·  ⭐ 3.6K) - The lektor static file content management system. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/lektor/lektor) (👨‍💻 92 · 🔀 310 · 📥 7K · 📋 630 - 38% open · ⏱️ 20.10.2022):

	```
	git clone https://github.com/lektor/lektor
	```
- [PyPi](https://pypi.org/project/lektor) (📥 4.7K / month · 📦 84 · ⏱️ 02.05.2022):
	```
	pip install lektor
	```
- [Conda](https://anaconda.org/conda-forge/lektor) (📥 57K · ⏱️ 22.09.2022):
	```
	conda install -c conda-forge lektor
	```
</details>
<details><summary><b><a href="https://github.com/feincms/feincms">feincms</a></b> (🥉26 ·  ⭐ 840) - A Django-based CMS with a focus on extensibility and concise code. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/feincms/feincms) (👨‍💻 140 · 🔀 240 · 📋 440 - 6% open · ⏱️ 04.07.2022):

	```
	git clone https://github.com/feincms/feincms
	```
- [PyPi](https://pypi.org/project/feincms) (📥 4.5K / month · 📦 160 · ⏱️ 02.06.2022):
	```
	pip install feincms
	```
</details>
<details><summary>Show 1 hidden projects...</summary>

- <b><a href="https://github.com/Kotti/Kotti">Kotti</a></b> (🥉20 ·  ⭐ 390) - Kotti is a high-level, Pythonic web application framework based on Pyramid.. <code><a href="https://tldrlegal.com/search?q=BSD">❗️BSD</a></code>
</details>
<br>

## Web Testing

<a href="#contents"><img align="right" width="15" height="15" src="https://git.io/JtehR" alt="Back to top"></a>

<details><summary><b><a href="https://github.com/SeleniumHQ/selenium">selenium</a></b> (🥇47 ·  ⭐ 25K) - A browser automation framework and ecosystem. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code></summary>

- [GitHub](https://github.com/SeleniumHQ/selenium) (👨‍💻 770 · 🔀 7.2K · 📥 4.5M · 📦 170K · 📋 8.5K - 1% open · ⏱️ 02.11.2022):

	```
	git clone https://github.com/SeleniumHQ/selenium
	```
- [PyPi](https://pypi.org/project/selenium) (📥 13M / month · 📦 16K · ⏱️ 23.06.2022):
	```
	pip install selenium
	```
- [Conda](https://anaconda.org/conda-forge/selenium) (📥 900K · ⏱️ 29.09.2022):
	```
	conda install -c conda-forge selenium
	```
</details>
<details><summary><b><a href="https://github.com/nedbat/coveragepy">coverage</a></b> (🥇41 ·  ⭐ 2.3K) - The code coverage tool for Python. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code></summary>

- [GitHub](https://github.com/nedbat/coveragepy) (👨‍💻 160 · 🔀 330 · 📦 240K · 📋 1.2K - 19% open · ⏱️ 02.11.2022):

	```
	git clone https://github.com/nedbat/coveragepy
	```
- [PyPi](https://pypi.org/project/coverage) (📥 34M / month · 📦 56K · ⏱️ 02.06.2022):
	```
	pip install coverage
	```
- [Conda](https://anaconda.org/conda-forge/coverage) (📥 8.8M · ⏱️ 26.10.2022):
	```
	conda install -c conda-forge coverage
	```
</details>
<details><summary><b><a href="https://github.com/mitmproxy/mitmproxy">mitmproxy</a></b> (🥇40 ·  ⭐ 29K) - An interactive TLS-capable intercepting HTTP proxy for penetration.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/mitmproxy/mitmproxy) (👨‍💻 460 · 🔀 3.5K · 📥 220K · 📦 2.2K · 📋 3K - 9% open · ⏱️ 02.11.2022):

	```
	git clone https://github.com/mitmproxy/mitmproxy
	```
- [PyPi](https://pypi.org/project/mitmproxy) (📥 190K / month · 📦 470 · ⏱️ 28.06.2022):
	```
	pip install mitmproxy
	```
</details>
<details><summary><b><a href="https://github.com/locustio/locust">Locust</a></b> (🥇39 ·  ⭐ 20K) - Scalable load testing tool written in Python. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/locustio/locust) (👨‍💻 260 · 🔀 2.6K · 📋 1.4K - 0% open · ⏱️ 31.10.2022):

	```
	git clone https://github.com/locustio/locust
	```
- [PyPi](https://pypi.org/project/locust) (📥 990K / month · 📦 88 · ⏱️ 28.06.2022):
	```
	pip install locust
	```
- [Conda](https://anaconda.org/conda-forge/locust) (📥 84K · ⏱️ 28.10.2022):
	```
	conda install -c conda-forge locust
	```
</details>
<details><summary><b><a href="https://github.com/getsentry/responses">responses</a></b> (🥇36 ·  ⭐ 3.7K) - A utility for mocking out the Python Requests library. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code></summary>

- [GitHub](https://github.com/getsentry/responses) (👨‍💻 110 · 🔀 310 · 📥 76 · 📦 16K · 📋 240 - 1% open · ⏱️ 26.10.2022):

	```
	git clone https://github.com/getsentry/responses
	```
- [PyPi](https://pypi.org/project/responses) (📥 8.3M / month · 📦 2.9K · ⏱️ 25.05.2022):
	```
	pip install responses
	```
- [Conda](https://anaconda.org/conda-forge/responses) (📥 1.2M · ⏱️ 26.05.2022):
	```
	conda install -c conda-forge responses
	```
</details>
<details><summary><b><a href="https://github.com/cobrateam/splinter">splinter</a></b> (🥈35 ·  ⭐ 2.6K) - splinter - python test framework for web applications. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/cobrateam/splinter) (👨‍💻 170 · 🔀 510 · 📦 5.8K · 📋 520 - 9% open · ⏱️ 02.11.2022):

	```
	git clone https://github.com/cobrateam/splinter
	```
- [PyPi](https://pypi.org/project/splinter) (📥 87K / month · 📦 1.1K · ⏱️ 28.06.2022):
	```
	pip install splinter
	```
</details>
<details><summary><b><a href="https://github.com/seleniumbase/SeleniumBase">SeleniumBase</a></b> (🥈34 ·  ⭐ 3K) - A framework for browser automation and testing with Selenium,.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/seleniumbase/SeleniumBase) (👨‍💻 35 · 🔀 710 · 📦 380 · 📋 540 - 0% open · ⏱️ 02.11.2022):

	```
	git clone https://github.com/seleniumbase/SeleniumBase
	```
- [PyPi](https://pypi.org/project/seleniumbase) (📥 170K / month · ⏱️ 02.11.2022):
	```
	pip install seleniumbase
	```
</details>
<details><summary><b><a href="https://github.com/kevin1024/vcrpy">vcrpy</a></b> (🥈34 ·  ⭐ 2.3K) - Automatically mock your HTTP interactions to simplify and speed up testing. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/kevin1024/vcrpy) (👨‍💻 120 · 🔀 310 · 📦 4.3K · 📋 370 - 30% open · ⏱️ 01.11.2022):

	```
	git clone https://github.com/kevin1024/vcrpy
	```
- [PyPi](https://pypi.org/project/vcrpy) (📥 2.2M / month · 📦 970 · ⏱️ 29.06.2022):
	```
	pip install vcrpy
	```
- [Conda](https://anaconda.org/conda-forge/vcrpy) (📥 270K · ⏱️ 01.09.2022):
	```
	conda install -c conda-forge vcrpy
	```
</details>
<details><summary><b><a href="https://github.com/robotframework/SeleniumLibrary">SeleniumLibrary</a></b> (🥈33 ·  ⭐ 1.2K) - Web testing library for Robot Framework. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code></summary>

- [GitHub](https://github.com/robotframework/SeleniumLibrary) (👨‍💻 110 · 🔀 670 · 📥 3.5K · 📦 2.7K · 📋 990 - 5% open · ⏱️ 15.10.2022):

	```
	git clone https://github.com/robotframework/SeleniumLibrary
	```
- [PyPi](https://pypi.org/project/robotframework-seleniumlibrary) (📥 770K / month · 📦 120 · ⏱️ 08.01.2022):
	```
	pip install robotframework-seleniumlibrary
	```
- [Conda](https://anaconda.org/conda-forge/robotframework-seleniumlibrary) (📥 55K · ⏱️ 12.01.2022):
	```
	conda install -c conda-forge robotframework-seleniumlibrary
	```
</details>
<details><summary><b><a href="https://github.com/pytest-dev/pytest-django">pytest-django</a></b> (🥈33 ·  ⭐ 1.1K) - A Django plugin for pytest. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/pytest-dev/pytest-django) (👨‍💻 140 · 🔀 320 · 📋 510 - 30% open · ⏱️ 21.10.2022):

	```
	git clone https://github.com/pytest-dev/pytest-django
	```
- [PyPi](https://pypi.org/project/pytest-django) (📥 1.7M / month · 📦 5.9K · ⏱️ 07.12.2021):
	```
	pip install pytest-django
	```
- [Conda](https://anaconda.org/conda-forge/pytest-django) (📥 150K · ⏱️ 08.12.2021):
	```
	conda install -c conda-forge pytest-django
	```
</details>
<details><summary><b><a href="https://github.com/jazzband/django-silk">django-silk</a></b> (🥈32 ·  ⭐ 3.6K) - Silky smooth profiling for Django. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/jazzband/django-silk) (👨‍💻 140 · 🔀 300 · 📥 180 · 📦 2.4K · 📋 320 - 30% open · ⏱️ 29.10.2022):

	```
	git clone https://github.com/jazzband/django-silk
	```
- [PyPi](https://pypi.org/project/django-silk) (📥 250K / month · 📦 150 · ⏱️ 04.07.2022):
	```
	pip install django-silk
	```
</details>
<details><summary><b><a href="https://github.com/stoplightio/prism">Prism</a></b> (🥈32 ·  ⭐ 3.2K) - Turn any OpenAPI2/3 and Postman Collection file into an API server.. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code> <code><img src="https://www.openapis.org/wp-content/uploads/sites/3/2016/11/favicon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/stoplightio/prism) (👨‍💻 80 · 🔀 270 · 📥 760K · 📦 290 · 📋 590 - 9% open · ⏱️ 06.10.2022):

	```
	git clone https://github.com/stoplightio/prism
	```
- [npm](https://www.npmjs.com/package/@stoplight/prism-cli) (📥 200K / month · 📦 22 · ⏱️ 05.10.2022):
	```
	npm install @stoplight/prism-cli
	```
</details>
<details><summary><b><a href="https://github.com/FactoryBoy/factory_boy">factory_boy</a></b> (🥈31 ·  ⭐ 3K) - A test fixtures replacement for Python. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/FactoryBoy/factory_boy) (👨‍💻 120 · 🔀 350 · 📋 530 - 30% open · ⏱️ 28.10.2022):

	```
	git clone https://github.com/FactoryBoy/factory_boy
	```
- [PyPi](https://pypi.org/project/factory_boy) (📥 2.5M / month · 📦 740 · ⏱️ 26.10.2021):
	```
	pip install factory_boy
	```
- [Conda](https://anaconda.org/conda-forge/factory_boy) (📥 110K · ⏱️ 26.10.2021):
	```
	conda install -c conda-forge factory_boy
	```
</details>
<details><summary><b><a href="https://github.com/gabrielfalcao/HTTPretty">HTTPretty</a></b> (🥈31 ·  ⭐ 2K) - Intercept HTTP requests at the Python socket level. Fakes the whole.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/gabrielfalcao/HTTPretty) (👨‍💻 100 · 🔀 260 · 📦 6.7K · 📋 250 - 42% open · ⏱️ 16.10.2022):

	```
	git clone https://github.com/gabrielfalcao/HTTPretty
	```
- [PyPi](https://pypi.org/project/httpretty) (📥 520K / month · 📦 2.7K · ⏱️ 16.08.2021):
	```
	pip install httpretty
	```
- [Conda](https://anaconda.org/conda-forge/httpretty) (📥 240K · ⏱️ 16.08.2021):
	```
	conda install -c conda-forge httpretty
	```
</details>
<details><summary><b><a href="https://github.com/httprunner/httprunner">httprunner</a></b> (🥈30 ·  ⭐ 3.5K) - HttpRunner API HTTP(S) / HTTP2 / WebSocket / RPC. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code></summary>

- [GitHub](https://github.com/httprunner/httprunner) (👨‍💻 39 · 🔀 1.1K · 📥 3.7K · 📦 1 · 📋 1.1K - 34% open · ⏱️ 27.10.2022):

	```
	git clone https://github.com/httprunner/httprunner
	```
- [PyPi](https://pypi.org/project/httprunner) (📥 3.2K / month · 📦 7 · ⏱️ 04.07.2022):
	```
	pip install httprunner
	```
</details>
<details><summary><b><a href="https://github.com/apiaryio/dredd">Dredd</a></b> (🥈29 ·  ⭐ 3.9K · 💤) - Language-agnostic HTTP API Testing Tool. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://www.openapis.org/wp-content/uploads/sites/3/2016/11/favicon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/apiaryio/dredd) (👨‍💻 110 · 🔀 300 · 📦 870 · 📋 820 - 30% open · ⏱️ 03.04.2022):

	```
	git clone https://github.com/apiaryio/dredd
	```
- [PyPi](https://pypi.org/project/dredd_hooks) (📥 4.2K / month · 📦 38 · ⏱️ 09.04.2018):
	```
	pip install dredd_hooks
	```
- [npm](https://www.npmjs.com/package/dredd) (📥 38K / month · 📦 170 · ⏱️ 16.11.2021):
	```
	npm install dredd
	```
</details>
<details><summary><b><a href="https://github.com/taverntesting/tavern">tavern</a></b> (🥈29 ·  ⭐ 900) - A command-line tool and Python library and Pytest plugin for automated.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/taverntesting/tavern) (👨‍💻 54 · 🔀 180 · 📦 350 · 📋 570 - 8% open · ⏱️ 23.10.2022):

	```
	git clone https://github.com/taverntesting/tavern
	```
- [PyPi](https://pypi.org/project/tavern) (📥 130K / month · 📦 23 · ⏱️ 26.06.2022):
	```
	pip install tavern
	```
</details>
<details><summary><b><a href="https://github.com/pallets-eco/flask-debugtoolbar">flask-debugtoolbar</a></b> (🥈29 ·  ⭐ 850) - A toolbar overlay for debugging Flask applications. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/pallets-eco/flask-debugtoolbar) (👨‍💻 45 · 🔀 130 · 📦 19K · 📋 110 - 39% open · ⏱️ 02.11.2022):

	```
	git clone https://github.com/flask-debugtoolbar/flask-debugtoolbar
	```
- [PyPi](https://pypi.org/project/flask-debugtoolbar) (📥 170K / month · 📦 3K · ⏱️ 29.03.2022):
	```
	pip install flask-debugtoolbar
	```
- [Conda](https://anaconda.org/conda-forge/flask-debugtoolbar) (📥 56K · ⏱️ 30.03.2022):
	```
	conda install -c conda-forge flask-debugtoolbar
	```
</details>
<details><summary><b><a href="https://github.com/schemathesis/schemathesis">schemathesis</a></b> (🥈28 ·  ⭐ 1.5K) - Run thousands of randomly generated test scenarios based.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://www.openapis.org/wp-content/uploads/sites/3/2016/11/favicon.png" style="display:inline;" width="13" height="13"></code> <code><img src="https://graphql.org/img/logo.svg" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/schemathesis/schemathesis) (👨‍💻 50 · 🔀 110 · 📋 680 - 16% open · ⏱️ 19.10.2022):

	```
	git clone https://github.com/schemathesis/schemathesis
	```
- [PyPi](https://pypi.org/project/schemathesis) (📥 120K / month · 📦 4 · ⏱️ 23.06.2022):
	```
	pip install schemathesis
	```
</details>
<details><summary><b><a href="https://github.com/Pylons/webtest">webtest</a></b> (🥈28 ·  ⭐ 320) - Wraps any WSGI application and makes it easy to send test requests to that.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/Pylons/webtest) (👨‍💻 87 · 🔀 100 · 📦 9.7K · 📋 130 - 21% open · ⏱️ 01.11.2022):

	```
	git clone https://github.com/Pylons/webtest
	```
- [PyPi](https://pypi.org/project/webtest) (📥 580K / month · 📦 4K · ⏱️ 19.08.2021):
	```
	pip install webtest
	```
- [Conda](https://anaconda.org/conda-forge/webtest) (📥 10K · ⏱️ 19.08.2021):
	```
	conda install -c conda-forge webtest
	```
</details>
<details><summary><b><a href="https://github.com/mockoon/mockoon">Mockoon</a></b> (🥉27 ·  ⭐ 4.3K) - Mockoon is the easiest and quickest way to run mock APIs locally. No.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://www.openapis.org/wp-content/uploads/sites/3/2016/11/favicon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/mockoon/mockoon) (👨‍💻 39 · 🔀 240 · 📥 84K · 📦 34 · 📋 490 - 12% open · ⏱️ 25.10.2022):

	```
	git clone https://github.com/mockoon/mockoon
	```
</details>
<details><summary><b><a href="https://github.com/pytest-dev/pytest-splinter">pytest-splinter</a></b> (🥉27 ·  ⭐ 240) - pytest splinter and selenium integration for anyone interested.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/pytest-dev/pytest-splinter) (👨‍💻 31 · 🔀 54 · 📦 400 · 📋 78 - 3% open · ⏱️ 09.08.2022):

	```
	git clone https://github.com/pytest-dev/pytest-splinter
	```
- [PyPi](https://pypi.org/project/pytest-splinter) (📥 16K / month · 📦 120 · ⏱️ 25.12.2020):
	```
	pip install pytest-splinter
	```
</details>
<details><summary><b><a href="https://github.com/yashaka/selene">selene</a></b> (🥉26 ·  ⭐ 570) - User-oriented Web UI browser tests in Python. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/yashaka/selene) (👨‍💻 36 · 🔀 120 · 📋 280 - 37% open · ⏱️ 28.10.2022):

	```
	git clone https://github.com/yashaka/selene
	```
- [PyPi](https://pypi.org/project/selene) (📥 17K / month · 📦 15 · ⏱️ 24.06.2022):
	```
	pip install selene
	```
</details>
<details><summary><b><a href="https://github.com/revsys/django-test-plus">django-test-plus</a></b> (🥉26 ·  ⭐ 540) - Useful additions to Djangos default TestCase. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/revsys/django-test-plus) (👨‍💻 30 · 🔀 62 · 📋 49 - 10% open · ⏱️ 08.10.2022):

	```
	git clone https://github.com/revsys/django-test-plus
	```
- [PyPi](https://pypi.org/project/django-test-plus) (📥 56K / month · 📦 1.3K · ⏱️ 19.05.2021):
	```
	pip install django-test-plus
	```
- [Conda](https://anaconda.org/conda-forge/django-test-plus) (📥 26K · ⏱️ 12.01.2018):
	```
	conda install -c conda-forge django-test-plus
	```
</details>
<details><summary><b><a href="https://github.com/pytest-dev/pytest-flask">pytest-flask</a></b> (🥉26 ·  ⭐ 430) - A set of pytest fixtures to test Flask applications. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/pytest-dev/pytest-flask) (👨‍💻 31 · 🔀 82 · 📋 70 - 14% open · ⏱️ 26.06.2022):

	```
	git clone https://github.com/pytest-dev/pytest-flask
	```
- [PyPi](https://pypi.org/project/pytest-flask) (📥 290K / month · 📦 8.3K · ⏱️ 27.02.2021):
	```
	pip install pytest-flask
	```
- [Conda](https://anaconda.org/conda-forge/pytest-flask) (📥 62K · ⏱️ 27.02.2021):
	```
	conda install -c conda-forge pytest-flask
	```
</details>
<details><summary><b><a href="https://github.com/scrapinghub/splash">splash</a></b> (🥉25 ·  ⭐ 3.7K · 📉) - Lightweight, scriptable browser as a service with an HTTP API. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/scrapinghub/splash) (👨‍💻 62 · 🔀 480 · 📋 830 - 43% open · ⏱️ 05.05.2022):

	```
	git clone https://github.com/scrapinghub/splash
	```
- [PyPi](https://pypi.org/project/splash) (📥 860 / month · 📦 10 · ⏱️ 16.06.2020):
	```
	pip install splash
	```
</details>
<details><summary><b><a href="https://github.com/klen/mixer">mixer</a></b> (🥉25 ·  ⭐ 860 · 💤) - Mixer -- Is a fixtures replacement. Supported Django, Flask,.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/klen/mixer) (👨‍💻 43 · 🔀 89 · 📋 82 - 40% open · ⏱️ 23.03.2022):

	```
	git clone https://github.com/klen/mixer
	```
- [PyPi](https://pypi.org/project/mixer) (📥 92K / month · 📦 310 · ⏱️ 23.03.2022):
	```
	pip install mixer
	```
</details>
<details><summary><b><a href="https://github.com/Microsoft/playwright-python">playwright</a></b> (🥉24 ·  ⭐ 7K) - A high-level API to automate web browsers. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code></summary>

- [GitHub](https://github.com/Microsoft/playwright-python) (🔀 630):

	```
	git clone https://github.com/Microsoft/playwright-python
	```
- [PyPi](https://pypi.org/project/playwright) (📥 650K / month · 📦 76 · ⏱️ 30.06.2022):
	```
	pip install playwright
	```
- [Conda](https://anaconda.org/microsoft/playwright) (📥 6.6K · ⏱️ 12.10.2022):
	```
	conda install -c microsoft playwright
	```
</details>
<details><summary><b><a href="https://github.com/mherrmann/selenium-python-helium">selenium-python-helium</a></b> (🥉24 ·  ⭐ 3.1K) - Selenium-python but lighter: Helium is the best.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/mherrmann/selenium-python-helium) (👨‍💻 7 · 🔀 260 · 📦 320 · 📋 70 - 48% open · ⏱️ 06.05.2022):

	```
	git clone https://github.com/mherrmann/selenium-python-helium
	```
- [PyPi](https://pypi.org/project/helium) (📥 44K / month · 📦 9 · ⏱️ 03.09.2021):
	```
	pip install helium
	```
</details>
<details><summary><b><a href="https://github.com/tryolabs/requestium">requestium</a></b> (🥉24 ·  ⭐ 1.7K) - Integration layer between Requests and Selenium for automation of.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/tryolabs/requestium) (👨‍💻 11 · 🔀 140 · 📦 67 · 📋 29 - 27% open · ⏱️ 11.09.2022):

	```
	git clone https://github.com/tryolabs/requestium
	```
- [PyPi](https://pypi.org/project/requestium) (📥 13K / month · 📦 6 · ⏱️ 17.04.2022):
	```
	pip install requestium
	```
</details>
<details><summary><b><a href="https://github.com/pnuckowski/aioresponses">aioresponses</a></b> (🥉24 ·  ⭐ 390) - Aioresponses is a helper for mock/fake web requests in python.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/pnuckowski/aioresponses) (👨‍💻 42 · 🔀 72 · 📋 80 - 45% open · ⏱️ 14.07.2022):

	```
	git clone https://github.com/pnuckowski/aioresponses
	```
- [PyPi](https://pypi.org/project/aioresponses) (📥 260K / month · 📦 130 · ⏱️ 10.01.2022):
	```
	pip install aioresponses
	```
</details>
<details><summary><b><a href="https://github.com/model-bakers/model_bakery">Model Bakery</a></b> (🥉23 ·  ⭐ 600) - Object factory for Django. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/model-bakers/model_bakery) (👨‍💻 40 · 🔀 69 · 📋 110 - 19% open · ⏱️ 02.11.2022):

	```
	git clone https://github.com/model-bakers/model_bakery
	```
- [PyPi](https://pypi.org/project/model_bakery) (📥 290K / month · ⏱️ 24.10.2022):
	```
	pip install model_bakery
	```
- [Conda](https://anaconda.org/conda-forge/model_bakery) (📥 11K · ⏱️ 24.10.2022):
	```
	conda install -c conda-forge model_bakery
	```
</details>
<details><summary><b><a href="https://github.com/tarekziade/molotov">molotov</a></b> (🥉23 ·  ⭐ 400) - Load Testing Tool. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code></summary>

- [GitHub](https://github.com/tarekziade/molotov) (👨‍💻 14 · 🔀 28 · 📦 89 · 📋 110 - 11% open · ⏱️ 22.10.2022):

	```
	git clone https://github.com/loads/molotov
	```
- [PyPi](https://pypi.org/project/molotov) (📥 22K / month · 📦 13 · ⏱️ 25.01.2022):
	```
	pip install molotov
	```
</details>
<details><summary><b><a href="https://github.com/mindflayer/python-mocket">python-mocket</a></b> (🥉23 ·  ⭐ 240) - a socket mock framework - for all kinds of socket animals, web-.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/mindflayer/python-mocket) (👨‍💻 22 · 🔀 40 · 📦 70 · 📋 61 - 3% open · ⏱️ 29.08.2022):

	```
	git clone https://github.com/mindflayer/python-mocket
	```
- [PyPi](https://pypi.org/project/mocket) (📥 5.7K / month · 📦 27 · ⏱️ 17.05.2022):
	```
	pip install mocket
	```
</details>
<details><summary><b><a href="https://github.com/Pylons/pyramid_debugtoolbar">pyramid_debugtoolbar</a></b> (🥉23 ·  ⭐ 95) - Pyramid debug toolbar. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://trypyramid.com/img/pyramid-16x16.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/Pylons/pyramid_debugtoolbar) (👨‍💻 66 · 🔀 78 · 📋 180 - 24% open · ⏱️ 17.09.2022):

	```
	git clone https://github.com/Pylons/pyramid_debugtoolbar
	```
- [PyPi](https://pypi.org/project/pyramid_debugtoolbar) (📥 1.3M / month · 📦 32 · ⏱️ 25.11.2020):
	```
	pip install pyramid_debugtoolbar
	```
- [Conda](https://anaconda.org/conda-forge/pyramid_debugtoolbar) (📥 2.9K · ⏱️ 03.03.2021):
	```
	conda install -c conda-forge pyramid_debugtoolbar
	```
</details>
<details><summary><b><a href="https://github.com/cdent/gabbi">gabbi</a></b> (🥉22 ·  ⭐ 140) - Declarative HTTP Testing for Python and anything else. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code></summary>

- [GitHub](https://github.com/cdent/gabbi) (👨‍💻 28 · 🔀 33 · 📋 150 - 14% open · ⏱️ 23.09.2022):

	```
	git clone https://github.com/cdent/gabbi
	```
- [PyPi](https://pypi.org/project/gabbi) (📥 7.6K / month · 📦 110 · ⏱️ 22.03.2022):
	```
	pip install gabbi
	```
</details>
<details><summary><b><a href="https://github.com/vinissimus/async-asgi-testclient">async-asgi-testclient</a></b> (🥉20 ·  ⭐ 120) - A framework-agnostic library for testing ASGI web.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/vinissimus/async-asgi-testclient) (👨‍💻 14 · 🔀 16 · 📦 220 · 📋 24 - 41% open · ⏱️ 13.06.2022):

	```
	git clone https://github.com/vinissimus/async-asgi-testclient
	```
- [PyPi](https://pypi.org/project/async-asgi-testclient) (📥 34K / month · 📦 19 · ⏱️ 13.06.2022):
	```
	pip install async-asgi-testclient
	```
</details>
<details><summary><b><a href="https://github.com/aresponses/aresponses">aresponses</a></b> (🥉20 ·  ⭐ 93) - Asyncio http mocking. Similar to the responses library used for requests. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/aresponses/aresponses) (👨‍💻 14 · 🔀 16 · 📦 310 · 📋 31 - 3% open · ⏱️ 01.07.2022):

	```
	git clone https://github.com/aresponses/aresponses
	```
- [PyPi](https://pypi.org/project/aresponses) (📥 31K / month · 📦 48 · ⏱️ 01.07.2022):
	```
	pip install aresponses
	```
</details>
<details><summary><b><a href="https://github.com/fsociety-team/fsociety">fsociety</a></b> (🥉19 ·  ⭐ 770) - A Modular Penetration Testing Framework. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/fsociety-team/fsociety) (👨‍💻 10 · 🔀 100 · 📦 2 · ⏱️ 31.10.2022):

	```
	git clone https://github.com/fsociety-team/fsociety
	```
- [PyPi](https://pypi.org/project/fsociety) (📥 840 / month · ⏱️ 01.05.2022):
	```
	pip install fsociety
	```
</details>
<details><summary><b><a href="https://github.com/golemhq/golem">golem</a></b> (🥉17 ·  ⭐ 480 · 💤) - A complete test automation tool. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/golemhq/golem) (👨‍💻 20 · 🔀 71 · 📥 53 · 📦 5 · 📋 140 - 11% open · ⏱️ 16.11.2021):

	```
	git clone https://github.com/golemhq/golem
	```
- [PyPi](https://pypi.org/project/golem-framework) (📥 120 / month · 📦 1 · ⏱️ 30.07.2021):
	```
	pip install golem-framework
	```
</details>
<details><summary>Show 10 hidden projects...</summary>

- <b><a href="https://github.com/miyakogi/pyppeteer">pyppeteer</a></b> (🥈30 ·  ⭐ 3.5K · 💀) - Headless chrome/chromium automation library (unofficial port of.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code>
- <b><a href="https://github.com/jazzband/django-nose">django-nose</a></b> (🥈28 ·  ⭐ 880 · 💀) - Django test runner using nose. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code>
- <b><a href="https://github.com/wolever/parameterized">parameterized</a></b> (🥉27 ·  ⭐ 700 · 💀) - Parameterized testing with any Python test framework. <code><a href="https://tldrlegal.com/search?q=BSD-2-Clause-FreeBSD">❗️BSD-2-Clause-FreeBSD</a></code>
- <b><a href="https://github.com/jarus/flask-testing">flask-testing</a></b> (🥉27 ·  ⭐ 490 · 💀) - Unittest extensions for Flask. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code>
- <b><a href="https://github.com/svanoort/pyresttest">pyresttest</a></b> (🥉23 ·  ⭐ 1.1K · 💀) - Python Rest Testing. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code>
- <b><a href="https://github.com/patrys/httmock">httmock</a></b> (🥉23 ·  ⭐ 450 · 💀) - A mocking library for requests. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code>
- <b><a href="https://github.com/yandex/yandex-tank">yandex-tank</a></b> (🥉22 ·  ⭐ 2.2K) - Load and performance benchmark tool. <code><a href="https://tldrlegal.com/search?q=LGPL-2.1">❗️LGPL-2.1</a></code>
- <b><a href="https://github.com/Kozea/wdb">wdb</a></b> (🥉22 ·  ⭐ 1.6K · 💀) - An improbable web debugger through WebSockets. <code><a href="http://bit.ly/2M0xdwT">❗️GPL-3.0</a></code>
- <b><a href="https://github.com/facebookarchive/huxley">huxley</a></b> (🥉16 ·  ⭐ 4.1K · 💀) - A testing system for catching visual regressions in Web.. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code>
- <b><a href="https://github.com/flipkart-incubator/Astra">Astra</a></b> (🥉15 ·  ⭐ 2.1K · 💀) - Automated Security Testing For REST APIs. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code>
</details>
<br>

## Web Forms

<a href="#contents"><img align="right" width="15" height="15" src="https://git.io/JtehR" alt="Back to top"></a>

<details><summary><b><a href="https://github.com/django-crispy-forms/django-crispy-forms">django-crispy-forms</a></b> (🥇36 ·  ⭐ 4.6K) - The best way to have DRY Django forms. The app.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/django-crispy-forms/django-crispy-forms) (👨‍💻 220 · 🔀 720 · 📦 100K · 📋 670 - 11% open · ⏱️ 15.07.2022):

	```
	git clone https://github.com/django-crispy-forms/django-crispy-forms
	```
- [PyPi](https://pypi.org/project/django-crispy-forms) (📥 670K / month · 📦 8K · ⏱️ 25.01.2022):
	```
	pip install django-crispy-forms
	```
- [Conda](https://anaconda.org/conda-forge/django-crispy-forms) (📥 60K · ⏱️ 25.01.2022):
	```
	conda install -c conda-forge django-crispy-forms
	```
</details>
<details><summary><b><a href="https://github.com/wtforms/wtforms">wtforms</a></b> (🥇36 ·  ⭐ 1.3K) - A flexible forms validation and rendering library for Python. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/wtforms/wtforms) (👨‍💻 140 · 🔀 370 · 📦 150K · 📋 400 - 12% open · ⏱️ 17.07.2022):

	```
	git clone https://github.com/wtforms/wtforms
	```
- [PyPi](https://pypi.org/project/wtforms) (📥 3.3M / month · 📦 15K · ⏱️ 23.12.2021):
	```
	pip install wtforms
	```
- [Conda](https://anaconda.org/conda-forge/wtforms) (📥 120K · ⏱️ 24.12.2021):
	```
	conda install -c conda-forge wtforms
	```
</details>
<details><summary><b><a href="https://github.com/wtforms/flask-wtf">flask-wtf</a></b> (🥉35 ·  ⭐ 1.3K) - Simple integration of Flask and WTForms, including CSRF, file.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/wtforms/flask-wtf) (👨‍💻 95 · 🔀 290 · 📦 150K · 📋 310 - 11% open · ⏱️ 02.08.2022):

	```
	git clone https://github.com/wtforms/flask-wtf
	```
- [PyPi](https://pypi.org/project/flask-wtf) (📥 5.7M / month · 📦 16K · ⏱️ 31.03.2022):
	```
	pip install flask-wtf
	```
- [Conda](https://anaconda.org/conda-forge/flask-wtf) (📥 130K · ⏱️ 01.04.2022):
	```
	conda install -c conda-forge flask-wtf
	```
</details>
<details><summary><b><a href="https://github.com/jazzband/django-formtools">django-formtools</a></b> (🥉27 ·  ⭐ 610) - A set of high-level abstractions for Django forms. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/jazzband/django-formtools) (👨‍💻 68 · 🔀 120 · 📦 8.2K · 📋 140 - 50% open · ⏱️ 30.10.2022):

	```
	git clone https://github.com/jazzband/django-formtools
	```
- [PyPi](https://pypi.org/project/django-formtools) (📥 280K / month · 📦 1.2K · ⏱️ 19.04.2021):
	```
	pip install django-formtools
	```
</details>
<details><summary><b><a href="https://github.com/Pylons/deform">deform</a></b> (🥉26 ·  ⭐ 390) - A Python HTML form library. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/Pylons/deform) (👨‍💻 100 · 🔀 160 · 📦 740 · 📋 180 - 25% open · ⏱️ 15.07.2022):

	```
	git clone https://github.com/Pylons/deform
	```
- [PyPi](https://pypi.org/project/deform) (📥 6.6K / month · 📦 200 · ⏱️ 10.12.2020):
	```
	pip install deform
	```
</details>
<br>

## Markdown

<a href="#contents"><img align="right" width="15" height="15" src="https://git.io/JtehR" alt="Back to top"></a>

<details><summary><b><a href="https://github.com/getpelican/pelican">pelican</a></b> (🥇37 ·  ⭐ 11K) - Static site generator that supports Markdown and reST syntax... <code><a href="http://bit.ly/3pwmjO5">❗️AGPL-3.0</a></code></summary>

- [GitHub](https://github.com/getpelican/pelican) (👨‍💻 440 · 🔀 1.8K · 📥 700 · 📦 6.2K · 📋 1.6K - 5% open · ⏱️ 26.10.2022):

	```
	git clone https://github.com/getpelican/pelican
	```
- [PyPi](https://pypi.org/project/pelican) (📥 15K / month · 📦 1.8K · ⏱️ 09.02.2022):
	```
	pip install pelican
	```
- [Conda](https://anaconda.org/conda-forge/pelican) (📥 130K · ⏱️ 11.07.2022):
	```
	conda install -c conda-forge pelican
	```
</details>
<details><summary><b><a href="https://github.com/lepture/mistune">mistune</a></b> (🥇37 ·  ⭐ 2.1K) - A fast yet powerful Python Markdown parser with renderers and plugins. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/lepture/mistune) (👨‍💻 35 · 🔀 220 · 📦 180K · 📋 250 - 7% open · ⏱️ 12.10.2022):

	```
	git clone https://github.com/lepture/mistune
	```
- [PyPi](https://pypi.org/project/mistune) (📥 12M / month · 📦 9.2K · ⏱️ 14.07.2022):
	```
	pip install mistune
	```
- [Conda](https://anaconda.org/conda-forge/mistune) (📥 9.4M · ⏱️ 15.07.2022):
	```
	conda install -c conda-forge mistune
	```
</details>
<details><summary><b><a href="https://github.com/Python-Markdown/markdown">markdown</a></b> (🥈36 ·  ⭐ 3K) - A Python implementation of John Grubers Markdown with Extension support. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/Python-Markdown/markdown) (👨‍💻 160 · 🔀 780 · 📦 220K · 📋 800 - 4% open · ⏱️ 31.08.2022):

	```
	git clone https://github.com/Python-Markdown/markdown
	```
- [PyPi](https://pypi.org/project/markdown) (📥 22M / month · 📦 22K · ⏱️ 05.05.2022):
	```
	pip install markdown
	```
- [Conda](https://anaconda.org/conda-forge/markdown) (📥 3.8M · ⏱️ 15.07.2022):
	```
	conda install -c conda-forge markdown
	```
</details>
<details><summary><b><a href="https://github.com/trentm/python-markdown2">python-markdown2</a></b> (🥈35 ·  ⭐ 2.4K) - markdown2: A fast and complete implementation of Markdown in.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/trentm/python-markdown2) (👨‍💻 68 · 🔀 430 · 📦 14K · 📋 280 - 34% open · ⏱️ 02.11.2022):

	```
	git clone https://github.com/trentm/python-markdown2
	```
- [PyPi](https://pypi.org/project/markdown2) (📥 830K / month · 📦 2.4K · ⏱️ 27.04.2022):
	```
	pip install markdown2
	```
</details>
<details><summary><b><a href="https://github.com/Alir3z4/html2text">html2text</a></b> (🥈29 ·  ⭐ 1.3K · 💤) - Convert HTML to Markdown-formatted text. <code><a href="http://bit.ly/2M0xdwT">❗️GPL-3.0</a></code></summary>

- [GitHub](https://github.com/Alir3z4/html2text) (👨‍💻 76 · 🔀 230 · 📋 200 - 40% open · ⏱️ 22.02.2022):

	```
	git clone https://github.com/Alir3z4/html2text
	```
- [PyPi](https://pypi.org/project/html2text) (📥 1.2M / month · 📦 2.2K · ⏱️ 16.01.2020):
	```
	pip install html2text
	```
</details>
<details><summary><b><a href="https://github.com/joeyespo/grip">grip</a></b> (🥉28 ·  ⭐ 5.8K · 💤) - Preview GitHub README.md files locally before committing them. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/joeyespo/grip) (👨‍💻 39 · 🔀 400 · 📦 1.1K · 📋 280 - 33% open · ⏱️ 30.03.2022):

	```
	git clone https://github.com/joeyespo/grip
	```
- [PyPi](https://pypi.org/project/grip) (📥 15K / month · 📦 140 · ⏱️ 30.03.2022):
	```
	pip install grip
	```
</details>
<details><summary><b><a href="https://github.com/miyuchina/mistletoe">mistletoe</a></b> (🥉27 ·  ⭐ 530) - A fast, extensible and spec-compliant Markdown parser in pure Python. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/miyuchina/mistletoe) (👨‍💻 30 · 🔀 92 · 📥 220 · 📦 460 · 📋 110 - 23% open · ⏱️ 30.10.2022):

	```
	git clone https://github.com/miyuchina/mistletoe
	```
- [PyPi](https://pypi.org/project/mistletoe) (📥 62K / month · 📦 57 · ⏱️ 09.02.2022):
	```
	pip install mistletoe
	```
</details>
<details><summary><b><a href="https://github.com/neutronX/django-markdownx">django-markdownx</a></b> (🥉26 ·  ⭐ 740 · 💤) - Comprehensive Markdown plugin built for Django. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/neutronX/django-markdownx) (👨‍💻 34 · 🔀 140 · 📦 1.9K · 📋 150 - 30% open · ⏱️ 22.02.2022):

	```
	git clone https://github.com/neutronX/django-markdownx
	```
- [PyPi](https://pypi.org/project/django-markdownx) (📥 27K / month · 📦 120 · ⏱️ 03.01.2022):
	```
	pip install django-markdownx
	```
</details>
<details><summary><b><a href="https://github.com/facelessuser/pymdown-extensions">pymdown-extensions</a></b> (🥉26 ·  ⭐ 660) - Extensions for Python Markdown. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/facelessuser/pymdown-extensions) (👨‍💻 39 · 🔀 220 · 📋 300 - 4% open · ⏱️ 02.11.2022):

	```
	git clone https://github.com/facelessuser/pymdown-extensions
	```
- [PyPi](https://pypi.org/project/pymdown-extensions) (📥 1M / month · ⏱️ 22.10.2022):
	```
	pip install pymdown-extensions
	```
- [Conda](https://anaconda.org/conda-forge/pymdown-extensions) (📥 92K · ⏱️ 22.10.2022):
	```
	conda install -c conda-forge pymdown-extensions
	```
</details>
<details><summary><b><a href="https://github.com/executablebooks/markdown-it-py">markdown-it-py</a></b> (🥉24 ·  ⭐ 380) - Markdown parser, done right. 100% CommonMark support, extensions,.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/executablebooks/markdown-it-py) (👨‍💻 19 · 🔀 47 · 📋 68 - 36% open · ⏱️ 02.08.2022):

	```
	git clone https://github.com/executablebooks/markdown-it-py
	```
- [PyPi](https://pypi.org/project/markdown-it-py) (📥 4.4M / month · 📦 41 · ⏱️ 16.04.2022):
	```
	pip install markdown-it-py
	```
- [Conda](https://anaconda.org/conda-forge/markdown-it-py) (📥 460K · ⏱️ 18.04.2022):
	```
	conda install -c conda-forge markdown-it-py
	```
</details>
<details><summary><b><a href="https://github.com/agusmakmun/django-markdown-editor">django-markdown-editor</a></b> (🥉23 ·  ⭐ 640) - Awesome Django Markdown Editor, supported for.. <code><a href="http://bit.ly/2M0xdwT">❗️GPL-3.0</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/agusmakmun/django-markdown-editor) (👨‍💻 31 · 🔀 970 · 📋 120 - 23% open · ⏱️ 04.09.2022):

	```
	git clone https://github.com/agusmakmun/django-markdown-editor
	```
- [PyPi](https://pypi.org/project/martor) (📥 13K / month · 📦 23 · ⏱️ 31.03.2022):
	```
	pip install martor
	```
</details>
<details><summary><b><a href="https://github.com/cmacmackin/markdown-include">markdown-include</a></b> (🥉20 ·  ⭐ 85) - Provides syntax for Python-Markdown which allows for the.. <code><a href="http://bit.ly/2M0xdwT">❗️GPL-3.0</a></code></summary>

- [GitHub](https://github.com/cmacmackin/markdown-include) (👨‍💻 9 · 🔀 35 · 📦 2.1K · 📋 27 - 59% open · ⏱️ 19.07.2022):

	```
	git clone https://github.com/cmacmackin/markdown-include
	```
- [PyPi](https://pypi.org/project/markdown-include) (📥 49K / month · 📦 220 · ⏱️ 20.08.2020):
	```
	pip install markdown-include
	```
- [Conda](https://anaconda.org/conda-forge/markdown-include) (📥 11K · ⏱️ 21.07.2022):
	```
	conda install -c conda-forge markdown-include
	```
</details>
<br>

## Third-party Web APIs

<a href="#contents"><img align="right" width="15" height="15" src="https://git.io/JtehR" alt="Back to top"></a>

🔗&nbsp;<b><a href="https://github.com/public-apis/public-apis">Public APIs</a></b> ( ⭐ 210K)  - A collective list of free APIs.

🔗&nbsp;<b><a href="https://github.com/ml-tooling/best-of-ml-python">best-of-ml-python - DB Clients</a></b> ( ⭐ 12K)  - Collection of python database client libraries.

<details><summary><b><a href="https://github.com/ytdl-org/youtube-dl">youtube-dl</a></b> (🥇45 ·  ⭐ 110K · 📈) - Command-line program to download videos from YouTube.com.. <code><a href="http://bit.ly/3rvuUlR">Unlicense</a></code></summary>

- [GitHub](https://github.com/ytdl-org/youtube-dl) (👨‍💻 980 · 🔀 8.3K · 📥 52M · 📋 26K - 18% open · ⏱️ 03.11.2022):

	```
	git clone https://github.com/ytdl-org/youtube-dl
	```
- [PyPi](https://pypi.org/project/youtube_dl) (📥 9.3M / month · 📦 1.8K · ⏱️ 16.12.2021):
	```
	pip install youtube_dl
	```
- [Conda](https://anaconda.org/conda-forge/youtube-dl) (📥 1.1M · ⏱️ 20.12.2021):
	```
	conda install -c conda-forge youtube-dl
	```
</details>
<details><summary><b><a href="https://github.com/Rapptz/discord.py">discord.py</a></b> (🥇44 ·  ⭐ 12K · 📉) - An API wrapper for Discord written in Python. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/Rapptz/discord.py) (👨‍💻 370 · 🔀 3.5K · 📦 48K · 📋 2.7K - 2% open · ⏱️ 27.10.2022):

	```
	git clone https://github.com/Rapptz/discord.py
	```
- [PyPi](https://pypi.org/project/discord.py) (📥 77M / month · 📦 2.7K · ⏱️ 12.06.2021):
	```
	pip install discord.py
	```
- [Conda](https://anaconda.org/conda-forge/discord.py) (📥 5.7K · ⏱️ 12.06.2021):
	```
	conda install -c conda-forge discord.py
	```
</details>
<details><summary><b><a href="https://github.com/googleapis/google-api-python-client">google-api-python-client</a></b> (🥇43 ·  ⭐ 6.1K) - The official Python client library for Googles.. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code></summary>

- [GitHub](https://github.com/googleapis/google-api-python-client) (👨‍💻 180 · 🔀 2.2K · 📦 120K · 📋 940 - 7% open · ⏱️ 01.11.2022):

	```
	git clone https://github.com/googleapis/google-api-python-client
	```
- [PyPi](https://pypi.org/project/google-api-python-client) (📥 28M / month · 📦 7.3K · ⏱️ 28.06.2022):
	```
	pip install google-api-python-client
	```
- [Conda](https://anaconda.org/conda-forge/google-api-python-client) (📥 1.6M · ⏱️ 18.10.2022):
	```
	conda install -c conda-forge google-api-python-client
	```
</details>
<details><summary><b><a href="https://github.com/tweepy/tweepy">tweepy</a></b> (🥇42 ·  ⭐ 9.2K) - Twitter for Python!. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/tweepy/tweepy) (👨‍💻 240 · 🔀 4.2K · 📦 37K · 📋 1.2K - 6% open · ⏱️ 02.11.2022):

	```
	git clone https://github.com/tweepy/tweepy
	```
- [PyPi](https://pypi.org/project/tweepy) (📥 1.1M / month · 📦 4.4K · ⏱️ 20.05.2022):
	```
	pip install tweepy
	```
- [Conda](https://anaconda.org/conda-forge/tweepy) (📥 190K · ⏱️ 29.10.2022):
	```
	conda install -c conda-forge tweepy
	```
</details>
<details><summary><b><a href="https://github.com/LonamiWebs/Telethon">Telethon</a></b> (🥇40 ·  ⭐ 7.1K) - Pure Python 3 MTProto API Telegram client library, for bots too!. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/LonamiWebs/Telethon) (👨‍💻 150 · 🔀 1.2K · 📦 37K · 📋 1.9K - 2% open · ⏱️ 26.10.2022):

	```
	git clone https://github.com/LonamiWebs/Telethon
	```
- [PyPi](https://pypi.org/project/telethon) (📥 1.4M / month · 📦 390 · ⏱️ 01.12.2021):
	```
	pip install telethon
	```
</details>
<details><summary><b><a href="https://github.com/gitpython-developers/GitPython">GitPython</a></b> (🥇40 ·  ⭐ 3.7K) - GitPython is a python library used to interact with Git repositories. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/gitpython-developers/GitPython) (👨‍💻 280 · 🔀 800 · 📦 110K · 📋 860 - 15% open · ⏱️ 14.10.2022):

	```
	git clone https://github.com/gitpython-developers/GitPython
	```
- [PyPi](https://pypi.org/project/gitpython) (📥 31M / month · 📦 7.4K · ⏱️ 20.02.2022):
	```
	pip install gitpython
	```
- [Conda](https://anaconda.org/conda-forge/gitpython) (📥 4.2M · ⏱️ 11.10.2022):
	```
	conda install -c conda-forge gitpython
	```
</details>
<details><summary><b><a href="https://github.com/python-telegram-bot/python-telegram-bot">python-telegram-bot</a></b> (🥈39 ·  ⭐ 20K) - We have made you a wrapper you cant refuse. <code><a href="http://bit.ly/2M0xdwT">❗️GPL-3.0</a></code></summary>

- [GitHub](https://github.com/python-telegram-bot/python-telegram-bot) (👨‍💻 180 · 🔀 4.4K · 📥 12K · 📦 66K · 📋 1.8K - 1% open · ⏱️ 02.11.2022):

	```
	git clone https://github.com/python-telegram-bot/python-telegram-bot
	```
- [PyPi](https://pypi.org/project/python-telegram-bot) (📥 1.2M / month · 📦 2.5K · ⏱️ 28.06.2022):
	```
	pip install python-telegram-bot
	```
- [Conda](https://anaconda.org/conda-forge/python-telegram-bot) (📥 62K · ⏱️ 29.06.2022):
	```
	conda install -c conda-forge python-telegram-bot
	```
</details>
<details><summary><b><a href="https://github.com/eternnoir/pyTelegramBotAPI">pyTelegramBotAPI</a></b> (🥈39 ·  ⭐ 6.2K) - Python Telegram bot api. <code><a href="http://bit.ly/2KucAZR">❗️GPL-2.0</a></code></summary>

- [GitHub](https://github.com/eternnoir/pyTelegramBotAPI) (👨‍💻 200 · 🔀 1.6K · 📦 27K · 📋 1K - 0% open · ⏱️ 02.11.2022):

	```
	git clone https://github.com/eternnoir/pyTelegramBotAPI
	```
- [PyPi](https://pypi.org/project/pytelegrambotapi) (📥 570K / month · 📦 920 · ⏱️ 23.06.2022):
	```
	pip install pytelegrambotapi
	```
</details>
<details><summary><b><a href="https://github.com/burnash/gspread">gspread</a></b> (🥈39 ·  ⭐ 6.1K) - Google Sheets Python API. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/burnash/gspread) (👨‍💻 150 · 🔀 880 · 📥 200 · 📦 18K · 📋 770 - 7% open · ⏱️ 31.10.2022):

	```
	git clone https://github.com/burnash/gspread
	```
- [PyPi](https://pypi.org/project/gspread) (📥 9.7M / month · 📦 970 · ⏱️ 31.05.2022):
	```
	pip install gspread
	```
- [Conda](https://anaconda.org/conda-forge/gspread) (📥 230K · ⏱️ 29.10.2022):
	```
	conda install -c conda-forge gspread
	```
</details>
<details><summary><b><a href="https://github.com/PyGithub/PyGithub">PyGithub</a></b> (🥈38 ·  ⭐ 5.6K) - Typed interactions with the GitHub API v3. <code><a href="http://bit.ly/37RvQcA">❗️LGPL-3.0</a></code></summary>

- [GitHub](https://github.com/PyGithub/PyGithub) (👨‍💻 290 · 🔀 1.5K · 📦 33K · 📋 1.4K - 11% open · ⏱️ 29.10.2022):

	```
	git clone https://github.com/PyGithub/PyGithub
	```
- [PyPi](https://pypi.org/project/pygithub) (📥 7.9M / month · 📦 2.5K · ⏱️ 26.04.2021):
	```
	pip install pygithub
	```
- [Conda](https://anaconda.org/conda-forge/pygithub) (📥 2.3M · ⏱️ 13.10.2022):
	```
	conda install -c conda-forge pygithub
	```
</details>
<details><summary><b><a href="https://github.com/slackapi/python-slack-sdk">slackclient</a></b> (🥈37 ·  ⭐ 3.5K) - Slack Developer Kit for Python. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/slackapi/python-slack-sdk) (👨‍💻 150 · 🔀 820 · 📥 360 · 📋 680 - 2% open · ⏱️ 31.10.2022):

	```
	git clone https://github.com/slackapi/python-slack-sdk
	```
- [PyPi](https://pypi.org/project/slackclient) (📥 5.8M / month · 📦 2.2K · ⏱️ 22.04.2022):
	```
	pip install slackclient
	```
- [Conda](https://anaconda.org/conda-forge/slackclient) (📥 560K · ⏱️ 19.11.2021):
	```
	conda install -c conda-forge slackclient
	```
</details>
<details><summary><b><a href="https://github.com/pycontribs/jira">jira</a></b> (🥈36 ·  ⭐ 1.6K) - Python Jira library. Development chat available on.. <code><a href="http://bit.ly/3rqEWVr">BSD-2</a></code></summary>

- [GitHub](https://github.com/pycontribs/jira) (👨‍💻 240 · 🔀 780 · 📥 730 · 📦 5 · 📋 660 - 19% open · ⏱️ 05.09.2022):

	```
	git clone https://github.com/pycontribs/jira
	```
- [PyPi](https://pypi.org/project/jira) (📥 3.6M / month · 📦 1.1K · ⏱️ 13.04.2022):
	```
	pip install jira
	```
- [Conda](https://anaconda.org/conda-forge/jira) (📥 88K · ⏱️ 06.09.2022):
	```
	conda install -c conda-forge jira
	```
</details>
<details><summary><b><a href="https://github.com/twilio/twilio-python">twilio</a></b> (🥈36 ·  ⭐ 1.6K) - A Python module for communicating with the Twilio API and generating TwiML. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/twilio/twilio-python) (👨‍💻 130 · 🔀 640 · 📦 25K · 📋 270 - 5% open · ⏱️ 31.10.2022):

	```
	git clone https://github.com/twilio/twilio-python
	```
- [PyPi](https://pypi.org/project/twilio) (📥 2.3M / month · 📦 3.5K · ⏱️ 29.06.2022):
	```
	pip install twilio
	```
- [Conda](https://anaconda.org/conda-forge/twilio) (📥 110K · ⏱️ 01.11.2022):
	```
	conda install -c conda-forge twilio
	```
</details>
<details><summary><b><a href="https://github.com/stripe/stripe-python">stripe</a></b> (🥈36 ·  ⭐ 1.3K) - Python library for the Stripe API. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/stripe/stripe-python) (👨‍💻 130 · 🔀 350 · 📦 24K · 📋 320 - 4% open · ⏱️ 02.11.2022):

	```
	git clone https://github.com/stripe/stripe-python
	```
- [PyPi](https://pypi.org/project/stripe) (📥 1.8M / month · 📦 2K · ⏱️ 30.06.2022):
	```
	pip install stripe
	```
- [Conda](https://anaconda.org/anaconda/stripe) (📥 22K · ⏱️ 08.09.2021):
	```
	conda install -c anaconda stripe
	```
</details>
<details><summary><b><a href="https://github.com/pytube/pytube">pytube</a></b> (🥈35 ·  ⭐ 7.7K) - A lightweight, dependency-free Python library (and command-line.. <code><a href="http://bit.ly/3rvuUlR">Unlicense</a></code></summary>

- [GitHub](https://github.com/pytube/pytube) (👨‍💻 100 · 🔀 1.6K · 📦 18K · 📋 920 - 22% open · ⏱️ 18.09.2022):

	```
	git clone https://github.com/pytube/pytube
	```
- [PyPi](https://pypi.org/project/pytube) (📥 720K / month · 📦 330 · ⏱️ 09.05.2022):
	```
	pip install pytube
	```
- [Conda](https://anaconda.org/conda-forge/pytube) (📥 5K · ⏱️ 09.05.2022):
	```
	conda install -c conda-forge pytube
	```
</details>
<details><summary><b><a href="https://github.com/spotipy-dev/spotipy">spotipy</a></b> (🥈35 ·  ⭐ 4.1K) - A light weight Python library for the Spotify Web API. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/spotipy-dev/spotipy) (👨‍💻 160 · 🔀 830 · 📦 12K · 📋 540 - 16% open · ⏱️ 01.11.2022):

	```
	git clone https://github.com/plamere/spotipy
	```
- [PyPi](https://pypi.org/project/spotipy) (📥 1M / month · 📦 580 · ⏱️ 18.06.2022):
	```
	pip install spotipy
	```
- [Conda](https://anaconda.org/conda-forge/spotipy) (📥 5.9K · ⏱️ 25.06.2022):
	```
	conda install -c conda-forge spotipy
	```
</details>
<details><summary><b><a href="https://github.com/slackapi/python-slack-sdk">python-slack-sdk</a></b> (🥈35 ·  ⭐ 3.5K) - Slack Developer Kit for Python. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/slackapi/python-slack-sdk) (👨‍💻 150 · 🔀 820 · 📥 360 · 📋 680 - 2% open · ⏱️ 31.10.2022):

	```
	git clone https://github.com/slackapi/python-slack-sdk
	```
- [PyPi](https://pypi.org/project/slack-sdk) (📥 8.6M / month · 📦 95 · ⏱️ 22.06.2022):
	```
	pip install slack-sdk
	```
- [Conda](https://anaconda.org/conda-forge/slack-sdk) (📥 53K · ⏱️ 27.10.2022):
	```
	conda install -c conda-forge slack-sdk
	```
</details>
<details><summary><b><a href="https://github.com/praw-dev/praw">praw</a></b> (🥈35 ·  ⭐ 2.9K) - PRAW, an acronym for Python Reddit API Wrapper, is a python package that.. <code><a href="http://bit.ly/3rqEWVr">BSD-2</a></code></summary>

- [GitHub](https://github.com/praw-dev/praw) (👨‍💻 220 · 🔀 440 · 📦 12K · 📋 700 - 1% open · ⏱️ 28.10.2022):

	```
	git clone https://github.com/praw-dev/praw
	```
- [PyPi](https://pypi.org/project/praw) (📥 1.8M / month · 📦 1.7K · ⏱️ 10.05.2022):
	```
	pip install praw
	```
- [Conda](https://anaconda.org/conda-forge/praw) (📥 32K · ⏱️ 28.05.2022):
	```
	conda install -c conda-forge praw
	```
</details>
<details><summary><b><a href="https://github.com/hvac/hvac">hvac</a></b> (🥈35 ·  ⭐ 1K) - Python 2.7/3.X client for HashiCorp Vault. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code></summary>

- [GitHub](https://github.com/hvac/hvac) (👨‍💻 160 · 🔀 320 · 📥 460 · 📋 360 - 33% open · ⏱️ 25.10.2022):

	```
	git clone https://github.com/hvac/hvac
	```
- [PyPi](https://pypi.org/project/hvac) (📥 6.5M / month · 📦 320 · ⏱️ 23.09.2021):
	```
	pip install hvac
	```
- [Conda](https://anaconda.org/conda-forge/hvac) (📥 220K · ⏱️ 23.09.2021):
	```
	conda install -c conda-forge hvac
	```
</details>
<details><summary><b><a href="https://github.com/thumbor/thumbor">thumbor</a></b> (🥈33 ·  ⭐ 9.2K) - thumbor is an open-source photo thumbnail service by globo.com. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/thumbor/thumbor) (👨‍💻 190 · 🔀 800 · 📦 320 · 📋 920 - 2% open · ⏱️ 01.11.2022):

	```
	git clone https://github.com/thumbor/thumbor
	```
- [PyPi](https://pypi.org/project/thumbor) (📥 4.4K / month · 📦 200 · ⏱️ 06.07.2022):
	```
	pip install thumbor
	```
</details>
<details><summary><b><a href="https://github.com/googlemaps/google-maps-services-python">google-maps-services-python</a></b> (🥈33 ·  ⭐ 3.7K) - Python client library for Google Maps API Web Services. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code></summary>

- [GitHub](https://github.com/googlemaps/google-maps-services-python) (👨‍💻 60 · 🔀 1.2K · 📋 230 - 7% open · ⏱️ 19.05.2022):

	```
	git clone https://github.com/googlemaps/google-maps-services-python
	```
- [PyPi](https://pypi.org/project/googlemaps) (📥 1.1M / month · 📦 1.2K · ⏱️ 02.02.2022):
	```
	pip install googlemaps
	```
</details>
<details><summary><b><a href="https://github.com/python-twitter-tools/twitter">twitter</a></b> (🥈33 ·  ⭐ 2.9K) - Python Twitter API. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/python-twitter-tools/twitter) (👨‍💻 94 · 🔀 570 · 📦 3.7K · 📋 280 - 17% open · ⏱️ 26.10.2022):

	```
	git clone https://github.com/python-twitter-tools/twitter
	```
- [PyPi](https://pypi.org/project/twitter) (📥 74K / month · 📦 1.1K · ⏱️ 17.01.2022):
	```
	pip install twitter
	```
</details>
<details><summary><b><a href="https://github.com/sherlock-project/sherlock">sherlock</a></b> (🥉32 ·  ⭐ 37K) - Hunt down social media accounts by username across social networks. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/sherlock-project/sherlock) (👨‍💻 210 · 🔀 4.3K · 📋 790 - 22% open · ⏱️ 21.10.2022):

	```
	git clone https://github.com/sherlock-project/sherlock
	```
- [PyPi](https://pypi.org/project/sherlock) (📥 6.6K / month · 📦 7 · ⏱️ 11.05.2019):
	```
	pip install sherlock
	```
</details>
<details><summary><b><a href="https://github.com/bear/python-twitter">python-twitter</a></b> (🥉32 ·  ⭐ 3.4K · 💤) - A Python wrapper around the Twitter API. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code></summary>

- [GitHub](https://github.com/bear/python-twitter) (👨‍💻 170 · 🔀 960 · 📦 6.3K · 📋 420 - 24% open · ⏱️ 19.12.2021):

	```
	git clone https://github.com/bear/python-twitter
	```
- [PyPi](https://pypi.org/project/python-twitter) (📥 180K / month · 📦 1.7K · ⏱️ 03.11.2018):
	```
	pip install python-twitter
	```
</details>
<details><summary><b><a href="https://github.com/simple-salesforce/simple-salesforce">simple-salesforce</a></b> (🥉32 ·  ⭐ 1.4K) - A very simple Salesforce.com REST API client for Python. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code></summary>

- [GitHub](https://github.com/simple-salesforce/simple-salesforce) (👨‍💻 75 · 🔀 600 · 📋 370 - 40% open · ⏱️ 26.10.2022):

	```
	git clone https://github.com/simple-salesforce/simple-salesforce
	```
- [PyPi](https://pypi.org/project/simple-salesforce) (📥 4M / month · 📦 200 · ⏱️ 28.02.2022):
	```
	pip install simple-salesforce
	```
- [Conda](https://anaconda.org/conda-forge/simple-salesforce) (📥 47K · ⏱️ 11.12.2020):
	```
	conda install -c conda-forge simple-salesforce
	```
</details>
<details><summary><b><a href="https://github.com/cinemagoer/cinemagoer">imdbpy</a></b> (🥉30 ·  ⭐ 1K) - Cinemagoer is a Python package useful to retrieve and manage the data.. <code><a href="http://bit.ly/2KucAZR">❗️GPL-2.0</a></code></summary>

- [GitHub](https://github.com/cinemagoer/cinemagoer) (👨‍💻 68 · 🔀 270 · 📥 150 · 📋 260 - 17% open · ⏱️ 25.10.2022):

	```
	git clone https://github.com/alberanid/imdbpy
	```
- [PyPi](https://pypi.org/project/imdbpy) (📥 660K / month · 📦 120 · ⏱️ 18.04.2021):
	```
	pip install imdbpy
	```
</details>
<details><summary><b><a href="https://github.com/arc298/instagram-scraper">instagram-scraper</a></b> (🥉29 ·  ⭐ 7.3K) - Scrapes an instagram users photos and videos. <code><a href="http://bit.ly/3rvuUlR">Unlicense</a></code></summary>

- [GitHub](https://github.com/arc298/instagram-scraper) (👨‍💻 59 · 🔀 1.4K · 📦 320 · 📋 690 - 62% open · ⏱️ 08.08.2022):

	```
	git clone https://github.com/arc298/instagram-scraper
	```
- [PyPi](https://pypi.org/project/instagram-scraper) (📥 9.3K / month · 📦 26 · ⏱️ 17.06.2022):
	```
	pip install instagram-scraper
	```
</details>
<details><summary><b><a href="https://github.com/mikf/gallery-dl">gallery-dl</a></b> (🥉29 ·  ⭐ 5.8K) - Command-line program to download image galleries and.. <code><a href="http://bit.ly/2KucAZR">❗️GPL-2.0</a></code></summary>

- [GitHub](https://github.com/mikf/gallery-dl) (👨‍💻 73 · 🔀 570 · 📥 260K · 📋 2.7K - 23% open · ⏱️ 02.11.2022):

	```
	git clone https://github.com/mikf/gallery-dl
	```
- [PyPi](https://pypi.org/project/gallery-dl) (📥 26K / month · 📦 5 · ⏱️ 28.06.2022):
	```
	pip install gallery-dl
	```
</details>
<details><summary><b><a href="https://github.com/wechatpy/wechatpy">wechatpy</a></b> (🥉29 ·  ⭐ 3.2K) - WeChat SDK for Python. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/wechatpy/wechatpy) (👨‍💻 98 · 🔀 720 · 📋 340 - 9% open · ⏱️ 19.10.2022):

	```
	git clone https://github.com/wechatpy/wechatpy
	```
- [PyPi](https://pypi.org/project/wechatpy) (📥 210K / month · 📦 130 · ⏱️ 19.06.2022):
	```
	pip install wechatpy
	```
</details>
<details><summary><b><a href="https://github.com/bisguzar/twitter-scraper">twitter-scraper</a></b> (🥉28 ·  ⭐ 3.3K · 💤) - Scrape the Twitter Frontend API without authentication. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/bisguzar/twitter-scraper) (👨‍💻 31 · 🔀 560 · 📦 3.9K · 📋 110 - 42% open · ⏱️ 17.12.2021):

	```
	git clone https://github.com/bisguzar/twitter-scraper
	```
- [PyPi](https://pypi.org/project/twitter-scraper) (📥 17K / month · 📦 12 · ⏱️ 17.07.2020):
	```
	pip install twitter-scraper
	```
</details>
<details><summary><b><a href="https://github.com/fastai/ghapi">ghapi</a></b> (🥉27 ·  ⭐ 400) - A delightful and complete interface to GitHubs amazing API. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code></summary>

- [GitHub](https://github.com/fastai/ghapi) (👨‍💻 16 · 🔀 44 · 📦 460 · 📋 120 - 31% open · ⏱️ 27.09.2022):

	```
	git clone https://github.com/fastai/ghapi
	```
- [PyPi](https://pypi.org/project/ghapi) (📥 460K / month · 📦 29 · ⏱️ 13.06.2022):
	```
	pip install ghapi
	```
</details>
<details><summary><b><a href="https://github.com/ramnes/notion-sdk-py">notion-sdk-py</a></b> (🥉26 ·  ⭐ 860) - Official Notion SDK rewritten in Python (sync + async). <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/ramnes/notion-sdk-py) (👨‍💻 19 · 🔀 72 · 📦 240 · 📋 59 - 11% open · ⏱️ 26.10.2022):

	```
	git clone https://github.com/ramnes/notion-sdk-py
	```
- [PyPi](https://pypi.org/project/notion-client) (📥 87K / month · 📦 20 · ⏱️ 18.04.2022):
	```
	pip install notion-client
	```
- [Conda](https://anaconda.org/conda-forge/notion-client) (📥 3.1K · ⏱️ 21.04.2022):
	```
	conda install -c conda-forge notion-client
	```
</details>
<details><summary><b><a href="https://github.com/attardi/wikiextractor">WikiExtractor</a></b> (🥉24 ·  ⭐ 3.2K · 💤) - A tool for extracting plain text from Wikipedia dumps. <code><a href="http://bit.ly/3pwmjO5">❗️AGPL-3.0</a></code></summary>

- [GitHub](https://github.com/attardi/wikiextractor) (👨‍💻 30 · 🔀 880 · 📦 180 · 📋 240 - 52% open · ⏱️ 07.03.2022):

	```
	git clone https://github.com/attardi/wikiextractor
	```
- [PyPi](https://pypi.org/project/wikiextractor) (📥 1.8K / month · 📦 7 · ⏱️ 14.10.2021):
	```
	pip install wikiextractor
	```
</details>
<details><summary><b><a href="https://github.com/flyingrub/scdl">scdl</a></b> (🥉24 ·  ⭐ 2.5K) - Soundcloud Music Downloader. <code><a href="http://bit.ly/2KucAZR">❗️GPL-2.0</a></code></summary>

- [GitHub](https://github.com/flyingrub/scdl) (👨‍💻 48 · 🔀 270 · 📦 53 · 📋 330 - 15% open · ⏱️ 04.09.2022):

	```
	git clone https://github.com/flyingrub/scdl
	```
- [PyPi](https://pypi.org/project/scdl) (📥 900 / month · 📦 6 · ⏱️ 05.05.2022):
	```
	pip install scdl
	```
</details>
<details><summary><b><a href="https://github.com/realsirjoe/instagram-scraper">igramscraper</a></b> (🥉24 ·  ⭐ 2.5K) - scrapes medias, likes, followers, tags and all metadata. Inspired.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/realsirjoe/instagram-scraper) (👨‍💻 30 · 🔀 380 · 📦 150 · 📋 150 - 71% open · ⏱️ 28.06.2022):

	```
	git clone https://github.com/realsirjoe/instagram-scraper
	```
- [PyPi](https://pypi.org/project/igramscraper) (📥 1.5K / month · 📦 2 · ⏱️ 25.05.2020):
	```
	pip install igramscraper
	```
</details>
<details><summary><b><a href="https://github.com/ellisonleao/pyshorteners">pyshorteners</a></b> (🥉24 ·  ⭐ 350) - Generating short urls with python has never been easier. <code><a href="http://bit.ly/2M0xdwT">❗️GPL-3.0</a></code></summary>

- [GitHub](https://github.com/ellisonleao/pyshorteners) (👨‍💻 24 · 🔀 59 · 📦 6.9K · ⏱️ 06.06.2022):

	```
	git clone https://github.com/ellisonleao/pyshorteners
	```
- [PyPi](https://pypi.org/project/pyshorteners) (📥 120K / month · 📦 85 · ⏱️ 19.03.2020):
	```
	pip install pyshorteners
	```
</details>
<details><summary><b><a href="https://github.com/mxrch/GHunt">GHunt</a></b> (🥉19 ·  ⭐ 12K) - Offensive Google framework. <code><a href="http://bit.ly/3postzC">MPL-2.0</a></code></summary>

- [GitHub](https://github.com/mxrch/GHunt) (👨‍💻 27 · 🔀 1K · 📋 290 - 20% open · ⏱️ 03.11.2022):

	```
	git clone https://github.com/mxrch/GHunt
	```
</details>
<details><summary><b><a href="https://github.com/timgrossmann/InstaPy">InstaPy</a></b> (🥉17 ·  ⭐ 15K · 💤) - Tool for automated Instagram interactions. <code><a href="http://bit.ly/2M0xdwT">❗️GPL-3.0</a></code></summary>

- [GitHub]() (🔀 3.7K):

	```
	git clone https://github.com/timgrossmann/InstaPy
	```
- [PyPi](https://pypi.org/project/instapy) (📥 3.4K / month · 📦 11 · ⏱️ 19.01.2022):
	```
	pip install instapy
	```
</details>
<details><summary>Show 16 hidden projects...</summary>

- <b><a href="https://github.com/googleapis/google-resumable-media-python">google-resumable-media</a></b> (🥈33 ·  ⭐ 35) - Utilities for Google Media Downloads and Resumable.. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code>
- <b><a href="https://github.com/waditu/tushare">tushare</a></b> (🥉31 ·  ⭐ 12K · 💀) - TuShare is a utility for crawling historical data of China stocks. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code>
- <b><a href="https://github.com/hardikvasa/google-images-download">Google Images Download</a></b> (🥉31 ·  ⭐ 8.1K · 💀) - Python Script to download hundreds of images from.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code>
- <b><a href="https://github.com/ssut/py-googletrans">py-googletrans</a></b> (🥉31 ·  ⭐ 3.2K · 💀) - (unofficial) Googletrans: Free and Unlimited Google.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code>
- <b><a href="https://github.com/mobolic/facebook-sdk">facebook-sdk</a></b> (🥉31 ·  ⭐ 2.7K · 💀) - Python SDK for Facebooks Graph API. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code>
- <b><a href="https://github.com/goldsmith/Wikipedia">Wikipedia</a></b> (🥉31 ·  ⭐ 2.5K · 💀) - A Pythonic wrapper for the Wikipedia API. <code><a href="http://bit.ly/34MBwT8">MIT</a></code>
- <b><a href="https://github.com/ryanmcgrath/twython">twython</a></b> (🥉30 ·  ⭐ 1.8K · 💀) - Actively maintained, pure Python wrapper for the Twitter API... <code><a href="http://bit.ly/34MBwT8">MIT</a></code>
- <b><a href="https://github.com/coursera-dl/coursera-dl">coursera-dl</a></b> (🥉29 ·  ⭐ 8.9K · 💀) - Script for downloading Coursera.org videos and naming them. <code><a href="http://bit.ly/37RvQcA">❗️LGPL-3.0</a></code>
- <b><a href="https://github.com/os/slacker">slacker</a></b> (🥉29 ·  ⭐ 1.6K · 💀) - Full-featured Python interface for the Slack API. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code>
- <b><a href="https://github.com/facebookarchive/python-instagram">python-instagram</a></b> (🥉27 ·  ⭐ 2.9K · 💀) - Python Client for Instagram API. <code><a href="http://bit.ly/34MBwT8">MIT</a></code>
- <b><a href="https://github.com/simon-weber/gmusicapi">gmusicapi</a></b> (🥉27 ·  ⭐ 2.5K · 💀) - An unofficial client library for Google Music. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code>
- <b><a href="https://github.com/taspinar/twitterscraper">twitterscraper</a></b> (🥉27 ·  ⭐ 2.2K · 💀) - Scrape Twitter for Tweets. <code><a href="http://bit.ly/34MBwT8">MIT</a></code>
- <b><a href="https://github.com/tschellenbach/Django-facebook">Django Facebook</a></b> (🥉27 ·  ⭐ 1.4K · 💀) - Facebook open graph api implementation using the Django.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code>
- <b><a href="https://github.com/jamalex/notion-py">notion-py</a></b> (🥉26 ·  ⭐ 3.8K · 💀) - Unofficial Python API client for Notion.so. <code><a href="http://bit.ly/34MBwT8">MIT</a></code>
- <b><a href="https://github.com/nickoala/telepot">telepot</a></b> (🥉26 ·  ⭐ 2.4K · 💀) - Python framework for Telegram Bot API. <code><a href="http://bit.ly/34MBwT8">MIT</a></code>
- <b><a href="https://github.com/ping/instagram_private_api">instagram_private_api</a></b> (🥉24 ·  ⭐ 2.6K · 💀) - A Python library to access Instagrams private API. <code><a href="http://bit.ly/34MBwT8">MIT</a></code>
</details>
<br>

## Email

<a href="#contents"><img align="right" width="15" height="15" src="https://git.io/JtehR" alt="Back to top"></a>

<details><summary><b><a href="https://github.com/kootenpv/yagmail">yagmail</a></b> (🥇31 ·  ⭐ 2.4K) - Send email in Python conveniently for gmail using yagmail. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/kootenpv/yagmail) (👨‍💻 32 · 🔀 260 · 📦 2.7K · 📋 220 - 43% open · ⏱️ 28.09.2022):

	```
	git clone https://github.com/kootenpv/yagmail
	```
- [PyPi](https://pypi.org/project/yagmail) (📥 190K / month · 📦 450 · ⏱️ 01.07.2022):
	```
	pip install yagmail
	```
- [Conda](https://anaconda.org/conda-forge/yagmail) (📥 19K · ⏱️ 11.09.2022):
	```
	conda install -c conda-forge yagmail
	```
</details>
<details><summary><b><a href="https://github.com/modoboa/modoboa">modoboa</a></b> (🥇31 ·  ⭐ 2.3K) - Mail hosting made simple. <code><a href="http://bit.ly/3hkKRql">ISC</a></code></summary>

- [GitHub](https://github.com/modoboa/modoboa) (👨‍💻 110 · 🔀 310 · 📦 35 · 📋 1.7K - 8% open · ⏱️ 03.11.2022):

	```
	git clone https://github.com/modoboa/modoboa
	```
- [PyPi](https://pypi.org/project/modoboa) (📥 2K / month · 📦 36 · ⏱️ 18.05.2022):
	```
	pip install modoboa
	```
</details>
<details><summary><b><a href="https://github.com/sabuhish/fastapi-mail">fastapi-mail</a></b> (🥉22 ·  ⭐ 370) - Fastapi mail system sending mails(individual, bulk).. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://fastapi.tiangolo.com/img/favicon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/sabuhish/fastapi-mail) (👨‍💻 30 · 🔀 50 · 📋 80 - 2% open · ⏱️ 11.10.2022):

	```
	git clone https://github.com/sabuhish/fastapi-mail
	```
- [PyPi](https://pypi.org/project/fastapi-mail) (📥 38K / month · 📦 8 · ⏱️ 08.06.2022):
	```
	pip install fastapi-mail
	```
</details>
<details><summary><b><a href="https://github.com/marrow/mailer">mailer</a></b> (🥉21 ·  ⭐ 250) - A light-weight, modular, message representation and mail delivery framework.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/marrow/mailer) (👨‍💻 20 · 🔀 56 · 📥 130 · 📋 73 - 34% open · ⏱️ 15.07.2022):

	```
	git clone https://github.com/marrow/mailer
	```
- [PyPi](https://pypi.org/project/mailer) (📥 42K / month · 📦 83 · ⏱️ 22.04.2015):
	```
	pip install mailer
	```
- [Conda](https://anaconda.org/conda-forge/mailer) (📥 52K · ⏱️ 01.07.2021):
	```
	conda install -c conda-forge mailer
	```
</details>
<details><summary><b><a href="https://github.com/Pylons/pyramid_mailer">pyramid_mailer</a></b> (🥉21 ·  ⭐ 51) - A package for sending email from your Pyramid application. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://trypyramid.com/img/pyramid-16x16.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/Pylons/pyramid_mailer) (👨‍💻 35 · 🔀 39 · 📋 42 - 21% open · ⏱️ 17.09.2022):

	```
	git clone https://github.com/Pylons/pyramid_mailer
	```
- [PyPi](https://pypi.org/project/pyramid_mailer) (📥 23K / month · 📦 120 · ⏱️ 13.12.2016):
	```
	pip install pyramid_mailer
	```
</details>
<details><summary><b><a href="https://github.com/moggers87/salmon">salmon</a></b> (🥉17 ·  ⭐ 570) - A Python Mail Server. <code><a href="http://bit.ly/2M0xdwT">❗️GPL-3.0</a></code></summary>

- [GitHub](https://github.com/moggers87/salmon) (👨‍💻 15 · 🔀 56 · 📥 75 · 📦 17 · 📋 90 - 18% open · ⏱️ 06.06.2022):

	```
	git clone https://github.com/moggers87/salmon
	```
- [PyPi](https://pypi.org/project/salmon-mail) (📥 610 / month · 📦 1 · ⏱️ 31.12.2019):
	```
	pip install salmon-mail
	```
</details>
<details><summary>Show 5 hidden projects...</summary>

- <b><a href="https://github.com/mattupstate/flask-mail">flask-mail</a></b> (🥈30 ·  ⭐ 550 · 💀) - Flask-Mail adds SMTP mail sending to your Flask applications. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code>
- <b><a href="https://github.com/nylas/sync-engine">sync-engine</a></b> (🥈27 ·  ⭐ 3.5K · 💀) - IMAP/SMTP sync system with modern APIs. <code><a href="http://bit.ly/3pwmjO5">❗️AGPL-3.0</a></code>
- <b><a href="https://github.com/mailgun/flanker">flanker</a></b> (🥈26 ·  ⭐ 1.6K · 💀) - Python email address and Mime parsing library. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code>
- <b><a href="https://github.com/OfflineIMAP/offlineimap">offlineimap</a></b> (🥉25 ·  ⭐ 1.7K · 💀) - Read/sync your IMAP mailboxes (python2) [LEGACY: move.. <code><a href="https://tldrlegal.com/search?q=libpng-2.0">❗️libpng-2.0</a></code>
- <b><a href="https://github.com/charlierguo/gmail">gmail</a></b> (🥉20 ·  ⭐ 1.7K · 💀) - A Pythonic interface for Google Mail. <code><a href="http://bit.ly/34MBwT8">MIT</a></code>
</details>
<br>

## Web Scraping & Crawling

<a href="#contents"><img align="right" width="15" height="15" src="https://git.io/JtehR" alt="Back to top"></a>

_Libraries for web scraping, crawling, downloading, and mining as well as libraries._

<details><summary><b><a href="https://github.com/scrapy/scrapy">Scrapy</a></b> (🥇45 ·  ⭐ 45K) - Scrapy, a fast high-level web crawling & scraping framework for Python. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/scrapy/scrapy) (👨‍💻 560 · 🔀 9.8K · 📦 32K · 📋 3K - 26% open · ⏱️ 02.11.2022):

	```
	git clone https://github.com/scrapy/scrapy
	```
- [PyPi](https://pypi.org/project/scrapy) (📥 1.5M / month · 📦 4.6K · ⏱️ 01.03.2022):
	```
	pip install scrapy
	```
- [Conda](https://anaconda.org/conda-forge/scrapy) (📥 560K · ⏱️ 02.11.2022):
	```
	conda install -c conda-forge scrapy
	```
</details>
<details><summary><b><a href="https://github.com/soimort/you-get">You-Get</a></b> (🥇33 ·  ⭐ 46K) - Dumb downloader that scrapes the web. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/soimort/you-get) (👨‍💻 250 · 🔀 9.1K · 📥 360K · ⏱️ 25.10.2022):

	```
	git clone https://github.com/soimort/you-get
	```
- [PyPi](https://pypi.org/project/you-get) (📥 20K / month · 📦 22 · ⏱️ 01.07.2022):
	```
	pip install you-get
	```
- [Conda](https://anaconda.org/conda-forge/you-get) (📥 14K · ⏱️ 02.07.2022):
	```
	conda install -c conda-forge you-get
	```
</details>
<details><summary><b><a href="https://github.com/kurtmckee/feedparser">feedparser</a></b> (🥇32 ·  ⭐ 1.5K) - Parse feeds in Python. <code><a href="http://bit.ly/3rqEWVr">BSD-2</a></code></summary>

- [GitHub](https://github.com/kurtmckee/feedparser) (👨‍💻 52 · 🔀 290 · 📋 220 - 33% open · ⏱️ 27.10.2022):

	```
	git clone https://github.com/kurtmckee/feedparser
	```
- [PyPi](https://pypi.org/project/feedparser) (📥 3M / month · 📦 7.4K · ⏱️ 21.05.2022):
	```
	pip install feedparser
	```
- [Conda](https://anaconda.org/conda-forge/feedparser) (📥 370K · ⏱️ 21.05.2022):
	```
	conda install -c conda-forge feedparser
	```
</details>
<details><summary><b><a href="https://github.com/scrapy/parsel">parsel</a></b> (🥇32 ·  ⭐ 830) - Parsel lets you extract data from XML/HTML documents using XPath or CSS.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/scrapy/parsel) (👨‍💻 46 · 🔀 130 · 📦 22K · 📋 110 - 41% open · ⏱️ 02.11.2022):

	```
	git clone https://github.com/scrapy/parsel
	```
- [PyPi](https://pypi.org/project/parsel) (📥 1.4M / month · 📦 1.6K · ⏱️ 07.05.2020):
	```
	pip install parsel
	```
- [Conda](https://anaconda.org/conda-forge/parsel) (📥 74K · ⏱️ 02.11.2022):
	```
	conda install -c conda-forge parsel
	```
</details>
<details><summary><b><a href="https://github.com/GeneralMills/pytrends">pytrends</a></b> (🥈31 ·  ⭐ 2.6K) - Pseudo API for Google Trends. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code></summary>

- [GitHub](https://github.com/GeneralMills/pytrends) (👨‍💻 79 · 🔀 710 · 📋 420 - 25% open · ⏱️ 31.10.2022):

	```
	git clone https://github.com/GeneralMills/pytrends
	```
- [PyPi](https://pypi.org/project/pytrends) (📥 220K / month · 📦 66 · ⏱️ 02.02.2022):
	```
	pip install pytrends
	```
- [Conda](https://anaconda.org/conda-forge/pytrends) (📥 5K · ⏱️ 08.02.2022):
	```
	conda install -c conda-forge pytrends
	```
</details>
<details><summary><b><a href="https://github.com/maurosoria/dirsearch">dirsearch</a></b> (🥈30 ·  ⭐ 8.7K) - Web path scanner. <code><a href="http://bit.ly/2KucAZR">❗️GPL-2.0</a></code></summary>

- [GitHub](https://github.com/maurosoria/dirsearch) (👨‍💻 89 · 🔀 2.1K · 📦 21 · 📋 460 - 7% open · ⏱️ 21.10.2022):

	```
	git clone https://github.com/maurosoria/dirsearch
	```
- [PyPi](https://pypi.org/project/dirsearch) (📥 2.1K / month · ⏱️ 17.06.2021):
	```
	pip install dirsearch
	```
</details>
<details><summary><b><a href="https://github.com/VeNoMouS/cloudscraper">cloudscraper</a></b> (🥈30 ·  ⭐ 2.4K) - A Python module to bypass Cloudflares anti-bot page. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/VeNoMouS/cloudscraper) (👨‍💻 11 · 🔀 360 · 📦 9.9K · ⏱️ 29.08.2022):

	```
	git clone https://github.com/venomous/cloudscraper
	```
- [PyPi](https://pypi.org/project/cloudscraper) (📥 580K / month · 📦 82 · ⏱️ 15.03.2022):
	```
	pip install cloudscraper
	```
</details>
<details><summary><b><a href="https://github.com/MechanicalSoup/MechanicalSoup">MechanicalSoup</a></b> (🥈29 ·  ⭐ 4.2K) - A Python library for automating interaction with websites. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/MechanicalSoup/MechanicalSoup) (👨‍💻 51 · 🔀 360 · 📥 43 · 📋 170 - 18% open · ⏱️ 17.09.2022):

	```
	git clone https://github.com/MechanicalSoup/MechanicalSoup
	```
- [PyPi](https://pypi.org/project/MechanicalSoup) (📥 130K / month · 📦 270 · ⏱️ 29.05.2021):
	```
	pip install MechanicalSoup
	```
- [Conda](https://anaconda.org/conda-forge/mechanicalsoup) (📥 130K · ⏱️ 19.09.2022):
	```
	conda install -c conda-forge mechanicalsoup
	```
</details>
<details><summary><b><a href="https://github.com/lorien/grab">Grab</a></b> (🥈28 ·  ⭐ 2.2K · 💤) - Web Scraping Framework. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/lorien/grab) (👨‍💻 64 · 🔀 260 · 📦 360 · 📋 240 - 9% open · ⏱️ 01.03.2022):

	```
	git clone https://github.com/lorien/grab
	```
- [PyPi](https://pypi.org/project/grab) (📥 2.3K / month · 📦 110 · ⏱️ 24.06.2018):
	```
	pip install grab
	```
</details>
<details><summary><b><a href="https://github.com/adbar/trafilatura">trafilatura</a></b> (🥉27 ·  ⭐ 640) - Python & command-line tool to gather text on the Web: web.. <code><a href="http://bit.ly/2M0xdwT">❗️GPL-3.0</a></code></summary>

- [GitHub](https://github.com/adbar/trafilatura) (👨‍💻 26 · 🔀 83 · 📦 220 · 📋 170 - 18% open · ⏱️ 26.10.2022):

	```
	git clone https://github.com/adbar/trafilatura
	```
- [PyPi](https://pypi.org/project/trafilatura) (📥 150K / month · 📦 7 · ⏱️ 18.05.2022):
	```
	pip install trafilatura
	```
</details>
<details><summary><b><a href="https://github.com/scrapinghub/extruct">extruct</a></b> (🥉26 ·  ⭐ 710) - Extract embedded metadata from HTML markup. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/scrapinghub/extruct) (👨‍💻 32 · 🔀 100 · 📦 460 · 📋 97 - 45% open · ⏱️ 25.10.2022):

	```
	git clone https://github.com/scrapinghub/extruct
	```
- [PyPi](https://pypi.org/project/extruct) (📥 54K / month · 📦 32 · ⏱️ 26.07.2021):
	```
	pip install extruct
	```
</details>
<details><summary><b><a href="https://github.com/facelessuser/soupsieve">soupsieve</a></b> (🥉26 ·  ⭐ 140) - A modern CSS selector implementation for BeautifulSoup. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/facelessuser/soupsieve) (👨‍💻 9 · 🔀 31 · 📋 110 - 11% open · ⏱️ 18.10.2022):

	```
	git clone https://github.com/facelessuser/soupsieve
	```
- [PyPi](https://pypi.org/project/soupsieve) (📥 57M / month · 📦 2.5K · ⏱️ 14.04.2022):
	```
	pip install soupsieve
	```
- [Conda](https://anaconda.org/conda-forge/soupsieve) (📥 8.8M · ⏱️ 19.07.2022):
	```
	conda install -c conda-forge soupsieve
	```
</details>
<details><summary><b><a href="https://github.com/alirezamika/autoscraper">AutoScraper</a></b> (🥉24 ·  ⭐ 4.7K) - A Smart, Automatic, Fast and Lightweight Web Scraper for Python. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/alirezamika/autoscraper) (👨‍💻 8 · 🔀 490 · 📦 200 · 📋 50 - 12% open · ⏱️ 17.07.2022):

	```
	git clone https://github.com/alirezamika/autoscraper
	```
- [PyPi](https://pypi.org/project/autoscraper) (📥 6.3K / month · 📦 1 · ⏱️ 23.01.2021):
	```
	pip install autoscraper
	```
</details>
<details><summary><b><a href="https://github.com/s0md3v/Photon">Photon</a></b> (🥉23 ·  ⭐ 9.1K · 💤) - Incredibly fast crawler designed for OSINT. <code><a href="http://bit.ly/2M0xdwT">❗️GPL-3.0</a></code></summary>

- [GitHub](https://github.com/s0md3v/Photon) (👨‍💻 21 · 🔀 1.4K · 📋 110 - 40% open · ⏱️ 16.03.2022):

	```
	git clone https://github.com/s0md3v/Photon
	```
- [PyPi](https://pypi.org/project/photon) (📥 340 / month · 📦 5 · ⏱️ 25.01.2019):
	```
	pip install photon
	```
</details>
<details><summary><b><a href="https://github.com/Gerapy/Gerapy">Gerapy</a></b> (🥉23 ·  ⭐ 2.8K) - Distributed Crawler Management Framework Based on Scrapy, Scrapyd,.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/Gerapy/Gerapy) (👨‍💻 13 · 🔀 570 · 📦 120 · 📋 200 - 26% open · ⏱️ 24.07.2022):

	```
	git clone https://github.com/Gerapy/Gerapy
	```
- [PyPi](https://pypi.org/project/gerapy) (📥 620 / month · 📦 8 · ⏱️ 30.12.2021):
	```
	pip install gerapy
	```
</details>
<details><summary><b><a href="https://github.com/howie6879/ruia">ruia</a></b> (🥉23 ·  ⭐ 1.6K) - Async Python 3.6+ web scraping micro-framework based on asyncio. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code></summary>

- [GitHub](https://github.com/howie6879/ruia) (👨‍💻 17 · 🔀 170 · 📥 14 · 📦 61 · 📋 97 - 6% open · ⏱️ 21.08.2022):

	```
	git clone https://github.com/howie6879/ruia
	```
- [PyPi](https://pypi.org/project/ruia) (📥 970 / month · 📦 9 · ⏱️ 07.05.2021):
	```
	pip install ruia
	```
</details>
<details><summary>Show 17 hidden projects...</summary>

- <b><a href="https://github.com/codelucas/newspaper">newspaper3k</a></b> (🥇32 ·  ⭐ 12K · 💀) - News, full-text, and article metadata extraction in Python 3... <code><a href="http://bit.ly/34MBwT8">MIT</a></code>
- <b><a href="https://github.com/clips/pattern">Pattern</a></b> (🥇32 ·  ⭐ 8.3K · 💀) - Web mining module for Python, with tools for scraping, natural.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code>
- <b><a href="https://github.com/binux/pyspider">pyspider</a></b> (🥈31 ·  ⭐ 16K · 💀) - A Powerful Spider(Web Crawler) System in Python. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code>
- <b><a href="https://github.com/grangier/python-goose">python-goose</a></b> (🥈28 ·  ⭐ 3.8K · 💀) - Html Content / Article Extractor, web scrapping lib in.. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code>
- <b><a href="https://github.com/jmcarp/robobrowser">robobrowser</a></b> (🥉25 ·  ⭐ 3.6K · 💀) - Your friendly neighborhood web scraper. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code>
- <b><a href="https://github.com/scrapy/scrapely">scrapely</a></b> (🥉24 ·  ⭐ 1.8K · 💀) - A pure-python HTML screen-scraping library. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code>
- <b><a href="https://github.com/scrapinghub/frontera">frontera</a></b> (🥉24 ·  ⭐ 1.2K · 💀) - A scalable frontier for web crawlers. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code>
- <b><a href="https://github.com/coleifer/micawber">micawber</a></b> (🥉24 ·  ⭐ 590 · 💀) - a small library for extracting rich content from urls. <code><a href="http://bit.ly/34MBwT8">MIT</a></code>
- <b><a href="https://github.com/qinxuye/cola">Cola</a></b> (🥉21 ·  ⭐ 1.5K · 💀) - A high-level distributed crawling framework. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code>
- <b><a href="https://github.com/maxhumber/gazpacho">gazpacho</a></b> (🥉21 ·  ⭐ 680 · 💀) - The simple, fast, and modern web scraping library. <code><a href="http://bit.ly/34MBwT8">MIT</a></code>
- <b><a href="https://github.com/michaelhelmick/lassie">Lassie</a></b> (🥉20 ·  ⭐ 570 · 💀) - Web Content Retrieval for Humans. <code><a href="http://bit.ly/34MBwT8">MIT</a></code>
- <b><a href="https://github.com/hannob/snallygaster">snallygaster</a></b> (🥉19 ·  ⭐ 1.9K) - Tool to scan for secret files on HTTP servers. <code><a href="https://tldrlegal.com/search?q=CC0-1.0">❗️CC0-1.0</a></code>
- <b><a href="https://github.com/gaojiuli/gain">gain</a></b> (🥉18 ·  ⭐ 2K · 💀) - Web crawling framework based on asyncio. <code><a href="http://bit.ly/2M0xdwT">❗️GPL-3.0</a></code>
- <b><a href="https://github.com/erikriver/opengraph">opengraph</a></b> (🥉15 ·  ⭐ 210 · 💀) - A python module to parse the Open Graph Protocol. <code><a href="http://bit.ly/34MBwT8">MIT</a></code>
- <b><a href="https://github.com/chiphuyen/lazynlp">lazynlp</a></b> (🥉13 ·  ⭐ 2.1K · 💀) - Library to scrape and clean web pages to create massive datasets. <code><a href="http://bit.ly/34MBwT8">MIT</a></code>
- <b><a href="https://github.com/DarshanDeshpande/Scrapera">Scrapera</a></b> (🥉13 ·  ⭐ 300 · 💀) - A universal package of scraper scripts for humans. <code><a href="http://bit.ly/34MBwT8">MIT</a></code>
- <b><a href="https://github.com/bomquote/transistor">Transistor</a></b> (🥉13 ·  ⭐ 210 · 💀) - Transistor, a Python web scraping framework for intelligent use.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code>
</details>
<br>

## Monitoring

<a href="#contents"><img align="right" width="15" height="15" src="https://git.io/JtehR" alt="Back to top"></a>

<details><summary><b><a href="https://github.com/getsentry/sentry">sentry</a></b> (🥇39 ·  ⭐ 32K) - Developer-first error tracking and performance monitoring. <code><a href="https://tldrlegal.com/search?q=SSPL-1.0">❗️SSPL-1.0</a></code></summary>

- [GitHub](https://github.com/getsentry/sentry) (👨‍💻 710 · 🔀 3.6K · 📥 45K · 📦 3 · 📋 5.9K - 11% open · ⏱️ 03.11.2022):

	```
	git clone https://github.com/getsentry/sentry
	```
- [PyPi](https://pypi.org/project/sentry) (📥 7.4K / month · 📦 380 · ⏱️ 15.06.2022):
	```
	pip install sentry
	```
- [Conda](https://anaconda.org/conda-forge/sentry-sdk) (📥 270K · ⏱️ 21.10.2022):
	```
	conda install -c conda-forge sentry-sdk
	```
</details>
<details><summary><b><a href="https://github.com/prometheus/client_python">Prometheus Client</a></b> (🥇32 ·  ⭐ 3K) - Python client for the Prometheus monitoring system. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code></summary>

- [GitHub](https://github.com/prometheus/client_python) (👨‍💻 120 · 🔀 690 · 📋 440 - 14% open · ⏱️ 13.10.2022):

	```
	git clone https://github.com/prometheus/client_python
	```
- [PyPi](https://pypi.org/project/prometheus-client) (📥 19M / month · 📦 540 · ⏱️ 08.04.2022):
	```
	pip install prometheus-client
	```
- [Conda](https://anaconda.org/conda-forge/prometheus_client) (📥 8.1M · ⏱️ 13.10.2022):
	```
	conda install -c conda-forge prometheus_client
	```
</details>
<details><summary><b><a href="https://github.com/open-telemetry/opentelemetry-python">opentelemetry-python</a></b> (🥈28 ·  ⭐ 1.1K) - OpenTelemetry Python API and SDK. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code></summary>

- [GitHub](https://github.com/open-telemetry/opentelemetry-python) (👨‍💻 170 · 🔀 380 · 📋 1.2K - 13% open · ⏱️ 02.11.2022):

	```
	git clone https://github.com/open-telemetry/opentelemetry-python
	```
- [PyPi](https://pypi.org/project/timing-asgi) (📥 6.3K / month · 📦 1 · ⏱️ 13.11.2020):
	```
	pip install timing-asgi
	```
- [Conda](https://anaconda.org/conda-forge/opentelemetry-api) (📥 100K · ⏱️ 09.08.2022):
	```
	conda install -c conda-forge opentelemetry-api
	```
</details>
<details><summary><b><a href="https://github.com/rycus86/prometheus_flask_exporter">prometheus-flask-exporter</a></b> (🥈26 ·  ⭐ 520) - Prometheus exporter for Flask applications. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/rycus86/prometheus_flask_exporter) (👨‍💻 23 · 🔀 130 · 📋 120 - 20% open · ⏱️ 02.08.2022):

	```
	git clone https://github.com/rycus86/prometheus_flask_exporter
	```
- [PyPi](https://pypi.org/project/prometheus-flask-exporter) (📥 13M / month · 📦 55 · ⏱️ 04.06.2022):
	```
	pip install prometheus-flask-exporter
	```
- [Conda](https://anaconda.org/conda-forge/prometheus_flask_exporter) (📥 700K · ⏱️ 02.08.2022):
	```
	conda install -c conda-forge prometheus_flask_exporter
	```
</details>
<details><summary><b><a href="https://github.com/allinurl/goaccess">GoAccess</a></b> (🥉24 ·  ⭐ 15K) - GoAccess is a real-time web log analyzer and interactive viewer that runs.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/allinurl/goaccess) (👨‍💻 150 · 🔀 1K · 📋 2K - 17% open · ⏱️ 01.11.2022):

	```
	git clone https://github.com/allinurl/goaccess
	```
</details>
<details><summary><b><a href="https://github.com/flask-dashboard/Flask-MonitoringDashboard">Flask-MonitoringDashboard</a></b> (🥉21 ·  ⭐ 650 · 💤) - Automatically monitor the evolving performance of.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/flask-dashboard/Flask-MonitoringDashboard) (👨‍💻 30 · 🔀 130 · 📋 180 - 28% open · ⏱️ 06.11.2021):

	```
	git clone https://github.com/flask-dashboard/Flask-MonitoringDashboard
	```
- [PyPi](https://pypi.org/project/flask-monitoringdashboard) (📥 7.5K / month · 📦 12 · ⏱️ 06.11.2021):
	```
	pip install flask-monitoringdashboard
	```
</details>
<details><summary><b><a href="https://github.com/tomwojcik/starlette-context">starlette context</a></b> (🥉20 ·  ⭐ 290) - Middleware for Starlette that allows you to store and.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://fastapi.tiangolo.com/img/favicon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/tomwojcik/starlette-context) (👨‍💻 5 · 🔀 17 · 📋 32 - 12% open · ⏱️ 22.06.2022):

	```
	git clone https://github.com/tomwojcik/starlette-context
	```
- [PyPi](https://pypi.org/project/starlette-context) (📥 140K / month · 📦 13 · ⏱️ 22.06.2022):
	```
	pip install starlette-context
	```
</details>
<details><summary><b><a href="https://github.com/perdy/starlette-prometheus">Starlette Prometheus</a></b> (🥉17 ·  ⭐ 220 · 💤) - Prometheus integration for Starlette. <code><a href="http://bit.ly/2M0xdwT">❗️GPL-3.0</a></code> <code><img src="https://fastapi.tiangolo.com/img/favicon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/perdy/starlette-prometheus) (👨‍💻 14 · 🔀 30 · 📥 9 · 📋 21 - 28% open · ⏱️ 10.01.2022):

	```
	git clone https://github.com/perdy/starlette-prometheus
	```
- [PyPi](https://pypi.org/project/starlette-prometheus) (📥 52K / month · 📦 5 · ⏱️ 10.01.2022):
	```
	pip install starlette-prometheus
	```
</details>
<details><summary>Show 4 hidden projects...</summary>

- <b><a href="https://github.com/opentracing/opentracing-python">opentracing-python</a></b> (🥈27 ·  ⭐ 760 · 💀) - OpenTracing API for Python. This library is.. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code>
- <b><a href="https://github.com/lebinh/ngxtop">ngxtop</a></b> (🥉23 ·  ⭐ 6.3K · 💀) - Real-time metrics for nginx server. <code><a href="http://bit.ly/34MBwT8">MIT</a></code>
- <b><a href="https://github.com/yoobool/flask-state">flask-state</a></b> (🥉14 ·  ⭐ 620 · 💀) - Display machine state using Python3 with Flask. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code>
- <b><a href="https://github.com/steinnes/timing-asgi">timing-asgi</a></b> (🥉5 ·  ⭐ 96) - ASGI middleware to record and emit timing metrics (to.. <code>❗Unlicensed</code>
</details>
<br>

## Web UI

<a href="#contents"><img align="right" width="15" height="15" src="https://git.io/JtehR" alt="Back to top"></a>

<details><summary><b><a href="https://github.com/streamlit/streamlit">Streamlit</a></b> (🥇41 ·  ⭐ 21K) - Streamlit The fastest way to build data apps in Python. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code></summary>

- [GitHub](https://github.com/streamlit/streamlit) (👨‍💻 160 · 🔀 1.9K · 📦 460 · 📋 2.8K - 19% open · ⏱️ 03.11.2022):

	```
	git clone https://github.com/streamlit/streamlit
	```
- [PyPi](https://pypi.org/project/streamlit) (📥 880K / month · 📦 420 · ⏱️ 27.07.2022):
	```
	pip install streamlit
	```
</details>
<details><summary><b><a href="https://github.com/h2oai/wave">wave</a></b> (🥈32 ·  ⭐ 3.2K) - Realtime Web Apps and Dashboards for Python and R. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code></summary>

- [GitHub](https://github.com/h2oai/wave) (👨‍💻 34 · 🔀 200 · 📥 1.3M · 📋 830 - 23% open · ⏱️ 03.11.2022):

	```
	git clone https://github.com/h2oai/wave
	```
- [PyPi](https://pypi.org/project/wave) (📥 100K / month · 📦 170 · ⏱️ 09.01.2011):
	```
	pip install wave
	```
</details>
<details><summary><b><a href="https://github.com/pywebio/PyWebIO">PyWebIO</a></b> (🥈29 ·  ⭐ 3.4K) - Write interactive web app in script way. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/pywebio/PyWebIO) (👨‍💻 14 · 🔀 300 · 📦 890 · 📋 180 - 23% open · ⏱️ 17.10.2022):

	```
	git clone https://github.com/pywebio/PyWebIO
	```
- [PyPi](https://pypi.org/project/pywebio) (📥 23K / month · 📦 7 · ⏱️ 22.05.2022):
	```
	pip install pywebio
	```
</details>
<details><summary><b><a href="https://github.com/wooey/Wooey">Wooey</a></b> (🥈26 ·  ⭐ 1.8K) - A Django app that creates automatic web UIs for Python scripts. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/wooey/Wooey) (👨‍💻 23 · 🔀 180 · 📦 40 · 📋 210 - 24% open · ⏱️ 05.10.2022):

	```
	git clone https://github.com/wooey/wooey
	```
- [PyPi](https://pypi.org/project/wooey) (📥 380 / month · 📦 1 · ⏱️ 16.04.2020):
	```
	pip install wooey
	```
</details>
<details><summary><b><a href="https://github.com/flaskbb/flaskbb">flaskbb</a></b> (🥉24 ·  ⭐ 2.3K) - A classic Forum Software in Python using Flask. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/flaskbb/flaskbb) (👨‍💻 64 · 🔀 560 · 📦 27 · 📋 340 - 10% open · ⏱️ 08.06.2022):

	```
	git clone https://github.com/flaskbb/flaskbb
	```
- [PyPi](https://pypi.org/project/FlaskBB) (📥 92 / month · 📦 8 · ⏱️ 15.07.2018):
	```
	pip install FlaskBB
	```
</details>
<details><summary><b><a href="https://github.com/idom-team/idom">idom</a></b> (🥉24 ·  ⭐ 670) - Create highly interactive web pages purely in Python. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/idom-team/idom) (👨‍💻 9 · 🔀 36 · 📦 6 · 📋 270 - 27% open · ⏱️ 02.11.2022):

	```
	git clone https://github.com/idom-team/idom
	```
- [PyPi](https://pypi.org/project/idom) (📥 2.1K / month · 📦 6 · ⏱️ 20.06.2022):
	```
	pip install idom
	```
</details>
<details><summary><b><a href="https://github.com/pyscript/pyscript">pyscript</a></b> (🥉23 ·  ⭐ 15K) - Home Page: https://pyscript.net Examples:.. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code></summary>

- [GitHub](https://github.com/pyscript/pyscript) (👨‍💻 92 · 🔀 1.1K · 📥 42 · 📋 550 - 38% open · ⏱️ 03.11.2022):

	```
	git clone https://github.com/pyscript/pyscript
	```
</details>
<details><summary><b><a href="https://github.com/rafalp/Misago">Misago</a></b> (🥉23 ·  ⭐ 2.2K) - Misago is fully featured modern forum application that is fast,.. <code><a href="http://bit.ly/2KucAZR">❗️GPL-2.0</a></code></summary>

- [GitHub](https://github.com/rafalp/Misago) (👨‍💻 36 · 🔀 480 · 📦 44 · 📋 1.1K - 5% open · ⏱️ 01.11.2022):

	```
	git clone https://github.com/rafalp/Misago
	```
</details>
<details><summary><b><a href="https://github.com/Kitware/trame">trame</a></b> (🥉18 ·  ⭐ 75) - Trame let you weave various components and technologies into a Web.. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code></summary>

- [GitHub](https://github.com/Kitware/trame) (👨‍💻 11 · 🔀 21 · 📥 14 · 📋 20 - 50% open · ⏱️ 26.10.2022):

	```
	git clone https://github.com/Kitware/trame
	```
- [PyPi](https://pypi.org/project/trame) (📥 2.1K / month · 📦 7 · ⏱️ 15.06.2022):
	```
	pip install trame
	```
</details>
<details><summary>Show 1 hidden projects...</summary>

- <b><a href="https://github.com/markfinger/python-react">python-react</a></b> (🥉24 ·  ⭐ 1.6K · 💀) - Server-side rendering of React components. <code><a href="http://bit.ly/34MBwT8">MIT</a></code>
</details>
<br>

## Admin UI

<a href="#contents"><img align="right" width="15" height="15" src="https://git.io/JtehR" alt="Back to top"></a>

<details><summary><b><a href="https://github.com/jazzband/django-debug-toolbar">django-debug-toolbar</a></b> (🥇37 ·  ⭐ 7.2K) - A configurable set of panels that display various.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/jazzband/django-debug-toolbar) (👨‍💻 260 · 🔀 980 · 📥 180 · 📦 57K · 📋 820 - 9% open · ⏱️ 03.11.2022):

	```
	git clone https://github.com/jazzband/django-debug-toolbar
	```
- [PyPi](https://pypi.org/project/django-debug-toolbar) (📥 1.6M / month · 📦 12K · ⏱️ 23.06.2022):
	```
	pip install django-debug-toolbar
	```
- [Conda](https://anaconda.org/conda-forge/django-debug-toolbar) (📥 150K · ⏱️ 26.09.2022):
	```
	conda install -c conda-forge django-debug-toolbar
	```
</details>
<details><summary><b><a href="https://github.com/flask-admin/flask-admin">flask-admin</a></b> (🥇37 ·  ⭐ 5.2K) - Simple and extensible administrative interface framework for.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/flask-admin/flask-admin) (👨‍💻 340 · 🔀 1.5K · 📦 17K · 📋 1.4K - 30% open · ⏱️ 12.09.2022):

	```
	git clone https://github.com/flask-admin/flask-admin
	```
- [PyPi](https://pypi.org/project/flask-admin) (📥 1.8M / month · 📦 2.4K · ⏱️ 30.01.2022):
	```
	pip install flask-admin
	```
- [Conda](https://anaconda.org/conda-forge/flask-admin) (📥 130K · ⏱️ 30.01.2022):
	```
	conda install -c conda-forge flask-admin
	```
</details>
<details><summary><b><a href="https://github.com/sehmaschine/django-grappelli">django-grappelli</a></b> (🥈32 ·  ⭐ 3.4K) - A jazzy skin for the Django Admin-Interface (official.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/sehmaschine/django-grappelli) (👨‍💻 82 · 🔀 640 · 📦 5.1K · 📋 710 - 3% open · ⏱️ 14.09.2022):

	```
	git clone https://github.com/sehmaschine/django-grappelli
	```
- [PyPi](https://pypi.org/project/django-grappelli) (📥 140K / month · 📦 1.7K · ⏱️ 18.02.2022):
	```
	pip install django-grappelli
	```
- [Conda](https://anaconda.org/conda-forge/django-grappelli) (📥 110K · ⏱️ 18.02.2022):
	```
	conda install -c conda-forge django-grappelli
	```
</details>
<details><summary><b><a href="https://github.com/fabiocaccamo/django-admin-interface">django-admin-interface</a></b> (🥈30 ·  ⭐ 1.2K) - djangos default admin interface with superpowers -.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/fabiocaccamo/django-admin-interface) (👨‍💻 26 · 🔀 130 · 📦 2.1K · 📋 140 - 6% open · ⏱️ 18.10.2022):

	```
	git clone https://github.com/fabiocaccamo/django-admin-interface
	```
- [PyPi](https://pypi.org/project/django-admin-interface) (📥 52K / month · 📦 42 · ⏱️ 14.05.2022):
	```
	pip install django-admin-interface
	```
</details>
<details><summary><b><a href="https://github.com/fastapi-admin/fastapi-admin">fastapi-admin</a></b> (🥉22 ·  ⭐ 1.5K) - A fast admin dashboard based on FastAPI and TortoiseORM.. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code> <code><img src="https://fastapi.tiangolo.com/img/favicon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/fastapi-admin/fastapi-admin) (👨‍💻 11 · 🔀 220 · 📋 95 - 31% open · ⏱️ 19.10.2022):

	```
	git clone https://github.com/fastapi-admin/fastapi-admin
	```
- [PyPi](https://pypi.org/project/fastapi-admin) (📥 2.5K / month · ⏱️ 31.08.2021):
	```
	pip install fastapi-admin
	```
</details>
<details><summary><b><a href="https://github.com/semente/django-smuggler">django-smuggler</a></b> (🥉22 ·  ⭐ 370 · 💤) - Django Smuggler is a pluggable application for Django.. <code><a href="http://bit.ly/37RvQcA">❗️LGPL-3.0</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/semente/django-smuggler) (👨‍💻 21 · 🔀 35 · 📦 150 · 📋 48 - 14% open · ⏱️ 03.02.2022):

	```
	git clone https://github.com/semente/django-smuggler
	```
- [PyPi](https://pypi.org/project/django-smuggler) (📥 8K / month · 📦 73 · ⏱️ 03.02.2022):
	```
	pip install django-smuggler
	```
</details>
<details><summary>Show 6 hidden projects...</summary>

- <b><a href="https://github.com/sshwsfc/xadmin">xadmin</a></b> (🥈29 ·  ⭐ 4.7K · 💀) - Drop-in replacement of Django admin comes with lots of goodies,.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code>
- <b><a href="https://github.com/darklow/django-suit">django-suit</a></b> (🥈29 ·  ⭐ 2.2K · 💀) - Modern theme for Django admin interface. <code><a href="https://tldrlegal.com/search?q=AFL-3.0">❗️AFL-3.0</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code>
- <b><a href="https://github.com/geex-arts/django-jet">django-jet</a></b> (🥉27 ·  ⭐ 3.3K · 💀) - Modern responsive template for the Django admin.. <code><a href="http://bit.ly/3pwmjO5">❗️AGPL-3.0</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code>
- <b><a href="https://github.com/django-admin-bootstrapped/django-admin-bootstrapped">django-admin-bootstrapped</a></b> (🥉26 ·  ⭐ 1.6K · 💀) - A Django admin theme using Twitter Bootstrap. It.. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code>
- <b><a href="https://github.com/jazzband/django-admin2">django-admin2</a></b> (🥉23 ·  ⭐ 1.2K · 💀) - Extendable, adaptable rewrite of django.contrib.admin. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code>
- <b><a href="https://github.com/schenkd/nginx-ui">nginx-ui</a></b> (🥉17 ·  ⭐ 4.3K · 💀) - Nginx UI allows you to access and modify the nginx configurations.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code>
</details>
<br>

## API Proxies & Gateways

<a href="#contents"><img align="right" width="15" height="15" src="https://git.io/JtehR" alt="Back to top"></a>

<details><summary><b><a href="https://github.com/Kong/kong">Kong</a></b> (🥇37 ·  ⭐ 34K) - The Cloud-Native API Gateway. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code></summary>

- [GitHub](https://github.com/Kong/kong) (👨‍💻 340 · 🔀 4.3K · 📥 350K · 📋 4K - 8% open · ⏱️ 03.11.2022):

	```
	git clone https://github.com/kong/kong
	```
- [Docker Hub](https://hub.docker.com/r/_/kong) (📥 300M · ⭐ 690 · ⏱️ 03.11.2022):
	```
	docker pull kong
	```
</details>
<details><summary><b><a href="https://github.com/TykTechnologies/tyk">tyk</a></b> (🥉27 ·  ⭐ 7.9K) - Tyk Open Source API Gateway written in Go, supporting REST, GraphQL, TCP.. <code><a href="http://bit.ly/3postzC">MPL-2.0</a></code></summary>

- [GitHub](https://github.com/TykTechnologies/tyk) (👨‍💻 100 · 🔀 930 · 📥 7K · 📋 2K - 19% open · ⏱️ 03.11.2022):

	```
	git clone https://github.com/TykTechnologies/tyk
	```
</details>
<br>

## Flask Utilities

<a href="#contents"><img align="right" width="15" height="15" src="https://git.io/JtehR" alt="Back to top"></a>

<details><summary><b><a href="https://github.com/pallets-eco/flask-sqlalchemy">flask-sqlalchemy</a></b> (🥇38 ·  ⭐ 3.9K) - Adds SQLAlchemy support to Flask. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/pallets-eco/flask-sqlalchemy) (👨‍💻 110 · 🔀 890 · 📥 400 · 📦 280K · ⏱️ 21.10.2022):

	```
	git clone https://github.com/pallets/flask-sqlalchemy
	```
- [PyPi](https://pypi.org/project/flask-sqlalchemy) (📥 4.6M / month · ⏱️ 14.10.2022):
	```
	pip install flask-sqlalchemy
	```
- [Conda](https://anaconda.org/conda-forge/flask-sqlalchemy) (📥 280K · ⏱️ 14.10.2022):
	```
	conda install -c conda-forge flask-sqlalchemy
	```
</details>
<details><summary><b><a href="https://github.com/pallets-eco/flask-caching">flask-caching</a></b> (🥇33 ·  ⭐ 750) - A caching extension for Flask. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/pallets-eco/flask-caching) (👨‍💻 110 · 🔀 170 · 📦 12K · 📋 210 - 17% open · ⏱️ 12.10.2022):

	```
	git clone https://github.com/pallets-eco/flask-caching
	```
- [PyPi](https://pypi.org/project/flask-caching) (📥 4.2M / month · 📦 750 · ⏱️ 26.06.2022):
	```
	pip install flask-caching
	```
- [Conda](https://anaconda.org/conda-forge/flask-caching) (📥 94K · ⏱️ 30.07.2022):
	```
	conda install -c conda-forge flask-caching
	```
</details>
<details><summary><b><a href="https://github.com/miguelgrinberg/Flask-Migrate">Flask-Migrate</a></b> (🥇32 ·  ⭐ 2.1K) - SQLAlchemy database migrations for Flask applications using.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/miguelgrinberg/Flask-Migrate) (👨‍💻 45 · 🔀 200 · 📋 390 - 2% open · ⏱️ 21.10.2022):

	```
	git clone https://github.com/miguelgrinberg/Flask-Migrate
	```
- [PyPi](https://pypi.org/project/flask-migrate) (📥 1M / month · 📦 9.5K · ⏱️ 01.08.2021):
	```
	pip install flask-migrate
	```
- [Conda](https://anaconda.org/conda-forge/flask-migrate) (📥 180K · ⏱️ 17.03.2022):
	```
	conda install -c conda-forge flask-migrate
	```
</details>
<details><summary><b><a href="https://github.com/corydolphin/flask-cors">flask-cors</a></b> (🥇31 ·  ⭐ 790) - Cross Origin Resource Sharing ( CORS ) support for Flask. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/corydolphin/flask-cors) (👨‍💻 40 · 🔀 120 · 📦 180K · 📋 140 - 28% open · ⏱️ 26.05.2022):

	```
	git clone https://github.com/corydolphin/flask-cors
	```
- [PyPi](https://pypi.org/project/flask-cors) (📥 5.3M / month · 📦 8K · ⏱️ 06.01.2021):
	```
	pip install flask-cors
	```
- [Conda](https://anaconda.org/conda-forge/flask-cors) (📥 700K · ⏱️ 30.05.2021):
	```
	conda install -c conda-forge flask-cors
	```
</details>
<details><summary><b><a href="https://github.com/MongoEngine/flask-mongoengine">flask-mongoengine</a></b> (🥈30 ·  ⭐ 810) - MongoEngine flask extension with WTF model forms.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/MongoEngine/flask-mongoengine) (👨‍💻 90 · 🔀 240 · 📋 290 - 19% open · ⏱️ 16.08.2022):

	```
	git clone https://github.com/MongoEngine/flask-mongoengine
	```
- [PyPi](https://pypi.org/project/flask-mongoengine) (📥 91K / month · 📦 1.4K · ⏱️ 21.11.2020):
	```
	pip install flask-mongoengine
	```
</details>
<details><summary><b><a href="https://github.com/python-babel/flask-babel">flask-babel</a></b> (🥈30 ·  ⭐ 390) - i18n and l10n support for Flask based on Babel and pytz. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/python-babel/flask-babel) (👨‍💻 33 · 🔀 150 · 📦 15K · 📋 110 - 16% open · ⏱️ 10.08.2022):

	```
	git clone https://github.com/python-babel/flask-babel
	```
- [PyPi](https://pypi.org/project/flask-babel) (📥 3.6M / month · 📦 2.6K · ⏱️ 27.08.2020):
	```
	pip install flask-babel
	```
- [Conda](https://anaconda.org/conda-forge/flask-babel) (📥 100K · ⏱️ 28.08.2020):
	```
	conda install -c conda-forge flask-babel
	```
</details>
<details><summary><b><a href="https://github.com/alisaifee/flask-limiter">flask-limiter</a></b> (🥈29 ·  ⭐ 900) - Rate Limiting extension for Flask. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/alisaifee/flask-limiter) (👨‍💻 40 · 🔀 110 · 📥 25 · 📦 4.1K · 📋 150 - 0% open · ⏱️ 03.11.2022):

	```
	git clone https://github.com/alisaifee/flask-limiter
	```
- [PyPi](https://pypi.org/project/flask-limiter) (📥 320K / month · 📦 380 · ⏱️ 24.08.2022):
	```
	pip install flask-limiter
	```
</details>
<details><summary><b><a href="https://github.com/flask-api/flask-api">flask-api</a></b> (🥈28 ·  ⭐ 1.3K) - Browsable web APIs for Flask. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/flask-api/flask-api) (👨‍💻 32 · 🔀 170 · 📦 5.3K · 📋 64 - 20% open · ⏱️ 18.07.2022):

	```
	git clone https://github.com/flask-api/flask-api
	```
- [PyPi](https://pypi.org/project/flask-api) (📥 120K / month · 📦 680 · ⏱️ 15.06.2021):
	```
	pip install flask-api
	```
</details>
<details><summary><b><a href="https://github.com/marshmallow-code/flask-marshmallow">flask-marshmallow</a></b> (🥈28 ·  ⭐ 760 · 💤) - Flask + marshmallow for beautiful APIs. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/marshmallow-code/flask-marshmallow) (👨‍💻 17 · 🔀 52 · 📦 20K · 📋 110 - 25% open · ⏱️ 30.01.2022):

	```
	git clone https://github.com/marshmallow-code/flask-marshmallow
	```
- [PyPi](https://pypi.org/project/flask-marshmallow) (📥 530K / month · 📦 800 · ⏱️ 28.09.2020):
	```
	pip install flask-marshmallow
	```
- [Conda](https://anaconda.org/conda-forge/flask-marshmallow) (📥 72K · ⏱️ 28.09.2020):
	```
	conda install -c conda-forge flask-marshmallow
	```
</details>
<details><summary><b><a href="https://github.com/maxcountryman/flask-bcrypt">flask-bcrypt</a></b> (🥈28 ·  ⭐ 310 · 💤) - Flask-Bcrypt is a Flask extension that provides bcrypt.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/maxcountryman/flask-bcrypt) (👨‍💻 25 · 🔀 61 · 📦 43K · 📋 45 - 8% open · ⏱️ 05.04.2022):

	```
	git clone https://github.com/maxcountryman/flask-bcrypt
	```
- [PyPi](https://pypi.org/project/flask-bcrypt) (📥 1M / month · 📦 3K · ⏱️ 05.04.2022):
	```
	pip install flask-bcrypt
	```
- [Conda](https://anaconda.org/conda-forge/flask-bcrypt) (📥 30K · ⏱️ 11.07.2022):
	```
	conda install -c conda-forge flask-bcrypt
	```
</details>
<details><summary><b><a href="https://github.com/jmcarp/flask-apispec">flask-apispec</a></b> (🥈27 ·  ⭐ 610) - Build and document REST APIs with Flask and apispec. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/jmcarp/flask-apispec) (👨‍💻 32 · 🔀 140 · 📦 1K · 📋 170 - 61% open · ⏱️ 11.08.2022):

	```
	git clone https://github.com/jmcarp/flask-apispec
	```
- [PyPi](https://pypi.org/project/flask-apispec) (📥 170K / month · 📦 43 · ⏱️ 30.03.2022):
	```
	pip install flask-apispec
	```
- [Conda](https://anaconda.org/conda-forge/flask-apispec) (📥 110K · ⏱️ 12.08.2022):
	```
	conda install -c conda-forge flask-apispec
	```
</details>
<details><summary><b><a href="https://github.com/maxcountryman/flask-seasurf">flask-seasurf</a></b> (🥈26 ·  ⭐ 180) - SeaSurf is a Flask extension for preventing cross-site.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/maxcountryman/flask-seasurf) (👨‍💻 33 · 🔀 47 · 📦 2.1K · 📋 49 - 12% open · ⏱️ 03.09.2022):

	```
	git clone https://github.com/maxcountryman/flask-seasurf
	```
- [PyPi](https://pypi.org/project/flask-seasurf) (📥 95K / month · 📦 260 · ⏱️ 05.04.2022):
	```
	pip install flask-seasurf
	```
- [Conda](https://anaconda.org/conda-forge/flask-seasurf) (📥 83K · ⏱️ 05.04.2022):
	```
	conda install -c conda-forge flask-seasurf
	```
</details>
<details><summary><b><a href="https://github.com/miguelgrinberg/Flask-Moment">Flask-Moment</a></b> (🥉25 ·  ⭐ 360) - Formatting of dates and times in Flask templates using.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/miguelgrinberg/Flask-Moment) (👨‍💻 21 · 🔀 51 · 📋 47 - 2% open · ⏱️ 05.10.2022):

	```
	git clone https://github.com/miguelgrinberg/Flask-Moment
	```
- [PyPi](https://pypi.org/project/flask-moment) (📥 26K / month · 📦 2.3K · ⏱️ 16.07.2021):
	```
	pip install flask-moment
	```
- [Conda](https://anaconda.org/conda-forge/flask-moment) (📥 38K · ⏱️ 05.10.2022):
	```
	conda install -c conda-forge flask-moment
	```
</details>
<details><summary><b><a href="https://github.com/johnwheeler/flask-ask">flask-ask</a></b> (🥉24 ·  ⭐ 1.9K · 💤) - Alexa Skills Kit for Python. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/johnwheeler/flask-ask) (👨‍💻 41 · 🔀 370 · 📦 730 · ⏱️ 31.03.2022):

	```
	git clone https://github.com/johnwheeler/flask-ask
	```
- [PyPi](https://pypi.org/project/flask-ask) (📥 500 / month · 📦 130 · ⏱️ 28.02.2018):
	```
	pip install flask-ask
	```
</details>
<details><summary><b><a href="https://github.com/cenobites/flask-jsonrpc">flask-jsonrpc</a></b> (🥉24 ·  ⭐ 270) - Basic JSON-RPC implementation for your Flask-powered sites. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/cenobites/flask-jsonrpc) (👨‍💻 16 · 🔀 62 · 📦 200 · ⏱️ 19.10.2022):

	```
	git clone https://github.com/cenobites/flask-jsonrpc
	```
- [PyPi](https://pypi.org/project/rpc) (📥 400 / month · 📦 6 · ⏱️ 28.04.2012):
	```
	pip install rpc
	```
</details>
<details><summary><b><a href="https://github.com/lixxu/flask-paginate">flask-paginate</a></b> (🥉24 ·  ⭐ 260) - Pagination support for flask. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/lixxu/flask-paginate) (👨‍💻 27 · 🔀 79 · 📥 39 · 📦 2.4K · 📋 69 - 10% open · ⏱️ 16.09.2022):

	```
	git clone https://github.com/lixxu/flask-paginate
	```
- [PyPi](https://pypi.org/project/flask-paginate) (📥 30K / month · 📦 46 · ⏱️ 09.01.2022):
	```
	pip install flask-paginate
	```
- [Conda](https://anaconda.org/conda-forge/flask-paginate) (📥 13K · ⏱️ 12.01.2022):
	```
	conda install -c conda-forge flask-paginate
	```
</details>
<details><summary><b><a href="https://github.com/alecthomas/flask_injector">flask_injector</a></b> (🥉23 ·  ⭐ 240) - Adds Injector support to Flask. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/alecthomas/flask_injector) (👨‍💻 12 · 🔀 35 · 📦 700 · 📋 48 - 22% open · ⏱️ 15.06.2022):

	```
	git clone https://github.com/alecthomas/flask_injector
	```
- [PyPi](https://pypi.org/project/flask_injector) (📥 50K / month · 📦 65 · ⏱️ 15.06.2022):
	```
	pip install flask_injector
	```
- [Conda](https://anaconda.org/conda-forge/flask-injector) (📥 2.9K · ⏱️ 16.06.2022):
	```
	conda install -c conda-forge flask-injector
	```
</details>
<details><summary><b><a href="https://github.com/bauerji/flask-pydantic">flask_pydantic</a></b> (🥉23 ·  ⭐ 240 · 📉) - flask extension for integration with the awesome.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/bauerji/flask-pydantic) (👨‍💻 11 · 🔀 30 · 📦 220 · 📋 33 - 36% open · ⏱️ 25.09.2022):

	```
	git clone https://github.com/bauerji/flask_pydantic
	```
- [PyPi](https://pypi.org/project/flask_pydantic) (📥 55K / month · 📦 2 · ⏱️ 28.10.2021):
	```
	pip install flask_pydantic
	```
</details>
<details><summary><b><a href="https://github.com/plangrid/flask-rebar">flask-rebar</a></b> (🥉23 ·  ⭐ 220) - Flask-Rebar combines flask, marshmallow, and swagger for.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code> <code><img src="https://www.openapis.org/wp-content/uploads/sites/3/2016/11/favicon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/plangrid/flask-rebar) (👨‍💻 36 · 🔀 33 · 📦 37 · 📋 100 - 45% open · ⏱️ 01.11.2022):

	```
	git clone https://github.com/plangrid/flask-rebar
	```
- [PyPi](https://pypi.org/project/flask-rebar) (📥 3.4K / month · 📦 4 · ⏱️ 03.06.2022):
	```
	pip install flask-rebar
	```
</details>
<details><summary><b><a href="https://github.com/thomaxxl/safrs">safrs</a></b> (🥉22 ·  ⭐ 360) - SqlAlchemy Flask-Restful Swagger Json:API OpenAPI. <code><a href="http://bit.ly/2M0xdwT">❗️GPL-3.0</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code> <code><img src="https://www.openapis.org/wp-content/uploads/sites/3/2016/11/favicon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/thomaxxl/safrs) (👨‍💻 15 · 🔀 66 · 📦 63 · 📋 77 - 2% open · ⏱️ 01.11.2022):

	```
	git clone https://github.com/thomaxxl/safrs
	```
- [PyPi](https://pypi.org/project/safrs) (📥 1K / month · 📦 1 · ⏱️ 29.12.2021):
	```
	pip install safrs
	```
</details>
<details><summary><b><a href="https://github.com/cookiecutter-flask/cookiecutter-flask">cookiecutter-flask</a></b> (🥉21 ·  ⭐ 4.2K) - A flask template with Bootstrap, asset.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/cookiecutter-flask/cookiecutter-flask) (👨‍💻 70 · 🔀 730 · 📋 180 - 1% open · ⏱️ 01.11.2022):

	```
	git clone https://github.com/cookiecutter-flask/cookiecutter-flask
	```
</details>
<details><summary><b><a href="https://github.com/christabor/flask_jsondash">flask_jsondash</a></b> (🥉17 ·  ⭐ 3.3K) - Build complex dashboards without any front-end code. Use.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/christabor/flask_jsondash) (👨‍💻 7 · 🔀 290 · 📋 160 - 30% open · ⏱️ 08.07.2022):

	```
	git clone https://github.com/christabor/flask_jsondash
	```
- [PyPi](https://pypi.org/project/flask_jsondash) (📥 15 / month · ⏱️ 13.06.2017):
	```
	pip install flask_jsondash
	```
</details>
<details><summary><b><a href="https://github.com/joegasewicz/flask-file-upload">flask-file-upload</a></b> (🥉17 ·  ⭐ 140 · 💤) - Easy file uploads for Flask. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/joegasewicz/flask-file-upload) (👨‍💻 6 · 🔀 13 · 📦 59 · 📋 73 - 17% open · ⏱️ 07.12.2021):

	```
	git clone https://github.com/joegasewicz/flask-file-upload
	```
- [PyPi](https://pypi.org/project/flask-file-upload) (📥 210 / month · ⏱️ 07.12.2021):
	```
	pip install flask-file-upload
	```
</details>
<details><summary><b><a href="https://github.com/numberly/flask2postman">flask2postman</a></b> (🥉14 ·  ⭐ 140) - Generate a Postman collection from your Flask application. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/numberly/flask2postman) (👨‍💻 5 · 🔀 17 · 📦 11 · 📋 7 - 71% open · ⏱️ 15.09.2022):

	```
	git clone https://github.com/numberly/flask2postman
	```
- [PyPi](https://pypi.org/project/flask2postman) (📥 1.3K / month · 📦 1 · ⏱️ 16.01.2020):
	```
	pip install flask2postman
	```
</details>
<details><summary>Show 12 hidden projects...</summary>

- <b><a href="https://github.com/mattupstate/flask-security">flask-security</a></b> (🥈30 ·  ⭐ 1.6K · 💀) - Quick and simple security for Flask applications. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code>
- <b><a href="https://github.com/fengsp/flask-session">flask-session</a></b> (🥈29 ·  ⭐ 400 · 💀) - Server side session extension for Flask. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code>
- <b><a href="https://github.com/miracle2k/flask-assets">flask-assets</a></b> (🥈26 ·  ⭐ 430 · 💀) - Flask webassets integration. <code><a href="http://bit.ly/3rqEWVr">BSD-2</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code>
- <b><a href="https://github.com/Frozen-Flask/Frozen-Flask">Frozen-Flask</a></b> (🥉25 ·  ⭐ 730 · 💀) - Freezes a Flask application into a set of static files. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code>
- <b><a href="https://github.com/esbullington/flask-bootstrap">flask-bootstrap</a></b> (🥉24 ·  ⭐ 1.5K · 💀) - A Flask app template with integrated SQLAlchemy,.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code>
- <b><a href="https://github.com/pyexcel-webwares/Flask-Excel">Flask-Excel</a></b> (🥉23 ·  ⭐ 240 · 💀) - A flask extension using pyexcel to read, manipulate and write.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code>
- <b><a href="https://github.com/muatik/flask-profiler">flask-profiler</a></b> (🥉22 ·  ⭐ 710 · 💀) - a flask profiler which watches endpoint calls and tries.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code>
- <b><a href="https://github.com/e-dard/flask-s3">flask-s3</a></b> (🥉22 ·  ⭐ 190 · 💀) - Seamlessly serve your static assets of your Flask app from Amazon.. <code><a href="https://tldrlegal.com/search?q=WTFPL">❗️WTFPL</a></code>
- <b><a href="https://github.com/GoogleCloudPlatform/flask-talisman">flask-talisman</a></b> (🥉21 ·  ⭐ 840 · 💀) - HTTP security headers for Flask. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code>
- <b><a href="https://github.com/opentracing-contrib/python-flask">Flask-Opentracing</a></b> (🥉20 ·  ⭐ 130 · 💀) - OpenTracing instrumentation for the Flask.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code>
- <b><a href="https://github.com/gstaff/flask-ngrok">flask-ngrok</a></b> (🥉20 ·  ⭐ 120 · 💀) - A simple way to demo Flask apps from your machine. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code>
- <b><a href="https://github.com/honmaple/flask-msearch">flask-msearch</a></b> (🥉19 ·  ⭐ 200 · 💀) - Full text search for flask. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code>
</details>
<br>

## FastAPI Utilities

<a href="#contents"><img align="right" width="15" height="15" src="https://git.io/JtehR" alt="Back to top"></a>

<details><summary><b><a href="https://github.com/aminalaee/sqladmin">sqladmin</a></b> (🥇23 ·  ⭐ 620) - SQLAlchemy Admin for FastAPI and Starlette. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://fastapi.tiangolo.com/img/favicon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/aminalaee/sqladmin) (👨‍💻 21 · 🔀 78 · 📋 91 - 18% open · ⏱️ 03.11.2022):

	```
	git clone https://github.com/aminalaee/sqladmin
	```
- [PyPi](https://pypi.org/project/sqladmin) (📥 12K / month · ⏱️ 23.06.2022):
	```
	pip install sqladmin
	```
</details>
<details><summary><b><a href="https://github.com/fastapi-admin/fastapi-admin">fastapi-admin/fastapi-admin</a></b> (🥇22 ·  ⭐ 1.5K) - A fast admin dashboard based on FastAPI and.. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code> <code><img src="https://fastapi.tiangolo.com/img/favicon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/fastapi-admin/fastapi-admin) (👨‍💻 11 · 🔀 220 · 📋 95 - 31% open · ⏱️ 19.10.2022):

	```
	git clone https://github.com/fastapi-admin/fastapi-admin
	```
- [PyPi](https://pypi.org/project/fastapi-admin) (📥 2.5K / month · ⏱️ 31.08.2021):
	```
	pip install fastapi-admin
	```
</details>
<details><summary><b><a href="https://github.com/awtkns/fastapi-crudrouter">fastapi-crudrouter</a></b> (🥈21 ·  ⭐ 900) - A dynamic FastAPI router that automatically creates.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://fastapi.tiangolo.com/img/favicon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/awtkns/fastapi-crudrouter) (👨‍💻 20 · 🔀 110 · 📥 5 · 📦 120 · 📋 93 - 58% open · ⏱️ 16.10.2022):

	```
	git clone https://github.com/awtkns/fastapi-crudrouter
	```
- [PyPi](https://pypi.org/project/fastapi-crudrouter) (📥 12K / month · 📦 4 · ⏱️ 27.01.2022):
	```
	pip install fastapi-crudrouter
	```
</details>
<details><summary><b><a href="https://github.com/laurentS/slowapi">slowapi</a></b> (🥈21 ·  ⭐ 530) - A rate limiter for Starlette and FastAPI. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://fastapi.tiangolo.com/img/favicon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/laurentS/slowapi) (👨‍💻 17 · 🔀 48 · 📋 66 - 37% open · ⏱️ 13.10.2022):

	```
	git clone https://github.com/laurents/slowapi
	```
- [PyPi](https://pypi.org/project/slowapi) (📥 48K / month · 📦 3 · ⏱️ 24.08.2022):
	```
	pip install slowapi
	```
</details>
<details><summary><b><a href="https://github.com/fastapi-mvc/fastapi-mvc">fastapi-mvc</a></b> (🥈21 ·  ⭐ 200) - Developer productivity tool for making high-quality FastAPI.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://fastapi.tiangolo.com/img/favicon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/fastapi-mvc/fastapi-mvc) (👨‍💻 6 · 🔀 28 · 📥 75 · 📋 110 - 24% open · ⏱️ 03.11.2022):

	```
	git clone https://github.com/rszamszur/fastapi-mvc
	```
- [PyPi](https://pypi.org/project/fastapi-mvc) (📥 570 / month · ⏱️ 13.06.2022):
	```
	pip install fastapi-mvc
	```
</details>
<details><summary><b><a href="https://github.com/koxudaxi/fastapi-code-generator">fastapi-code-generator</a></b> (🥈20 ·  ⭐ 590) - This code generator creates FastAPI app from an.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://fastapi.tiangolo.com/img/favicon.png" style="display:inline;" width="13" height="13"></code> <code><img src="https://www.openapis.org/wp-content/uploads/sites/3/2016/11/favicon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/koxudaxi/fastapi-code-generator) (👨‍💻 15 · 🔀 60 · 📋 55 - 58% open · ⏱️ 24.10.2022):

	```
	git clone https://github.com/koxudaxi/fastapi-code-generator
	```
- [PyPi](https://pypi.org/project/fastapi-code-generator) (📥 1.8K / month · ⏱️ 13.05.2022):
	```
	pip install fastapi-code-generator
	```
</details>
<details><summary><b><a href="https://github.com/mfreeborn/fastapi-sqlalchemy">fastapi-sqlalchemy</a></b> (🥈20 ·  ⭐ 450) - Adds simple SQLAlchemy support to FastAPI. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://fastapi.tiangolo.com/img/favicon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/mfreeborn/fastapi-sqlalchemy) (👨‍💻 5 · 🔀 30 · 📦 770 · 📋 19 - 52% open · ⏱️ 25.09.2022):

	```
	git clone https://github.com/mfreeborn/fastapi-sqlalchemy
	```
- [PyPi](https://pypi.org/project/fastapi-sqlalchemy) (📥 44K / month · 📦 1 · ⏱️ 25.09.2020):
	```
	pip install fastapi-sqlalchemy
	```
</details>
<details><summary><b><a href="https://github.com/stephenhillier/starlette_exporter">starlette_exporter</a></b> (🥉19 ·  ⭐ 210) - Prometheus exporter for Starlette and FastAPI. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code> <code><img src="https://fastapi.tiangolo.com/img/favicon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/stephenhillier/starlette_exporter) (👨‍💻 14 · 🔀 20 · 📋 32 - 15% open · ⏱️ 27.08.2022):

	```
	git clone https://github.com/stephenhillier/starlette_exporter
	```
- [PyPi](https://pypi.org/project/starlette_exporter) (📥 320K / month · 📦 4 · ⏱️ 23.05.2022):
	```
	pip install starlette_exporter
	```
</details>
<details><summary><b><a href="https://github.com/madkote/fastapi-plugins">fastapi-plugins</a></b> (🥉18 ·  ⭐ 230) - FastAPI framework plugins. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://fastapi.tiangolo.com/img/favicon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/madkote/fastapi-plugins) (👨‍💻 3 · 🔀 16 · 📦 64 · 📋 15 - 26% open · ⏱️ 19.09.2022):

	```
	git clone https://github.com/madkote/fastapi-plugins
	```
- [PyPi](https://pypi.org/project/fastapi-plugins) (📥 5.3K / month · 📦 1 · ⏱️ 07.07.2022):
	```
	pip install fastapi-plugins
	```
</details>
<details><summary><b><a href="https://github.com/pyropy/fastapi-socketio">fastapi-socketio</a></b> (🥉18 ·  ⭐ 200) - Easily integrate socket.io with your FastAPI app. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code> <code><img src="https://fastapi.tiangolo.com/img/favicon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/pyropy/fastapi-socketio) (👨‍💻 5 · 🔀 17 · 📦 130 · 📋 22 - 40% open · ⏱️ 16.06.2022):

	```
	git clone https://github.com/pyropy/fastapi-socketio
	```
- [PyPi](https://pypi.org/project/fastapi-socketio) (📥 3.3K / month · 📦 1 · ⏱️ 06.12.2021):
	```
	pip install fastapi-socketio
	```
</details>
<details><summary><b><a href="https://github.com/Buuntu/fastapi-react">fastapi-react</a></b> (🥉17 ·  ⭐ 1.4K · 💤) - Cookiecutter Template for FastAPI + React Projects... <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://fastapi.tiangolo.com/img/favicon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/Buuntu/fastapi-react) (👨‍💻 13 · 🔀 220 · 📋 60 - 40% open · ⏱️ 18.02.2022):

	```
	git clone https://github.com/Buuntu/fastapi-react
	```
</details>
<details><summary><b><a href="https://github.com/yezz123/fastapi-lazy">fastapi-lazy</a></b> (🥉10 ·  ⭐ 92 · 💤) - Lazy package to start your project using FastAPI. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://fastapi.tiangolo.com/img/favicon.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/yezz123/fastapi-lazy) (👨‍💻 2 · 🔀 11 · 📋 5 - 80% open · ⏱️ 29.12.2021):

	```
	git clone https://github.com/yezz123/fastapi-lazy
	```
- [PyPi](https://pypi.org/project/fastapi-lazy) (📥 48 / month · ⏱️ 21.11.2021):
	```
	pip install fastapi-lazy
	```
</details>
<details><summary>Show 5 hidden projects...</summary>

- <b><a href="https://github.com/dmontagu/fastapi-utils">fastapi-utils</a></b> (🥉19 ·  ⭐ 1.2K · 💀) - Reusable utilities for FastAPI. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://fastapi.tiangolo.com/img/favicon.png" style="display:inline;" width="13" height="13"></code>
- <b><a href="https://github.com/identixone/fastapi_contrib">fastapi_contrib</a></b> (🥉17 ·  ⭐ 530 · 💀) - Opinionated set of utilities on top of FastAPI. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://fastapi.tiangolo.com/img/favicon.png" style="display:inline;" width="13" height="13"></code>
- <b><a href="https://github.com/DeanWay/fastapi-versioning">fastapi-versioning</a></b> (🥉16 ·  ⭐ 440 · 💀) - api versioning for fastapi web applications. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://fastapi.tiangolo.com/img/favicon.png" style="display:inline;" width="13" height="13"></code>
- <b><a href="https://github.com/comeuplater/fastapi_cache">fastapi_cache</a></b> (🥉13 ·  ⭐ 190 · 💀) - FastAPI simple cache. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://fastapi.tiangolo.com/img/favicon.png" style="display:inline;" width="13" height="13"></code>
- <b><a href="https://github.com/dmontagu/fastapi_client">fastapi_client</a></b> (🥉11 ·  ⭐ 260 · 💀) - FastAPI client generator. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code> <code><img src="https://fastapi.tiangolo.com/img/favicon.png" style="display:inline;" width="13" height="13"></code>
</details>
<br>

## Pyramid Utilities

<a href="#contents"><img align="right" width="15" height="15" src="https://git.io/JtehR" alt="Back to top"></a>

<details><summary>Show 3 hidden projects...</summary>

- <b><a href="https://github.com/Pylons/pyramid_jinja2">pyramid_jinja2</a></b> (🥇21 ·  ⭐ 73) - Jinja2 templating system bindings for the Pyramid web.. <code>❗Unlicensed</code> <code><img src="https://trypyramid.com/img/pyramid-16x16.png" style="display:inline;" width="13" height="13"></code>
- <b><a href="https://github.com/sontek/pyramid_celery">pyramid_celery</a></b> (🥉18 ·  ⭐ 100 · 💀) - Pyramid configuration with celery integration. Allows.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://trypyramid.com/img/pyramid-16x16.png" style="display:inline;" width="13" height="13"></code>
- <b><a href="https://github.com/mmerickel/pyramid_services">pyramid_services</a></b> (🥉15 ·  ⭐ 78 · 💀) - A service layer for pyramid. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://trypyramid.com/img/pyramid-16x16.png" style="display:inline;" width="13" height="13"></code>
</details>
<br>

## Django Utilities

<a href="#contents"><img align="right" width="15" height="15" src="https://git.io/JtehR" alt="Back to top"></a>

<details><summary><b><a href="https://github.com/django-extensions/django-extensions">django-extensions</a></b> (🥇39 ·  ⭐ 5.9K) - This is a repository for collecting global custom.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/django-extensions/django-extensions) (👨‍💻 570 · 🔀 1.1K · 📦 110K · 📋 850 - 16% open · ⏱️ 09.09.2022):

	```
	git clone https://github.com/django-extensions/django-extensions
	```
- [PyPi](https://pypi.org/project/django-extensions) (📥 2.1M / month · 📦 12K · ⏱️ 07.11.2021):
	```
	pip install django-extensions
	```
- [Conda](https://anaconda.org/conda-forge/django-extensions) (📥 350K · ⏱️ 09.09.2022):
	```
	conda install -c conda-forge django-extensions
	```
</details>
<details><summary><b><a href="https://github.com/django/channels">channels</a></b> (🥇39 ·  ⭐ 5.4K) - Developer-friendly asynchrony for Django. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/django/channels) (👨‍💻 250 · 🔀 740 · 📦 20K · 📋 1.2K - 6% open · ⏱️ 28.10.2022):

	```
	git clone https://github.com/django/channels
	```
- [PyPi](https://pypi.org/project/channels) (📥 530K / month · 📦 1.3K · ⏱️ 11.07.2021):
	```
	pip install channels
	```
- [Conda](https://anaconda.org/conda-forge/channels) (📥 110K · ⏱️ 15.10.2022):
	```
	conda install -c conda-forge channels
	```
</details>
<details><summary><b><a href="https://github.com/adamchainz/django-cors-headers">django-cors-headers</a></b> (🥇36 ·  ⭐ 4.8K) - Django app for handling the server headers required.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/adamchainz/django-cors-headers) (👨‍💻 63 · 🔀 500 · 📦 130K · 📋 250 - 4% open · ⏱️ 03.11.2022):

	```
	git clone https://github.com/adamchainz/django-cors-headers
	```
- [PyPi](https://pypi.org/project/django-cors-headers) (📥 3M / month · 📦 6.7K · ⏱️ 05.06.2022):
	```
	pip install django-cors-headers
	```
- [Conda](https://anaconda.org/conda-forge/django-cors-headers) (📥 53K · ⏱️ 06.06.2022):
	```
	conda install -c conda-forge django-cors-headers
	```
</details>
<details><summary><b><a href="https://github.com/django-import-export/django-import-export">django-import-export</a></b> (🥇36 ·  ⭐ 2.5K) - Django application and library for importing and.. <code><a href="http://bit.ly/3rqEWVr">BSD-2</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/django-import-export/django-import-export) (👨‍💻 190 · 🔀 720 · 📦 15K · 📋 880 - 12% open · ⏱️ 27.10.2022):

	```
	git clone https://github.com/django-import-export/django-import-export
	```
- [PyPi](https://pypi.org/project/django-import-export) (📥 590K / month · 📦 1K · ⏱️ 17.05.2022):
	```
	pip install django-import-export
	```
- [Conda](https://anaconda.org/conda-forge/django-import-export) (📥 67K · ⏱️ 19.10.2022):
	```
	conda install -c conda-forge django-import-export
	```
</details>
<details><summary><b><a href="https://github.com/jazzband/django-simple-history">django-simple-history</a></b> (🥇36 ·  ⭐ 1.7K) - Store model history and view/revert changes from.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/jazzband/django-simple-history) (👨‍💻 170 · 🔀 410 · 📦 3.2K · 📋 500 - 22% open · ⏱️ 28.10.2022):

	```
	git clone https://github.com/jazzband/django-simple-history
	```
- [PyPi](https://pypi.org/project/django-simple-history) (📥 630K / month · 📦 450 · ⏱️ 11.05.2022):
	```
	pip install django-simple-history
	```
</details>
<details><summary><b><a href="https://github.com/django-oscar/django-oscar">django-oscar</a></b> (🥇35 ·  ⭐ 5.5K) - Domain-driven e-commerce for Django. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/django-oscar/django-oscar) (👨‍💻 330 · 🔀 2K · 📦 910 · 📋 1.5K - 11% open · ⏱️ 01.11.2022):

	```
	git clone https://github.com/django-oscar/django-oscar
	```
- [PyPi](https://pypi.org/project/django-oscar) (📥 18K / month · 📦 270 · ⏱️ 24.06.2022):
	```
	pip install django-oscar
	```
</details>
<details><summary><b><a href="https://github.com/carltongibson/django-filter">django-filter</a></b> (🥇35 ·  ⭐ 3.9K) - A generic system for filtering Django QuerySets based on.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/carltongibson/django-filter) (👨‍💻 180 · 🔀 700 · 📦 99K · 📋 790 - 9% open · ⏱️ 04.09.2022):

	```
	git clone https://github.com/carltongibson/django-filter
	```
- [PyPi](https://pypi.org/project/django-filter) (📥 2.7M / month · 📦 8.7K · ⏱️ 17.06.2022):
	```
	pip install django-filter
	```
- [Conda](https://anaconda.org/conda-forge/django-filter) (📥 86K · ⏱️ 17.06.2022):
	```
	conda install -c conda-forge django-filter
	```
</details>
<details><summary><b><a href="https://github.com/etianen/django-reversion">django-reversion</a></b> (🥇35 ·  ⭐ 2.8K) - django-reversion is an extension to the Django web.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/etianen/django-reversion) (👨‍💻 180 · 🔀 470 · 📦 6.5K · 📋 630 - 2% open · ⏱️ 29.10.2022):

	```
	git clone https://github.com/etianen/django-reversion
	```
- [PyPi](https://pypi.org/project/django-reversion) (📥 240K / month · 📦 2.1K · ⏱️ 18.06.2022):
	```
	pip install django-reversion
	```
</details>
<details><summary><b><a href="https://github.com/joke2k/django-environ">django-environ</a></b> (🥇35 ·  ⭐ 2.6K) - Django-environ allows you to utilize 12factor inspired.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/joke2k/django-environ) (👨‍💻 77 · 🔀 280 · 📥 7 · 📦 100K · 📋 220 - 28% open · ⏱️ 15.06.2022):

	```
	git clone https://github.com/joke2k/django-environ
	```
- [PyPi](https://pypi.org/project/django-environ) (📥 1.1M / month · 📦 3.5K · ⏱️ 15.06.2022):
	```
	pip install django-environ
	```
- [Conda](https://anaconda.org/conda-forge/django-environ) (📥 57K · ⏱️ 09.07.2018):
	```
	conda install -c conda-forge django-environ
	```
</details>
<details><summary><b><a href="https://github.com/jschneier/django-storages">django-storages</a></b> (🥇35 ·  ⭐ 2.3K) - Django-storages is a project to provide a variety of.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/jschneier/django-storages) (👨‍💻 230 · 🔀 780 · 📋 630 - 30% open · ⏱️ 03.11.2022):

	```
	git clone https://github.com/jschneier/django-storages
	```
- [PyPi](https://pypi.org/project/django-storages) (📥 2M / month · 📦 4.9K · ⏱️ 30.10.2021):
	```
	pip install django-storages
	```
- [Conda](https://anaconda.org/conda-forge/django-storages) (📥 41K · ⏱️ 06.08.2022):
	```
	conda install -c conda-forge django-storages
	```
</details>
<details><summary><b><a href="https://github.com/django-haystack/django-haystack">django-haystack</a></b> (🥈34 ·  ⭐ 3.3K) - Modular search for Django. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/django-haystack/django-haystack) (👨‍💻 200 · 🔀 1.3K · 📦 8.3K · 📋 1.3K - 43% open · ⏱️ 27.07.2022):

	```
	git clone https://github.com/django-haystack/django-haystack
	```
- [PyPi](https://pypi.org/project/django-haystack) (📥 110K / month · 📦 2.8K · ⏱️ 03.05.2022):
	```
	pip install django-haystack
	```
- [Conda](https://anaconda.org/conda-forge/django-haystack) (📥 5K · ⏱️ 31.05.2018):
	```
	conda install -c conda-forge django-haystack
	```
</details>
<details><summary><b><a href="https://github.com/django-mptt/django-mptt">django-mptt</a></b> (🥈34 ·  ⭐ 2.7K) - Utilities for implementing a modified pre-order traversal tree.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/django-mptt/django-mptt) (👨‍💻 150 · 🔀 450 · 📋 530 - 22% open · ⏱️ 27.09.2022):

	```
	git clone https://github.com/django-mptt/django-mptt
	```
- [PyPi](https://pypi.org/project/django-mptt) (📥 370K / month · 📦 3.3K · ⏱️ 27.09.2021):
	```
	pip install django-mptt
	```
- [Conda](https://anaconda.org/anaconda/django-mptt):
	```
	conda install -c anaconda django-mptt
	```
</details>
<details><summary><b><a href="https://github.com/jazzband/django-model-utils">django-model-utils</a></b> (🥈34 ·  ⭐ 2.3K) - Django model mixins and utilities. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/jazzband/django-model-utils) (👨‍💻 120 · 🔀 340 · 📦 19K · 📋 280 - 42% open · ⏱️ 19.10.2022):

	```
	git clone https://github.com/jazzband/django-model-utils
	```
- [PyPi](https://pypi.org/project/django-model-utils) (📥 790K / month · 📦 4.8K · ⏱️ 13.10.2021):
	```
	pip install django-model-utils
	```
</details>
<details><summary><b><a href="https://github.com/zostera/django-bootstrap3">django-bootstrap3</a></b> (🥈34 ·  ⭐ 2.3K) - Bootstrap 3 integration with Django. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/zostera/django-bootstrap3) (👨‍💻 98 · 🔀 690 · 📦 18K · 📋 290 - 2% open · ⏱️ 03.11.2022):

	```
	git clone https://github.com/zostera/django-bootstrap3
	```
- [PyPi](https://pypi.org/project/django-bootstrap3) (📥 97K / month · 📦 4K · ⏱️ 27.12.2021):
	```
	pip install django-bootstrap3
	```
- [Conda](https://anaconda.org/conda-forge/django-bootstrap3) (📥 24K · ⏱️ 04.08.2019):
	```
	conda install -c conda-forge django-bootstrap3
	```
</details>
<details><summary><b><a href="https://github.com/yourlabs/django-autocomplete-light">django-autocomplete-light</a></b> (🥈34 ·  ⭐ 1.6K) - A fresh approach to autocomplete implementations,.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/yourlabs/django-autocomplete-light) (👨‍💻 190 · 🔀 450 · 📦 3.2K · 📋 830 - 24% open · ⏱️ 09.09.2022):

	```
	git clone https://github.com/yourlabs/django-autocomplete-light
	```
- [PyPi](https://pypi.org/project/django-autocomplete-light) (📥 190K / month · 📦 740 · ⏱️ 15.03.2022):
	```
	pip install django-autocomplete-light
	```
</details>
<details><summary><b><a href="https://github.com/jazzband/sorl-thumbnail">sorl-thumbnail</a></b> (🥈34 ·  ⭐ 1.6K) - Thumbnails for Django. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/jazzband/sorl-thumbnail) (👨‍💻 150 · 🔀 480 · 📦 9.5K · 📋 400 - 28% open · ⏱️ 06.09.2022):

	```
	git clone https://github.com/jazzband/sorl-thumbnail
	```
- [PyPi](https://pypi.org/project/sorl-thumbnail) (📥 150K / month · 📦 2.5K · ⏱️ 10.02.2022):
	```
	pip install sorl-thumbnail
	```
- [Conda](https://anaconda.org/conda-forge/sorl-thumbnail) (📥 3.6K · ⏱️ 06.09.2022):
	```
	conda install -c conda-forge sorl-thumbnail
	```
</details>
<details><summary><b><a href="https://github.com/jazzband/dj-database-url">dj-database-url</a></b> (🥈34 ·  ⭐ 1.3K) - Use Database URLs in your Django Application. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/jazzband/dj-database-url) (👨‍💻 62 · 🔀 180 · 📦 200K · 📋 80 - 15% open · ⏱️ 15.10.2022):

	```
	git clone https://github.com/jacobian/dj-database-url
	```
- [PyPi](https://pypi.org/project/dj-database-url) (📥 870K / month · 📦 21K · ⏱️ 01.03.2018):
	```
	pip install dj-database-url
	```
</details>
<details><summary><b><a href="https://github.com/zostera/django-bootstrap4">django-bootstrap4</a></b> (🥈34 ·  ⭐ 980) - Bootstrap 4 integration with Django. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/zostera/django-bootstrap4) (👨‍💻 140 · 🔀 260 · 📦 77K · 📋 160 - 14% open · ⏱️ 03.11.2022):

	```
	git clone https://github.com/zostera/django-bootstrap4
	```
- [PyPi](https://pypi.org/project/django-bootstrap4) (📥 150K / month · 📦 990 · ⏱️ 07.03.2022):
	```
	pip install django-bootstrap4
	```
- [Conda](https://anaconda.org/conda-forge/django-bootstrap4) (📥 21K · ⏱️ 20.10.2021):
	```
	conda install -c conda-forge django-bootstrap4
	```
</details>
<details><summary><b><a href="https://github.com/django-ckeditor/django-ckeditor">django-ckeditor</a></b> (🥈33 ·  ⭐ 2.1K) - Django admin CKEditor integration. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/django-ckeditor/django-ckeditor) (👨‍💻 130 · 🔀 700 · 📦 27K · 📋 510 - 22% open · ⏱️ 07.09.2022):

	```
	git clone https://github.com/django-ckeditor/django-ckeditor
	```
- [PyPi](https://pypi.org/project/django-ckeditor) (📥 260K / month · 📦 1.5K · ⏱️ 31.05.2022):
	```
	pip install django-ckeditor
	```
</details>
<details><summary><b><a href="https://github.com/stefanfoulis/django-phonenumber-field">django-phonenumber-field</a></b> (🥈33 ·  ⭐ 1.3K) - A django model and form field for normalised phone.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/stefanfoulis/django-phonenumber-field) (👨‍💻 110 · 🔀 300 · 📥 6 · 📋 200 - 3% open · ⏱️ 07.09.2022):

	```
	git clone https://github.com/stefanfoulis/django-phonenumber-field
	```
- [PyPi](https://pypi.org/project/django-phonenumber-field) (📥 570K / month · 📦 860 · ⏱️ 17.06.2022):
	```
	pip install django-phonenumber-field
	```
</details>
<details><summary><b><a href="https://github.com/typeddjango/django-stubs">django-stubs</a></b> (🥈33 ·  ⭐ 1K) - PEP-484 stubs for Django. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/typeddjango/django-stubs) (👨‍💻 180 · 🔀 260 · 📦 3.1K · 📋 500 - 39% open · ⏱️ 03.11.2022):

	```
	git clone https://github.com/typeddjango/django-stubs
	```
- [PyPi](https://pypi.org/project/django-stubs) (📥 640K / month · 📦 76 · ⏱️ 17.06.2022):
	```
	pip install django-stubs
	```
- [Conda](https://anaconda.org/conda-forge/django-stubs) (📥 7.3K · ⏱️ 20.06.2022):
	```
	conda install -c conda-forge django-stubs
	```
</details>
<details><summary><b><a href="https://github.com/django-compressor/django-compressor">django-compressor</a></b> (🥈32 ·  ⭐ 2.6K) - Compresses linked and inline javascript or CSS into a.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/django-compressor/django-compressor) (👨‍💻 210 · 🔀 580 · 📋 650 - 18% open · ⏱️ 31.10.2022):

	```
	git clone https://github.com/django-compressor/django-compressor
	```
- [PyPi](https://pypi.org/project/django-compressor) (📥 350K / month · 📦 290 · ⏱️ 23.04.2022):
	```
	pip install django-compressor
	```
</details>
<details><summary><b><a href="https://github.com/jieter/django-tables2">django-tables2</a></b> (🥈32 ·  ⭐ 1.6K) - django-tables2 - An app for creating HTML tables. <code><a href="http://bit.ly/3rqEWVr">BSD-2</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/jieter/django-tables2) (👨‍💻 140 · 🔀 390 · 📦 5.3K · 📋 540 - 11% open · ⏱️ 13.10.2022):

	```
	git clone https://github.com/jieter/django-tables2
	```
- [PyPi](https://pypi.org/project/django-tables2) (📥 170K / month · 📦 890 · ⏱️ 05.10.2021):
	```
	pip install django-tables2
	```
- [Conda](https://anaconda.org/conda-forge/django-tables2) (📥 1.9K · ⏱️ 24.10.2021):
	```
	conda install -c conda-forge django-tables2
	```
</details>
<details><summary><b><a href="https://github.com/django-money/django-money">django-money</a></b> (🥈32 ·  ⭐ 1.3K) - Money fields for Django forms and models. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/django-money/django-money) (👨‍💻 100 · 🔀 280 · 📦 1.9K · 📋 320 - 18% open · ⏱️ 28.10.2022):

	```
	git clone https://github.com/django-money/django-money
	```
- [PyPi](https://pypi.org/project/django-money) (📥 130K / month · 📦 200 · ⏱️ 20.06.2022):
	```
	pip install django-money
	```
</details>
<details><summary><b><a href="https://github.com/SmileyChris/django-countries">django-countries</a></b> (🥈32 ·  ⭐ 1.2K) - A Django application that provides country choices for.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/SmileyChris/django-countries) (👨‍💻 51 · 🔀 250 · 📋 260 - 3% open · ⏱️ 09.10.2022):

	```
	git clone https://github.com/SmileyChris/django-countries
	```
- [PyPi](https://pypi.org/project/django-countries) (📥 490K / month · 📦 1.5K · ⏱️ 01.03.2022):
	```
	pip install django-countries
	```
</details>
<details><summary><b><a href="https://github.com/jazzband/django-taggit">django-taggit</a></b> (🥈31 ·  ⭐ 2.9K) - Simple tagging for django. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/jazzband/django-taggit) (👨‍💻 150 · 🔀 600 · 📋 400 - 19% open · ⏱️ 31.10.2022):

	```
	git clone https://github.com/jazzband/django-taggit
	```
- [PyPi](https://pypi.org/project/django-taggit) (📥 360K / month · 📦 2.9K · ⏱️ 02.05.2022):
	```
	pip install django-taggit
	```
- [Conda](https://anaconda.org/conda-forge/django-taggit) (📥 100K · ⏱️ 02.05.2022):
	```
	conda install -c conda-forge django-taggit
	```
</details>
<details><summary><b><a href="https://github.com/jazzband/django-redis">django-redis</a></b> (🥈31 ·  ⭐ 2.4K) - Full featured redis cache backend for Django. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/jazzband/django-redis) (👨‍💻 130 · 🔀 390 · 📋 320 - 12% open · ⏱️ 27.10.2022):

	```
	git clone https://github.com/jazzband/django-redis
	```
- [PyPi](https://pypi.org/project/django-redis) (📥 1.5M / month · 📦 3.5K · ⏱️ 22.12.2021):
	```
	pip install django-redis
	```
</details>
<details><summary><b><a href="https://github.com/Suor/django-cacheops">django-cacheops</a></b> (🥈31 ·  ⭐ 1.7K) - A slick ORM cache with automatic granular event-driven.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/Suor/django-cacheops) (👨‍💻 64 · 🔀 200 · 📦 770 · 📋 300 - 8% open · ⏱️ 11.07.2022):

	```
	git clone https://github.com/Suor/django-cacheops
	```
- [PyPi](https://pypi.org/project/django-cacheops) (📥 130K / month · 📦 96 · ⏱️ 27.05.2022):
	```
	pip install django-cacheops
	```
</details>
<details><summary><b><a href="https://github.com/jazzband/django-constance">django-constance</a></b> (🥈31 ·  ⭐ 1.5K) - Dynamic Django settings. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/jazzband/django-constance) (👨‍💻 140 · 🔀 300 · 📦 1.2K · 📋 260 - 12% open · ⏱️ 13.10.2022):

	```
	git clone https://github.com/jazzband/django-constance
	```
- [PyPi](https://pypi.org/project/django-constance) (📥 160K / month · 📦 280 · ⏱️ 11.05.2022):
	```
	pip install django-constance
	```
</details>
<details><summary><b><a href="https://github.com/jazzband/django-pipeline">django-pipeline</a></b> (🥈31 ·  ⭐ 1.4K) - Pipeline is an asset packaging library for Django. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/jazzband/django-pipeline) (👨‍💻 170 · 🔀 380 · 📦 2K · 📋 470 - 32% open · ⏱️ 06.08.2022):

	```
	git clone https://github.com/jazzband/django-pipeline
	```
- [PyPi](https://pypi.org/project/django-pipeline) (📥 62K / month · 📦 1.1K · ⏱️ 10.01.2022):
	```
	pip install django-pipeline
	```
</details>
<details><summary><b><a href="https://github.com/SmileyChris/easy-thumbnails">easy-thumbnails</a></b> (🥈31 ·  ⭐ 1.3K · 📉) - Easy thumbnails for Django. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/SmileyChris/easy-thumbnails) (👨‍💻 88 · 🔀 310 · 📦 8.9K · 📋 390 - 20% open · ⏱️ 02.09.2022):

	```
	git clone https://github.com/SmileyChris/easy-thumbnails
	```
- [PyPi](https://pypi.org/project/easy-thumbnails) (📥 230K / month · 📦 2.1K · ⏱️ 20.01.2022):
	```
	pip install easy-thumbnails
	```
</details>
<details><summary><b><a href="https://github.com/cookiecutter/cookiecutter-django">cookiecutter-django</a></b> (🥉30 ·  ⭐ 9.9K) - Cookiecutter Django is a framework for jumpstarting.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/cookiecutter/cookiecutter-django) (👨‍💻 360 · 🔀 2.5K · 📦 19 · 📋 1.1K - 12% open · ⏱️ 03.11.2022):

	```
	git clone https://github.com/cookiecutter/cookiecutter-django
	```
- [PyPi](https://pypi.org/project/cookiecutter-django) (📥 46 / month · 📦 1 · ⏱️ 15.01.2018):
	```
	pip install cookiecutter-django
	```
</details>
<details><summary><b><a href="https://github.com/django-webpack/django-webpack-loader">django-webpack-loader</a></b> (🥉30 ·  ⭐ 2.4K) - Transparently use webpack with django. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/django-webpack/django-webpack-loader) (👨‍💻 56 · 🔀 330 · 📦 7.8K · 📋 180 - 15% open · ⏱️ 11.08.2022):

	```
	git clone https://github.com/django-webpack/django-webpack-loader
	```
- [PyPi](https://pypi.org/project/django-webpack-loader) (📥 310K / month · 📦 980 · ⏱️ 20.06.2022):
	```
	pip install django-webpack-loader
	```
- [Conda](https://anaconda.org/conda-forge/django-webpack-loader) (📥 4.1K · ⏱️ 17.11.2021):
	```
	conda install -c conda-forge django-webpack-loader
	```
</details>
<details><summary><b><a href="https://github.com/justquick/django-activity-stream">django-activity-stream</a></b> (🥉30 ·  ⭐ 2.1K) - Generate generic activity streams from the actions on.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/justquick/django-activity-stream) (👨‍💻 110 · 🔀 480 · 📦 880 · 📋 300 - 5% open · ⏱️ 19.10.2022):

	```
	git clone https://github.com/justquick/django-activity-stream
	```
- [PyPi](https://pypi.org/project/django-activity-stream) (📥 39K / month · 📦 340 · ⏱️ 20.05.2022):
	```
	pip install django-activity-stream
	```
</details>
<details><summary><b><a href="https://github.com/matthewwithanm/django-imagekit">django-imagekit</a></b> (🥉30 ·  ⭐ 2.1K · 💤) - Automated image processing for Django. Currently v4.0. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/matthewwithanm/django-imagekit) (👨‍💻 73 · 🔀 270 · 📥 72 · 📦 6.9K · 📋 380 - 27% open · ⏱️ 12.11.2021):

	```
	git clone https://github.com/matthewwithanm/django-imagekit
	```
- [PyPi](https://pypi.org/project/django-imagekit) (📥 97K / month · 📦 1K · ⏱️ 02.11.2021):
	```
	pip install django-imagekit
	```
</details>
<details><summary><b><a href="https://github.com/groveco/django-sql-explorer">django-sql-explorer</a></b> (🥉30 ·  ⭐ 2K) - Easily share data across your company via SQL queries... <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/groveco/django-sql-explorer) (👨‍💻 93 · 🔀 330 · 📦 310 · 📋 260 - 13% open · ⏱️ 20.10.2022):

	```
	git clone https://github.com/groveco/django-sql-explorer
	```
- [PyPi](https://pypi.org/project/django-sql-explorer) (📥 53K / month · 📦 74 · ⏱️ 10.03.2022):
	```
	pip install django-sql-explorer
	```
</details>
<details><summary><b><a href="https://github.com/brack3t/django-braces">django-braces</a></b> (🥉30 ·  ⭐ 1.8K · 💤) - Reusable, generic mixins for Django. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/brack3t/django-braces) (👨‍💻 77 · 🔀 210 · 📦 13K · 📋 120 - 3% open · ⏱️ 18.11.2021):

	```
	git clone https://github.com/brack3t/django-braces
	```
- [PyPi](https://pypi.org/project/django-braces) (📥 150K / month · 📦 4K · ⏱️ 05.11.2021):
	```
	pip install django-braces
	```
- [Conda](https://anaconda.org/conda-forge/django-braces) (📥 34K · ⏱️ 08.07.2018):
	```
	conda install -c conda-forge django-braces
	```
</details>
<details><summary><b><a href="https://github.com/rq/django-rq">django-rq</a></b> (🥉30 ·  ⭐ 1.6K) - A simple app that provides django integration for RQ (Redis Queue). <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/rq/django-rq) (👨‍💻 110 · 🔀 250 · 📦 2.1K · 📋 300 - 23% open · ⏱️ 01.11.2022):

	```
	git clone https://github.com/rq/django-rq
	```
- [PyPi](https://pypi.org/project/django-rq) (📥 150K / month · 📦 430 · ⏱️ 22.11.2021):
	```
	pip install django-rq
	```
</details>
<details><summary><b><a href="https://github.com/django-waffle/django-waffle">django-waffle</a></b> (🥉30 ·  ⭐ 940) - A feature flipper for Django. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/django-waffle/django-waffle) (👨‍💻 120 · 🔀 250 · 📋 200 - 17% open · ⏱️ 02.10.2022):

	```
	git clone https://github.com/django-waffle/django-waffle
	```
- [PyPi](https://pypi.org/project/django-waffle) (📥 370K / month · 📦 340 · ⏱️ 05.06.2022):
	```
	pip install django-waffle
	```
- [Conda](https://anaconda.org/conda-forge/django-waffle) (📥 9.2K · ⏱️ 22.08.2022):
	```
	conda install -c conda-forge django-waffle
	```
</details>
<details><summary><b><a href="https://github.com/viewflow/django-fsm">django-fsm</a></b> (🥉29 ·  ⭐ 2.1K) - Django friendly finite state machine support. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/viewflow/django-fsm) (👨‍💻 64 · 🔀 280 · 📦 1.1K · 📋 160 - 16% open · ⏱️ 15.08.2022):

	```
	git clone https://github.com/viewflow/django-fsm
	```
- [PyPi](https://pypi.org/project/django-fsm) (📥 310K / month · 📦 330 · ⏱️ 05.11.2021):
	```
	pip install django-fsm
	```
- [Conda](https://anaconda.org/conda-forge/django-fsm) (📥 21K · ⏱️ 07.12.2019):
	```
	conda install -c conda-forge django-fsm
	```
</details>
<details><summary><b><a href="https://github.com/jazzband/django-widget-tweaks">django-widget-tweaks</a></b> (🥉29 ·  ⭐ 1.8K · 💤) - Tweak the form field rendering in templates, not in.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/jazzband/django-widget-tweaks) (👨‍💻 27 · 🔀 130 · 📦 28K · 📋 87 - 44% open · ⏱️ 13.01.2022):

	```
	git clone https://github.com/jazzband/django-widget-tweaks
	```
- [PyPi](https://pypi.org/project/django-widget-tweaks) (📥 340K / month · 📦 2.2K · ⏱️ 13.01.2022):
	```
	pip install django-widget-tweaks
	```
</details>
<details><summary><b><a href="https://github.com/jrief/django-angular">django-angular</a></b> (🥉29 ·  ⭐ 1.2K) - Let AngularJS play well with Django. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/jrief/django-angular) (👨‍💻 66 · 🔀 300 · 📦 600 · 📋 200 - 10% open · ⏱️ 03.09.2022):

	```
	git clone https://github.com/jrief/django-angular
	```
- [PyPi](https://pypi.org/project/django-angular) (📥 9.5K / month · 📦 240 · ⏱️ 05.05.2020):
	```
	pip install django-angular
	```
</details>
<details><summary><b><a href="https://github.com/jazzband/django-dbbackup">django-dbbackup</a></b> (🥉29 ·  ⭐ 660) - Management commands to help backup and restore your.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/jazzband/django-dbbackup) (👨‍💻 61 · 🔀 200 · 📦 1.1K · 📋 270 - 23% open · ⏱️ 02.11.2022):

	```
	git clone https://github.com/jazzband/django-dbbackup
	```
- [PyPi](https://pypi.org/project/django-dbbackup) (📥 61K / month · 📦 160 · ⏱️ 24.12.2021):
	```
	pip install django-dbbackup
	```
</details>
<details><summary><b><a href="https://github.com/vitalik/django-ninja">Django-Ninja</a></b> (🥉28 ·  ⭐ 3.6K) - Fast, Async-ready, Openapi, type hints based framework for.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/vitalik/django-ninja) (👨‍💻 65 · 🔀 220 · 📋 420 - 36% open · ⏱️ 27.10.2022):

	```
	git clone https://github.com/vitalik/django-ninja
	```
- [PyPi](https://pypi.org/project/django-ninja) (📥 70K / month · 📦 9 · ⏱️ 29.06.2022):
	```
	pip install django-ninja
	```
- [Conda](https://anaconda.org/conda-forge/django-ninja) (📥 3.8K · ⏱️ 20.07.2022):
	```
	conda install -c conda-forge django-ninja
	```
</details>
<details><summary><b><a href="https://github.com/django-polymorphic/django-polymorphic">django-polymorphic</a></b> (🥉28 ·  ⭐ 1.4K · 💤) - Improved Django model inheritance with automatic.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/django-polymorphic/django-polymorphic) (👨‍💻 100 · 🔀 240 · 📋 320 - 44% open · ⏱️ 18.11.2021):

	```
	git clone https://github.com/django-polymorphic/django-polymorphic
	```
- [PyPi](https://pypi.org/project/django-polymorphic) (📥 300K / month · 📦 150 · ⏱️ 18.11.2021):
	```
	pip install django-polymorphic
	```
- [Conda](https://anaconda.org/conda-forge/django_polymorphic) (📥 56K · ⏱️ 18.11.2021):
	```
	conda install -c conda-forge django_polymorphic
	```
</details>
<details><summary><b><a href="https://github.com/AndrewIngram/django-extra-views">django-extra-views</a></b> (🥉28 ·  ⭐ 1.2K) - Djangos class-based generic views are awesome, lets.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/AndrewIngram/django-extra-views) (👨‍💻 60 · 🔀 160 · 📦 1.8K · 📋 140 - 7% open · ⏱️ 28.10.2022):

	```
	git clone https://github.com/AndrewIngram/django-extra-views
	```
- [PyPi](https://pypi.org/project/django-extra-views) (📥 54K / month · 📦 520 · ⏱️ 09.06.2021):
	```
	pip install django-extra-views
	```
</details>
<details><summary><b><a href="https://github.com/sebleier/django-redis-cache">django-redis-cache</a></b> (🥉28 ·  ⭐ 1K · 💤) - A Redis cache backend for django. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/sebleier/django-redis-cache) (👨‍💻 46 · 🔀 200 · 📦 3.5K · 📋 130 - 49% open · ⏱️ 09.03.2022):

	```
	git clone https://github.com/sebleier/django-redis-cache
	```
- [PyPi](https://pypi.org/project/django-redis-cache) (📥 170K / month · 📦 1.2K · ⏱️ 15.10.2020):
	```
	pip install django-redis-cache
	```
- [Conda](https://anaconda.org/conda-forge/django-redis-cache) (📥 48K · ⏱️ 09.03.2022):
	```
	conda install -c conda-forge django-redis-cache
	```
</details>
<details><summary><b><a href="https://github.com/spookylukey/django-paypal">django-paypal</a></b> (🥉28 ·  ⭐ 660) - A pluggable Django application for integrating PayPal.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/spookylukey/django-paypal) (👨‍💻 73 · 🔀 200 · 📦 2.1K · 📋 160 - 5% open · ⏱️ 03.11.2022):

	```
	git clone https://github.com/spookylukey/django-paypal
	```
- [PyPi](https://pypi.org/project/django-paypal) (📥 9K / month · 📦 290 · ⏱️ 25.03.2022):
	```
	pip install django-paypal
	```
</details>
<details><summary><b><a href="https://github.com/sehmaschine/django-filebrowser">django-filebrowser</a></b> (🥉27 ·  ⭐ 910 · 💤) - Media-Management with Grappelli. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/sehmaschine/django-filebrowser) (👨‍💻 35 · 🔀 380 · 📦 810 · 📋 280 - 6% open · ⏱️ 12.01.2022):

	```
	git clone https://github.com/sehmaschine/django-filebrowser
	```
- [PyPi](https://pypi.org/project/django-filebrowser) (📥 8.4K / month · 📦 270 · ⏱️ 12.01.2022):
	```
	pip install django-filebrowser
	```
</details>
<details><summary><b><a href="https://github.com/mbi/django-rosetta">django-rosetta</a></b> (🥉27 ·  ⭐ 900) - Rosetta is a Django application that eases the translation.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/mbi/django-rosetta) (👨‍💻 78 · 🔀 180 · 📦 2K · 📋 150 - 28% open · ⏱️ 18.05.2022):

	```
	git clone https://github.com/mbi/django-rosetta
	```
- [PyPi](https://pypi.org/project/django-rosetta) (📥 56K / month · 📦 610 · ⏱️ 08.12.2021):
	```
	pip install django-rosetta
	```
- [Conda](https://anaconda.org/conda-forge/django-rosetta) (📥 5.3K · ⏱️ 08.12.2021):
	```
	conda install -c conda-forge django-rosetta
	```
</details>
<details><summary><b><a href="https://github.com/typeddjango/djangorestframework-stubs">djangorestframework-stubs</a></b> (🥉27 ·  ⭐ 300) - PEP-484 stubs for django-rest-framework. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/typeddjango/djangorestframework-stubs) (👨‍💻 47 · 🔀 69 · 📦 1.5K · 📋 100 - 42% open · ⏱️ 26.09.2022):

	```
	git clone https://github.com/typeddjango/djangorestframework-stubs
	```
- [PyPi](https://pypi.org/project/djangorestframework-stubs) (📥 310K / month · 📦 58 · ⏱️ 22.06.2022):
	```
	pip install djangorestframework-stubs
	```
- [Conda](https://anaconda.org/conda-forge/djangorestframework-stubs) (📥 2.3K · ⏱️ 02.06.2022):
	```
	conda install -c conda-forge djangorestframework-stubs
	```
</details>
<details><summary><b><a href="https://github.com/viewflow/viewflow">viewflow</a></b> (🥉26 ·  ⭐ 2.3K) - Reusable workflow library for Django. <code><a href="http://bit.ly/3pwmjO5">❗️AGPL-3.0</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/viewflow/viewflow) (👨‍💻 31 · 🔀 360 · 📦 240 · 📋 280 - 8% open · ⏱️ 01.07.2022):

	```
	git clone https://github.com/viewflow/viewflow
	```
- [PyPi](https://pypi.org/project/django-viewflow) (📥 3.4K / month · 📦 32 · ⏱️ 05.04.2022):
	```
	pip install django-viewflow
	```
</details>
<details><summary><b><a href="https://github.com/jazzband/django-push-notifications">django-push-notifications</a></b> (🥉26 ·  ⭐ 2K) - Send push notifications to mobile devices through GCM.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/jazzband/django-push-notifications) (👨‍💻 93 · 🔀 560 · 📥 80 · 📋 410 - 34% open · ⏱️ 12.08.2022):

	```
	git clone https://github.com/jazzband/django-push-notifications
	```
- [PyPi](https://pypi.org/project/django-push-notifications) (📥 55K / month · 📦 88 · ⏱️ 17.02.2022):
	```
	pip install django-push-notifications
	```
</details>
<details><summary><b><a href="https://github.com/etianen/django-watson">django-watson</a></b> (🥉26 ·  ⭐ 1K) - Full-text multi-table search application for Django. Easy to.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/etianen/django-watson) (👨‍💻 41 · 🔀 120 · 📦 510 · 📋 220 - 9% open · ⏱️ 03.09.2022):

	```
	git clone https://github.com/etianen/django-watson
	```
- [PyPi](https://pypi.org/project/django-watson) (📥 15K / month · 📦 110 · ⏱️ 20.02.2022):
	```
	pip install django-watson
	```
</details>
<details><summary><b><a href="https://github.com/bennylope/django-organizations">django-organizations</a></b> (🥉26 ·  ⭐ 1K) - Multi-user accounts for Django projects. <code><a href="http://bit.ly/3rqEWVr">BSD-2</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/bennylope/django-organizations) (👨‍💻 45 · 🔀 180 · 📋 150 - 10% open · ⏱️ 25.10.2022):

	```
	git clone https://github.com/bennylope/django-organizations
	```
- [PyPi](https://pypi.org/project/django-organizations) (📥 24K / month · 📦 37 · ⏱️ 17.03.2022):
	```
	pip install django-organizations
	```
- [Conda](https://anaconda.org/conda-forge/django-organizations) (📥 3.8K · ⏱️ 23.09.2021):
	```
	conda install -c conda-forge django-organizations
	```
</details>
<details><summary><b><a href="https://github.com/jazzband/django-configurations">django-configurations</a></b> (🥉26 ·  ⭐ 940) - A helper for organizing Django project settings by.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/jazzband/django-configurations) (👨‍💻 63 · 🔀 130 · 📦 2.4K · 📋 190 - 24% open · ⏱️ 22.09.2022):

	```
	git clone https://github.com/jazzband/django-configurations
	```
- [PyPi](https://pypi.org/project/django-configurations) (📥 93K / month · 📦 660 · ⏱️ 25.01.2022):
	```
	pip install django-configurations
	```
- [Conda](https://anaconda.org/conda-forge/django-configurations) (📥 26K · ⏱️ 13.10.2020):
	```
	conda install -c conda-forge django-configurations
	```
</details>
<details><summary><b><a href="https://github.com/django-cache-machine/django-cache-machine">django-cache-machine</a></b> (🥉26 ·  ⭐ 840) - Automatic caching and invalidation for Django models.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/django-cache-machine/django-cache-machine) (👨‍💻 27 · 🔀 170 · 📦 240 · 📋 75 - 25% open · ⏱️ 06.07.2022):

	```
	git clone https://github.com/django-cache-machine/django-cache-machine
	```
- [PyPi](https://pypi.org/project/django-cache-machine) (📥 8.4K / month · 📦 110 · ⏱️ 06.07.2022):
	```
	pip install django-cache-machine
	```
</details>
<details><summary><b><a href="https://github.com/un1t/django-cleanup">django-cleanup</a></b> (🥉26 ·  ⭐ 810) - Automatically deletes old file for FileField and ImageField... <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/un1t/django-cleanup) (👨‍💻 17 · 🔀 73 · 📦 8.4K · 📋 48 - 4% open · ⏱️ 23.07.2022):

	```
	git clone https://github.com/un1t/django-cleanup
	```
- [PyPi](https://pypi.org/project/django-cleanup) (📥 120K / month · 📦 320 · ⏱️ 24.01.2022):
	```
	pip install django-cleanup
	```
- [Conda](https://anaconda.org/conda-forge/django-cleanup) (📥 7.6K · ⏱️ 26.01.2022):
	```
	conda install -c conda-forge django-cleanup
	```
</details>
<details><summary><b><a href="https://github.com/wemake-services/django-split-settings">django-split-settings</a></b> (🥉25 ·  ⭐ 930) - Organize Django settings into multiple files and.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/wemake-services/django-split-settings) (👨‍💻 20 · 🔀 58 · 📋 42 - 9% open · ⏱️ 27.09.2022):

	```
	git clone https://github.com/sobolevn/django-split-settings
	```
- [PyPi](https://pypi.org/project/django-split-settings) (📥 76K / month · 📦 110 · ⏱️ 14.08.2021):
	```
	pip install django-split-settings
	```
</details>
<details><summary><b><a href="https://github.com/jazzband/django-robots">django-robots</a></b> (🥉25 ·  ⭐ 390) - A Django app for managing robots.txt files following the.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/jazzband/django-robots) (👨‍💻 43 · 🔀 90 · 📦 990 · 📋 64 - 29% open · ⏱️ 15.10.2022):

	```
	git clone https://github.com/jazzband/django-robots
	```
- [PyPi](https://pypi.org/project/django-robots) (📥 34K / month · 📦 560 · ⏱️ 08.01.2022):
	```
	pip install django-robots
	```
</details>
<details><summary><b><a href="https://github.com/rsinger86/django-lifecycle">django-lifecycle</a></b> (🥉24 ·  ⭐ 1K) - Declarative model lifecycle hooks, an alternative to.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/rsinger86/django-lifecycle) (👨‍💻 28 · 🔀 63 · 📦 140 · 📋 54 - 37% open · ⏱️ 28.05.2022):

	```
	git clone https://github.com/rsinger86/django-lifecycle
	```
- [PyPi](https://pypi.org/project/django-lifecycle) (📥 61K / month · 📦 5 · ⏱️ 29.05.2022):
	```
	pip install django-lifecycle
	```
</details>
<details><summary><b><a href="https://github.com/noripyt/django-cachalot">django-cachalot</a></b> (🥉24 ·  ⭐ 970) - No effort, no worry, maximum performance. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/noripyt/django-cachalot) (👨‍💻 30 · 🔀 120 · 📦 440 · 📋 150 - 14% open · ⏱️ 27.08.2022):

	```
	git clone https://github.com/noripyt/django-cachalot
	```
- [PyPi](https://pypi.org/project/django-cachalot) (📥 38K / month · 📦 83 · ⏱️ 25.02.2022):
	```
	pip install django-cachalot
	```
- [Conda](https://anaconda.org/conda-forge/django-cachalot) (📥 40K · ⏱️ 09.08.2018):
	```
	conda install -c conda-forge django-cachalot
	```
</details>
<details><summary><b><a href="https://github.com/mozilla/django-csp">django-csp</a></b> (🥉24 ·  ⭐ 440) - Content Security Policy for Django. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/mozilla/django-csp) (👨‍💻 49 · 🔀 79 · 📋 93 - 15% open · ⏱️ 28.06.2022):

	```
	git clone https://github.com/mozilla/django-csp
	```
- [PyPi](https://pypi.org/project/django-csp) (📥 300K / month · 📦 14 · ⏱️ 12.08.2020):
	```
	pip install django-csp
	```
</details>
<details><summary><b><a href="https://github.com/encode/django-vanilla-views">django-vanilla-views</a></b> (🥉23 ·  ⭐ 940) - Beautifully simple class-based views. <code><a href="http://bit.ly/3rqEWVr">BSD-2</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/encode/django-vanilla-views) (👨‍💻 31 · 🔀 71 · 📦 570 · 📋 42 - 4% open · ⏱️ 03.09.2022):

	```
	git clone https://github.com/encode/django-vanilla-views
	```
- [PyPi](https://pypi.org/project/django-vanilla-views) (📥 4.3K / month · 📦 250 · ⏱️ 09.05.2021):
	```
	pip install django-vanilla-views
	```
</details>
<details><summary><b><a href="https://github.com/soynatan/django-easy-audit">django-easy-audit</a></b> (🥉23 ·  ⭐ 500) - Yet another Django audit log app, hopefully the.. <code><a href="http://bit.ly/2M0xdwT">❗️GPL-3.0</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/soynatan/django-easy-audit) (👨‍💻 41 · 🔀 130 · 📦 150 · 📋 130 - 47% open · ⏱️ 04.09.2022):

	```
	git clone https://github.com/soynatan/django-easy-audit
	```
- [PyPi](https://pypi.org/project/django-easy-audit) (📥 27K / month · 📦 10 · ⏱️ 30.06.2022):
	```
	pip install django-easy-audit
	```
</details>
<details><summary><b><a href="https://github.com/browniebroke/django-codemod">django-codemod</a></b> (🥉19 ·  ⭐ 150) - A tool to automatically fix Django deprecations. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/browniebroke/django-codemod) (👨‍💻 20 · 🔀 15 · 📥 440 · 📋 39 - 20% open · ⏱️ 30.10.2022):

	```
	git clone https://github.com/browniebroke/django-codemod
	```
- [PyPi](https://pypi.org/project/django-codemod) (📥 1K / month · ⏱️ 04.07.2022):
	```
	pip install django-codemod
	```
</details>
<details><summary>Show 10 hidden projects...</summary>

- <b><a href="https://github.com/rpkilby/jsonfield">jsonfield</a></b> (🥈32 ·  ⭐ 1.1K · 💀) - A reusable Django model field for storing ad-hoc JSON data. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code>
- <b><a href="https://github.com/awesto/django-shop">django-shop</a></b> (🥉28 ·  ⭐ 2.9K · 💀) - A Django based shop system. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code>
- <b><a href="https://github.com/Fantomas42/django-blog-zinnia">django-blog-zinnia</a></b> (🥉28 ·  ⭐ 2.1K · 💀) - Simple yet powerful and really extendable application.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code>
- <b><a href="https://github.com/Koed00/django-q">django-q</a></b> (🥉28 ·  ⭐ 1.6K · 💀) - A multiprocessing distributed task queue for Django. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code>
- <b><a href="https://github.com/summernote/django-summernote">django-summernote</a></b> (🥉27 ·  ⭐ 920 · 💀) - Simply integrate Summernote editor with Django project. <code><a href="http://bit.ly/34MBwT8">MIT</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code>
- <b><a href="https://github.com/kmmbvnr/django-jenkins">django-jenkins</a></b> (🥉26 ·  ⭐ 940 · 💀) - Plug and play continuous integration with django and.. <code><a href="http://bit.ly/37RvQcA">❗️LGPL-3.0</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code>
- <b><a href="https://github.com/jazzband/django-floppyforms">django-floppyforms</a></b> (🥉25 ·  ⭐ 810 · 💀) - Full control of form rendering in the templates. <code><a href="https://tldrlegal.com/search?q=MirOS">❗️MirOS</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code>
- <b><a href="https://github.com/lazybird/django-solo">django-solo</a></b> (🥉24 ·  ⭐ 720 · 💤) - Helps working with singletons - things like global.. <code><a href="https://tldrlegal.com/search?q=CC-BY-3.0">❗️CC-BY-3.0</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code>
- <b><a href="https://github.com/agiliq/merchant">merchant</a></b> (🥉20 ·  ⭐ 990 · 💀) - A Django app to accept payments from various payment.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code>
- <b><a href="https://github.com/thauber/django-schedule">django-schedule</a></b> (🥉14 ·  ⭐ 810 · 💀) - A calendaring app for Django. It is now stable,.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code>
</details>
<br>

## Others

<a href="#contents"><img align="right" width="15" height="15" src="https://git.io/JtehR" alt="Back to top"></a>

<details><summary><b><a href="https://github.com/twisted/twisted">twisted</a></b> (🥇43 ·  ⭐ 4.8K) - Event-driven networking engine written in Python. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/twisted/twisted) (👨‍💻 250 · 🔀 1.1K · 📦 59K · 📋 10K - 27% open · ⏱️ 31.10.2022):

	```
	git clone https://github.com/twisted/twisted
	```
- [PyPi](https://pypi.org/project/twisted) (📥 3.3M / month · 📦 10K · ⏱️ 26.10.2022):
	```
	pip install twisted
	```
- [Conda](https://anaconda.org/conda-forge/twisted) (📥 780K · ⏱️ 01.11.2022):
	```
	conda install -c conda-forge twisted
	```
</details>
<details><summary><b><a href="https://github.com/pallets/jinja">jinja</a></b> (🥇41 ·  ⭐ 8.8K) - A very fast and expressive template engine. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/pallets/jinja) (👨‍💻 300 · 🔀 1.5K · 📥 53K · 📋 930 - 6% open · ⏱️ 01.11.2022):

	```
	git clone https://github.com/pallets/jinja
	```
- [PyPi](https://pypi.org/project/jinja2) (📥 160M / month · 📦 100K · ⏱️ 28.04.2022):
	```
	pip install jinja2
	```
- [Conda](https://anaconda.org/conda-forge/jinja2) (📥 22M · ⏱️ 22.06.2022):
	```
	conda install -c conda-forge jinja2
	```
</details>
<details><summary><b><a href="https://github.com/certbot/certbot">certbot</a></b> (🥇39 ·  ⭐ 29K) - Certbot is EFFs tool to obtain certs from Lets Encrypt and.. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code></summary>

- [GitHub](https://github.com/certbot/certbot) (👨‍💻 500 · 🔀 3.3K · 📥 23K · 📦 1.3K · 📋 5.1K - 11% open · ⏱️ 02.11.2022):

	```
	git clone https://github.com/certbot/certbot
	```
- [PyPi](https://pypi.org/project/certbot) (📥 250K / month · 📦 290 · ⏱️ 08.06.2022):
	```
	pip install certbot
	```
- [Conda](https://anaconda.org/conda-forge/certbot-apache) (📥 11K · ⏱️ 15.10.2022):
	```
	conda install -c conda-forge certbot-apache
	```
</details>
<details><summary><b><a href="https://github.com/secdev/scapy">scapy</a></b> (🥇39 ·  ⭐ 8.1K · 📈) - Scapy: the Python-based interactive packet manipulation program &.. <code><a href="http://bit.ly/2KucAZR">❗️GPL-2.0</a></code></summary>

- [GitHub](https://github.com/secdev/scapy) (👨‍💻 400 · 🔀 1.7K · 📦 9K · 📋 1.4K - 4% open · ⏱️ 19.10.2022):

	```
	git clone https://github.com/secdev/scapy
	```
- [PyPi](https://pypi.org/project/scapy) (📥 1.8M / month · 📦 960 · ⏱️ 19.04.2021):
	```
	pip install scapy
	```
- [Conda](https://anaconda.org/conda-forge/scapy) (📥 55K · ⏱️ 19.04.2021):
	```
	conda install -c conda-forge scapy
	```
</details>
<details><summary><b><a href="https://github.com/ethereum/web3.py">web3.py</a></b> (🥇38 ·  ⭐ 3.8K) - A python interface for interacting with the Ethereum blockchain and.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/ethereum/web3.py) (👨‍💻 220 · 🔀 1.2K · 📦 9.6K · 📋 1.3K - 18% open · ⏱️ 02.11.2022):

	```
	git clone https://github.com/ethereum/web3.py
	```
- [PyPi](https://pypi.org/project/web3) (📥 740K / month · 📦 860 · ⏱️ 01.06.2022):
	```
	pip install web3
	```
- [Conda](https://anaconda.org/conda-forge/web3) (📥 100K · ⏱️ 08.07.2022):
	```
	conda install -c conda-forge web3
	```
</details>
<details><summary><b><a href="https://github.com/rthalley/dnspython">dnspython</a></b> (🥈37 ·  ⭐ 2K) - a powerful DNS toolkit for python. <code><a href="http://bit.ly/3hkKRql">ISC</a></code></summary>

- [GitHub](https://github.com/rthalley/dnspython) (👨‍💻 100 · 🔀 460 · 📦 140K · 📋 420 - 0% open · ⏱️ 28.10.2022):

	```
	git clone https://github.com/rthalley/dnspython
	```
- [PyPi](https://pypi.org/project/dnspython) (📥 21M / month · 📦 4.5K · ⏱️ 06.03.2022):
	```
	pip install dnspython
	```
- [Conda](https://anaconda.org/conda-forge/dnspython) (📥 520K · ⏱️ 07.03.2022):
	```
	conda install -c conda-forge dnspython
	```
</details>
<details><summary><b><a href="https://github.com/certifi/python-certifi">certifi</a></b> (🥈37 ·  ⭐ 590) - (Python Distribution) A carefully curated collection of Root.. <code><a href="http://bit.ly/3postzC">MPL-2.0</a></code></summary>

- [GitHub](https://github.com/certifi/python-certifi) (👨‍💻 30 · 🔀 200 · 📦 1M · 📋 120 - 5% open · ⏱️ 24.09.2022):

	```
	git clone https://github.com/certifi/python-certifi
	```
- [PyPi](https://pypi.org/project/certifi) (📥 190M / month · 📦 43K · ⏱️ 15.06.2022):
	```
	pip install certifi
	```
- [Conda](https://anaconda.org/conda-forge/certifi) (📥 70M · ⏱️ 24.09.2022):
	```
	conda install -c conda-forge certifi
	```
</details>
<details><summary><b><a href="https://github.com/pallets/itsdangerous">itsdangerous</a></b> (🥈36 ·  ⭐ 2.6K) - Safely pass trusted data to untrusted environments and back. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/pallets/itsdangerous) (👨‍💻 41 · 🔀 200 · 📦 700K · ⏱️ 01.11.2022):

	```
	git clone https://github.com/pallets/itsdangerous
	```
- [PyPi](https://pypi.org/project/itsdangerous) (📥 78M / month · 📦 53K · ⏱️ 24.03.2022):
	```
	pip install itsdangerous
	```
- [Conda](https://anaconda.org/conda-forge/itsdangerous) (📥 4.1M · ⏱️ 24.03.2022):
	```
	conda install -c conda-forge itsdangerous
	```
</details>
<details><summary><b><a href="https://github.com/RDFLib/rdflib">rdflib</a></b> (🥈36 ·  ⭐ 1.8K) - RDFLib is a Python library for working with RDF, a simple yet powerful.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/RDFLib/rdflib) (👨‍💻 200 · 🔀 490 · 📥 29 · 📦 9.5K · 📋 1.1K - 15% open · ⏱️ 14.10.2022):

	```
	git clone https://github.com/RDFLib/rdflib
	```
- [PyPi](https://pypi.org/project/rdflib) (📥 640K / month · 📦 2K · ⏱️ 26.07.2022):
	```
	pip install rdflib
	```
- [Conda](https://anaconda.org/conda-forge/rdflib) (📥 290K · ⏱️ 27.07.2022):
	```
	conda install -c conda-forge rdflib
	```
</details>
<details><summary><b><a href="https://github.com/pyca/pyopenssl">pyopenssl</a></b> (🥈36 ·  ⭐ 790) - A Python wrapper around the OpenSSL library. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code></summary>

- [GitHub](https://github.com/pyca/pyopenssl) (👨‍💻 100 · 🔀 400 · 📋 480 - 17% open · ⏱️ 22.10.2022):

	```
	git clone https://github.com/pyca/pyopenssl
	```
- [PyPi](https://pypi.org/project/pyopenssl) (📥 58M / month · 📦 15K · ⏱️ 29.01.2022):
	```
	pip install pyopenssl
	```
- [Conda](https://anaconda.org/conda-forge/pyopenssl) (📥 23M · ⏱️ 09.10.2022):
	```
	conda install -c conda-forge pyopenssl
	```
</details>
<details><summary><b><a href="https://github.com/marshmallow-code/webargs">webargs</a></b> (🥈35 ·  ⭐ 1.3K) - A friendly library for parsing HTTP request arguments, with built-in.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/marshmallow-code/webargs) (👨‍💻 74 · 🔀 150 · 📦 4.8K · 📋 280 - 3% open · ⏱️ 31.10.2022):

	```
	git clone https://github.com/marshmallow-code/webargs
	```
- [PyPi](https://pypi.org/project/webargs) (📥 720K / month · 📦 470 · ⏱️ 12.01.2022):
	```
	pip install webargs
	```
- [Conda](https://anaconda.org/conda-forge/webargs) (📥 180K · ⏱️ 13.07.2022):
	```
	conda install -c conda-forge webargs
	```
</details>
<details><summary><b><a href="https://github.com/SecureAuthCorp/impacket">impacket</a></b> (🥈34 ·  ⭐ 10K) - Impacket is a collection of Python classes for working with network.. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code></summary>

- [GitHub](https://github.com/SecureAuthCorp/impacket) (👨‍💻 180 · 🔀 2.9K · 📥 120K · 📦 2K · 📋 910 - 30% open · ⏱️ 20.07.2022):

	```
	git clone https://github.com/SecureAuthCorp/impacket
	```
- [PyPi](https://pypi.org/project/impacket) (📥 120K / month · 📦 210 · ⏱️ 04.05.2022):
	```
	pip install impacket
	```
</details>
<details><summary><b><a href="https://github.com/Gallopsled/pwntools">pwntools</a></b> (🥈34 ·  ⭐ 9.6K) - CTF framework and exploit development library. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/Gallopsled/pwntools) (👨‍💻 210 · 🔀 1.6K · 📦 760 · 📋 940 - 15% open · ⏱️ 27.10.2022):

	```
	git clone https://github.com/Gallopsled/pwntools
	```
- [PyPi](https://pypi.org/project/pwntools) (📥 34K / month · 📦 54 · ⏱️ 20.04.2022):
	```
	pip install pwntools
	```
</details>
<details><summary><b><a href="https://github.com/WeblateOrg/weblate">weblate</a></b> (🥈33 ·  ⭐ 3.2K) - Web based localization tool with tight version control integration. <code><a href="http://bit.ly/2M0xdwT">❗️GPL-3.0</a></code></summary>

- [GitHub](https://github.com/WeblateOrg/weblate) (👨‍💻 1.4K · 🔀 740 · 📥 3.2K · 📦 27 · 📋 4.5K - 8% open · ⏱️ 02.11.2022):

	```
	git clone https://github.com/WeblateOrg/weblate
	```
- [PyPi](https://pypi.org/project/weblate) (📥 2.3K / month · 📦 11 · ⏱️ 01.07.2022):
	```
	pip install weblate
	```
</details>
<details><summary><b><a href="https://github.com/hellysmile/fake-useragent">fake-useragent</a></b> (🥈32 ·  ⭐ 2.8K) - up to date simple useragent faker with real world database. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code></summary>

- [GitHub](https://github.com/hellysmile/fake-useragent) (👨‍💻 10 · 🔀 470 · 📦 17K · 📋 100 - 48% open · ⏱️ 03.11.2022):

	```
	git clone https://github.com/hellysmile/fake-useragent
	```
- [PyPi](https://pypi.org/project/fake-useragent) (📥 1.7M / month · 📦 860 · ⏱️ 04.10.2018):
	```
	pip install fake-useragent
	```
- [Conda](https://anaconda.org/conda-forge/fake-useragent) (📥 5.1K · ⏱️ 25.06.2021):
	```
	conda install -c conda-forge fake-useragent
	```
</details>
<details><summary><b><a href="https://github.com/saleor/saleor">saleor</a></b> (🥈31 ·  ⭐ 17K) - A modular, high performance, headless e-commerce platform built.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code> <code><img src="https://graphql.org/img/logo.svg" style="display:inline;" width="13" height="13"></code></summary>

- [GitHub](https://github.com/saleor/saleor) (👨‍💻 260 · 🔀 4.8K · 📦 1 · 📋 3.3K - 9% open · ⏱️ 03.11.2022):

	```
	git clone https://github.com/saleor/saleor
	```
</details>
<details><summary><b><a href="https://github.com/r0x0r/pywebview">pywebview</a></b> (🥈31 ·  ⭐ 3.2K) - Build GUI for your Python program with JavaScript, HTML, and CSS. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/r0x0r/pywebview) (👨‍💻 92 · 🔀 410 · 📦 790 · 📋 670 - 3% open · ⏱️ 27.10.2022):

	```
	git clone https://github.com/r0x0r/pywebview
	```
- [PyPi](https://pypi.org/project/pywebview) (📥 32K / month · 📦 74 · ⏱️ 05.04.2022):
	```
	pip install pywebview
	```
</details>
<details><summary><b><a href="https://github.com/pyca/pynacl">pynacl</a></b> (🥈31 ·  ⭐ 930) - Python binding to the Networking and Cryptography (NaCl) library. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code></summary>

- [GitHub](https://github.com/pyca/pynacl) (👨‍💻 64 · 🔀 220 · 📋 290 - 15% open · ⏱️ 07.09.2022):

	```
	git clone https://github.com/pyca/pynacl
	```
- [PyPi](https://pypi.org/project/pynacl) (📥 42M / month · 📦 2.4K · ⏱️ 07.01.2022):
	```
	pip install pynacl
	```
- [Conda](https://anaconda.org/conda-forge/pynacl) (📥 3.2M · ⏱️ 27.10.2022):
	```
	conda install -c conda-forge pynacl
	```
</details>
<details><summary><b><a href="https://github.com/sqlalchemy/mako">Mako</a></b> (🥈31 ·  ⭐ 230) - Mako Templates for Python. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/sqlalchemy/mako) (👨‍💻 57 · 🔀 43 · 📋 330 - 19% open · ⏱️ 22.09.2022):

	```
	git clone https://github.com/sqlalchemy/mako
	```
- [PyPi](https://pypi.org/project/mako) (📥 23M / month · 📦 14K · ⏱️ 30.06.2022):
	```
	pip install mako
	```
- [Conda](https://anaconda.org/conda-forge/mako) (📥 4.2M · ⏱️ 22.09.2022):
	```
	conda install -c conda-forge mako
	```
</details>
<details><summary><b><a href="https://github.com/kjd/idna">idna</a></b> (🥈31 ·  ⭐ 200) - Internationalized Domain Names for Python (IDNA 2008 and UTS #46). <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/kjd/idna) (👨‍💻 20 · 🔀 75 · 📋 70 - 5% open · ⏱️ 01.11.2022):

	```
	git clone https://github.com/kjd/idna
	```
- [PyPi](https://pypi.org/project/idna) (📥 240M / month · 📦 38K · ⏱️ 12.10.2021):
	```
	pip install idna
	```
- [Conda](https://anaconda.org/conda-forge/idna) (📥 23M · ⏱️ 19.09.2022):
	```
	conda install -c conda-forge idna
	```
</details>
<details><summary><b><a href="https://github.com/pyload/pyload">pyload</a></b> (🥉30 ·  ⭐ 2.7K) - The free and open-source Download Manager written in pure Python. <code><a href="http://bit.ly/3pwmjO5">❗️AGPL-3.0</a></code></summary>

- [GitHub](https://github.com/pyload/pyload) (👨‍💻 210 · 🔀 670 · 📥 87K · 📋 3K - 4% open · ⏱️ 01.11.2022):

	```
	git clone https://github.com/pyload/pyload
	```
- [PyPi](https://pypi.org/project/pyload-ng) (📥 1.7M / month · 📦 1 · ⏱️ 28.05.2022):
	```
	pip install pyload-ng
	```
</details>
<details><summary><b><a href="https://github.com/selwin/python-user-agents">python-user-agents</a></b> (🥉30 ·  ⭐ 1.3K · 💤) - A Python library that provides an easy way to identify.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/selwin/python-user-agents) (👨‍💻 31 · 🔀 200 · 📦 4.9K · 📋 73 - 57% open · ⏱️ 14.12.2021):

	```
	git clone https://github.com/selwin/python-user-agents
	```
- [PyPi](https://pypi.org/project/user-agents) (📥 2.9M / month · 📦 480 · ⏱️ 23.08.2020):
	```
	pip install user-agents
	```
- [Conda](https://anaconda.org/conda-forge/user-agents) (📥 38K · ⏱️ 24.08.2020):
	```
	conda install -c conda-forge user-agents
	```
</details>
<details><summary><b><a href="https://github.com/kbandla/dpkt">dpkt</a></b> (🥉30 ·  ⭐ 960) - fast, simple packet creation / parsing, with definitions for the basic.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/kbandla/dpkt) (👨‍💻 65 · 🔀 250 · 📦 1.1K · 📋 370 - 18% open · ⏱️ 10.10.2022):

	```
	git clone https://github.com/kbandla/dpkt
	```
- [PyPi](https://pypi.org/project/dpkt) (📥 390K / month · 📦 320 · ⏱️ 30.08.2021):
	```
	pip install dpkt
	```
- [Conda](https://anaconda.org/conda-forge/dpkt) (📥 100K · ⏱️ 19.08.2022):
	```
	conda install -c conda-forge dpkt
	```
</details>
<details><summary><b><a href="https://github.com/stamparm/maltrail">maltrail</a></b> (🥉28 ·  ⭐ 4.8K) - Malicious traffic detection system. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/stamparm/maltrail) (👨‍💻 39 · 🔀 890 · 📋 350 - 18% open · ⏱️ 03.11.2022):

	```
	git clone https://github.com/stamparm/maltrail
	```
</details>
<details><summary><b><a href="https://github.com/nabla-c0d3/sslyze">sslyze</a></b> (🥉28 ·  ⭐ 2.8K) - Fast and powerful SSL/TLS scanning library. <code><a href="http://bit.ly/3pwmjO5">❗️AGPL-3.0</a></code></summary>

- [GitHub](https://github.com/nabla-c0d3/sslyze) (👨‍💻 64 · 🔀 420 · 📥 99K · 📋 470 - 4% open · ⏱️ 15.10.2022):

	```
	git clone https://github.com/nabla-c0d3/sslyze
	```
- [PyPi](https://pypi.org/project/sslyze) (📥 48K / month · 📦 24 · ⏱️ 14.05.2022):
	```
	pip install sslyze
	```
</details>
<details><summary><b><a href="https://github.com/abhinavsingh/proxy.py">proxy.py</a></b> (🥉28 ·  ⭐ 2.2K) - Fast Lightweight 0 Dependency Pluggable TLS interception DNS-over-.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/abhinavsingh/proxy.py) (👨‍💻 18 · 🔀 470 · 📥 500 · 📦 110 · 📋 280 - 17% open · ⏱️ 22.10.2022):

	```
	git clone https://github.com/abhinavsingh/proxy.py
	```
- [PyPi](https://pypi.org/project/proxy.py) (📥 90K / month · 📦 16 · ⏱️ 28.06.2022):
	```
	pip install proxy.py
	```
</details>
<details><summary><b><a href="https://github.com/Kozea/Radicale">Radicale</a></b> (🥉27 ·  ⭐ 2.6K) - A simple CalDAV (calendar) and CardDAV (contact) server. <code><a href="http://bit.ly/2M0xdwT">❗️GPL-3.0</a></code></summary>

- [GitHub](https://github.com/Kozea/Radicale) (👨‍💻 94 · 🔀 370 · 📦 120 · 📋 870 - 35% open · ⏱️ 14.07.2022):

	```
	git clone https://github.com/Kozea/Radicale
	```
- [PyPi](https://pypi.org/project/radicale) (📥 8K / month · 📦 43 · ⏱️ 20.04.2022):
	```
	pip install radicale
	```
</details>
<details><summary><b><a href="https://github.com/twisted/klein">klein</a></b> (🥉27 ·  ⭐ 810) - werkzeug + twisted.web. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/twisted/klein) (👨‍💻 52 · 🔀 120 · 📦 1.7K · 📋 160 - 47% open · ⏱️ 02.07.2022):

	```
	git clone https://github.com/twisted/klein
	```
- [PyPi](https://pypi.org/project/klein) (📥 31K / month · 📦 400 · ⏱️ 08.08.2021):
	```
	pip install klein
	```
</details>
<details><summary><b><a href="https://github.com/cgohlke/tifffile">tifffile</a></b> (🥉27 ·  ⭐ 330) - Read and write TIFF files. Forked from https://pypi.org/project/tifffile. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/cgohlke/tifffile) (👨‍💻 1 · 🔀 100 · 📥 41 · ⏱️ 11.10.2022):

	```
	git clone https://github.com/cgohlke/tifffile
	```
- [PyPi](https://pypi.org/project/tifffile) (📥 4M / month · 📦 570 · ⏱️ 04.05.2022):
	```
	pip install tifffile
	```
- [Conda](https://anaconda.org/conda-forge/tifffile) (📥 2.3M · ⏱️ 12.10.2022):
	```
	conda install -c conda-forge tifffile
	```
</details>
<details><summary><b><a href="https://github.com/aiortc/aiortc">aiortc</a></b> (🥉26 ·  ⭐ 3.1K) - WebRTC and ORTC implementation for Python using asyncio. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/aiortc/aiortc) (👨‍💻 24 · 🔀 610 · 📋 560 - 5% open · ⏱️ 18.10.2022):

	```
	git clone https://github.com/aiortc/aiortc
	```
- [PyPi](https://pypi.org/project/aiortc) (📥 31K / month · 📦 22 · ⏱️ 17.04.2022):
	```
	pip install aiortc
	```
</details>
<details><summary><b><a href="https://github.com/shon/httpagentparser">httpagentparser</a></b> (🥉26 ·  ⭐ 210) - Python HTTP Agent Parser. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/shon/httpagentparser) (👨‍💻 35 · 🔀 56 · 📦 1K · 📋 49 - 30% open · ⏱️ 19.10.2022):

	```
	git clone https://github.com/shon/httpagentparser
	```
- [PyPi](https://pypi.org/project/httpagentparser) (📥 350K / month · 📦 260 · ⏱️ 19.06.2022):
	```
	pip install httpagentparser
	```
</details>
<details><summary><b><a href="https://github.com/healthchecks/healthchecks">healthchecks</a></b> (🥉24 ·  ⭐ 5.6K) - A cron monitoring tool written in Python & Django. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/healthchecks/healthchecks) (👨‍💻 74 · 🔀 620 · 📋 530 - 13% open · ⏱️ 02.11.2022):

	```
	git clone https://github.com/healthchecks/healthchecks
	```
</details>
<details><summary><b><a href="https://github.com/python-trio/trustme">trustme</a></b> (🥉24 ·  ⭐ 470) - #1 quality TLS certs while you wait, for the discerning tester. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/python-trio/trustme) (👨‍💻 17 · 🔀 22 · 📦 290 · 📋 32 - 12% open · ⏱️ 24.10.2022):

	```
	git clone https://github.com/python-trio/trustme
	```
- [PyPi](https://pypi.org/project/trustme) (📥 55K / month · 📦 44 · ⏱️ 12.08.2021):
	```
	pip install trustme
	```
- [Conda](https://anaconda.org/conda-forge/trustme) (📥 4.7K · ⏱️ 12.08.2021):
	```
	conda install -c conda-forge trustme
	```
</details>
<details><summary><b><a href="https://github.com/alexdlaird/pyngrok">pyngrok</a></b> (🥉22 ·  ⭐ 320) - A Python wrapper for ngrok. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/alexdlaird/pyngrok) (👨‍💻 8 · 🔀 51 · 📋 62 - 3% open · ⏱️ 30.10.2022):

	```
	git clone https://github.com/alexdlaird/pyngrok
	```
- [PyPi](https://pypi.org/project/pyngrok) (📥 130K / month · 📦 61 · ⏱️ 25.08.2021):
	```
	pip install pyngrok
	```
- [Conda](https://anaconda.org/conda-forge/pyngrok) (📥 64K · ⏱️ 25.08.2021):
	```
	conda install -c conda-forge pyngrok
	```
</details>
<details><summary><b><a href="https://github.com/siddhantgoel/streaming-form-data">streaming-form-data</a></b> (🥉22 ·  ⭐ 110) - Streaming parser for multipart/form-data written in Python. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/siddhantgoel/streaming-form-data) (👨‍💻 12 · 🔀 24 · 📦 38 · 📋 27 - 14% open · ⏱️ 06.10.2022):

	```
	git clone https://github.com/siddhantgoel/streaming-form-data
	```
- [PyPi](https://pypi.org/project/streaming-form-data) (📥 16K / month · 📦 3 · ⏱️ 27.03.2022):
	```
	pip install streaming-form-data
	```
</details>
<details><summary><b><a href="https://github.com/thp/urlwatch">urlwatch</a></b> (🥉21 ·  ⭐ 2.4K) - Watch (parts of) webpages and get notified when something changes via.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code></summary>

- [GitHub](https://github.com/thp/urlwatch) (👨‍💻 83 · 🔀 330 · 📋 450 - 16% open · ⏱️ 29.08.2022):

	```
	git clone https://github.com/thp/urlwatch
	```
- [PyPi](https://pypi.org/project/urlwatch) (📥 4.3K / month · 📦 2 · ⏱️ 15.03.2022):
	```
	pip install urlwatch
	```
</details>
<details><summary><b><a href="https://github.com/florimondmanca/asgi-lifespan">asgi-lifespan</a></b> (🥉21 ·  ⭐ 120) - Programmatic startup/shutdown of ASGI apps. <code><a href="http://bit.ly/34MBwT8">MIT</a></code></summary>

- [GitHub](https://github.com/florimondmanca/asgi-lifespan) (👨‍💻 5 · 🔀 7 · 📦 6.9K · 📋 15 - 26% open · ⏱️ 24.09.2022):

	```
	git clone https://github.com/florimondmanca/asgi-lifespan
	```
- [PyPi](https://pypi.org/project/asgi-lifespan) (📥 150K / month · 📦 11 · ⏱️ 07.06.2020):
	```
	pip install asgi-lifespan
	```
- [Conda](https://anaconda.org/conda-forge/asgi-lifespan) (📥 39K · ⏱️ 17.09.2022):
	```
	conda install -c conda-forge asgi-lifespan
	```
</details>
<details><summary>Show 21 hidden projects...</summary>

- <b><a href="https://github.com/zeromq/pyzmq">pyzmq</a></b> (🥇39 ·  ⭐ 3.2K) - PyZMQ: Python bindings for zeromq. <code><a href="https://tldrlegal.com/search?q=Revised%20BSD">❗️Revised BSD</a></code>
- <b><a href="https://github.com/Anorov/PySocks">PySocks</a></b> (🥈34 ·  ⭐ 1.1K · 💀) - A SOCKS proxy client and wrapper for Python. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code>
- <b><a href="https://github.com/postmanlabs/httpbin">httpbin</a></b> (🥈33 ·  ⭐ 11K · 💀) - HTTP Request & Response Service, written in Python + Flask. <code><a href="http://bit.ly/3hkKRql">ISC</a></code> <code><img src="https://flask.palletsprojects.com/en/1.1.x/_static/flask-icon.png" style="display:inline;" width="13" height="13"></code>
- <b><a href="https://github.com/sivel/speedtest-cli">speedtest-cli</a></b> (🥈32 ·  ⭐ 12K · 💀) - Command line interface for testing internet bandwidth.. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code>
- <b><a href="https://github.com/miracle2k/webassets">webassets</a></b> (🥈31 ·  ⭐ 910 · 💀) - Asset management for Python web development. <code><a href="http://bit.ly/3rqEWVr">BSD-2</a></code>
- <b><a href="https://github.com/netaddr/netaddr">netaddr</a></b> (🥈31 ·  ⭐ 700 · 💀) - A network address manipulation library for Python. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code>
- <b><a href="https://github.com/PiotrDabkowski/Js2Py">Js2Py</a></b> (🥉30 ·  ⭐ 2K · 💀) - JavaScript to Python Translator & JavaScript interpreter written in 100%.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code>
- <b><a href="https://github.com/jupyter/terminado">terminado</a></b> (🥉29 ·  ⭐ 320) - Terminals served by tornado websockets. <code>❗Unlicensed</code>
- <b><a href="https://github.com/saghul/aiodns">aiodns</a></b> (🥉28 ·  ⭐ 460 · 💀) - Simple DNS resolver for asyncio. <code><a href="http://bit.ly/34MBwT8">MIT</a></code>
- <b><a href="https://github.com/phihag/ipaddress">ipaddress</a></b> (🥉26 ·  ⭐ 100 · 💀) - Python 3.3+s ipaddress for older Python versions. <code><a href="http://bit.ly/35wkF7y">Python-2.0</a></code>
- <b><a href="https://github.com/eudicots/Cactus">Cactus</a></b> (🥉25 ·  ⭐ 3.4K · 💀) - Static site generator for designers. Uses Python and Django.. <code><a href="http://bit.ly/3aKzpTv">BSD-3</a></code> <code><img src="https://static.djangoproject.com/img/icon-touch.e4872c4da341.png" style="display:inline;" width="13" height="13"></code>
- <b><a href="https://github.com/joepie91/python-whois">python-whois</a></b> (🥉25 ·  ⭐ 380 · 💀) - A python module for retrieving and parsing WHOIS data. <code><a href="https://tldrlegal.com/search?q=WTFPL">❗️WTFPL</a></code>
- <b><a href="https://github.com/jeffknupp/sandman2">sandman2</a></b> (🥉23 ·  ⭐ 1.9K · 💀) - Automatically generate a RESTful API service for your legacy.. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code>
- <b><a href="https://github.com/seomoz/reppy">reppy</a></b> (🥉23 ·  ⭐ 180 · 💀) - Modern robots.txt Parser for Python. <code><a href="http://bit.ly/34MBwT8">MIT</a></code>
- <b><a href="https://github.com/constverum/ProxyBroker">ProxyBroker</a></b> (🥉22 ·  ⭐ 3.1K · 💀) - Proxy [Finder | Checker | Server]. HTTP(S) & SOCKS. <code><a href="http://bit.ly/3nYMfla">Apache-2</a></code>
- <b><a href="https://github.com/hyde/hyde">hyde</a></b> (🥉22 ·  ⭐ 1.6K · 💀) - A Python Static Website Generator. <code><a href="http://bit.ly/34MBwT8">MIT</a></code>
- <b><a href="https://github.com/arachnys/cabot">cabot</a></b> (🥉20 ·  ⭐ 5.4K · 💀) - Self-hosted, easily-deployable monitoring and alerts service - like a.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code>
- <b><a href="https://github.com/gaojiuli/toapi">toapi</a></b> (🥉19 ·  ⭐ 3.3K · 💀) - Every web site provides APIs. <code><a href="http://bit.ly/34MBwT8">MIT</a></code>
- <b><a href="https://github.com/vladris/tinkerer">tinkerer</a></b> (🥉19 ·  ⭐ 310) - Python blogging engine. <code><a href="https://tldrlegal.com/search?q=BSD-2-Clause-FreeBSD">❗️BSD-2-Clause-FreeBSD</a></code>
- <b><a href="https://github.com/datalib/libextract">libextract</a></b> (🥉16 ·  ⭐ 500 · 💀) - Extract data from websites using basic statistical magic. <code><a href="http://bit.ly/34MBwT8">MIT</a></code>
- <b><a href="https://github.com/ip2location/ip2trace-python">IP2Trace</a></b> (🥉10 ·  ⭐ 19) - Python tool to traceroute with IP geolocation information, such as.. <code><a href="http://bit.ly/34MBwT8">MIT</a></code>
</details>

---

## Related Resources

- [**Best-of lists**](https://best-of.org): Discover other best-of lists with awesome open-source projects on all kinds of topics.
- [**best-of-ml-python**](https://github.com/ml-tooling/best-of-ml-python): A ranked list of awesome machine learning python libraries.
- [**Python Wiki - Web Programming**](https://wiki.python.org/moin/WebProgramming): Wiki page about programming Web applications (both clients and servers) using Python.

## Contribution

Contributions are encouraged and always welcome! If you like to add or update projects, choose one of the following ways:

- Open an issue by selecting one of the provided categories from the [issue page](https://github.com/ml-tooling/best-of-web-python/issues/new/choose) and fill in the requested information.
- Modify the [projects.yaml](https://github.com/ml-tooling/best-of-web-python/blob/main/projects.yaml) with your additions or changes, and submit a pull request. This can also be done directly via the [Github UI](https://github.com/ml-tooling/best-of-web-python/edit/main/projects.yaml).

If you like to contribute to or share suggestions regarding the project metadata collection or markdown generation, please refer to the [best-of-generator](https://github.com/best-of-lists/best-of-generator) repository. If you like to create your own best-of list, we recommend to follow [this guide](https://github.com/best-of-lists/best-of/blob/main/create-best-of-list.md).

For more information on how to add or update projects, please read the [contribution guidelines](https://github.com/ml-tooling/best-of-web-python/blob/main/CONTRIBUTING.md). By participating in this project, you agree to abide by its [Code of Conduct](https://github.com/ml-tooling/best-of-web-python/blob/main/.github/CODE_OF_CONDUCT.md).

## License

[![CC0](https://mirrors.creativecommons.org/presskit/buttons/88x31/svg/by-sa.svg)](https://creativecommons.org/licenses/by-sa/4.0/)
